*************************************************************************************************
*	Syntax file, to accompany  'Work, Attitudes & Spending'  household surveys:	*
*	This SPSS file was written by John Simister, for derived variables;  you don't	*
*	need to run this file again (you can read it, to see how variables are derived).	*
*************************************************************************************************.

*Country:  2 letters - the country's Internet code (UPPER case).  Easier to use than LIVEcnty or BORNcnty below.
var lab					bornStat	"Respondent's birthplace:  place within the country".
var lab					liveStat  	"Respondent's residence:  place within the country".
var lab					live_cit 		"City of interview".
var lab					live_loc		"Location of interview".
*.
string 			bornCtry (a2).
var lab			bornCtry	"Country of respondent's birth".
compute          		bornCtry = bornStat.
recode			bornCtry,		born_pa_  born_ma_ bornmagf bornmagm bornpagf  bornpagm
 ('an','ap','ar','as','bi','ch','de','dn','go','gu','ha','hp','jk','ka','ke','la','me','mh','mi','mn','mp','na','or','po','pu','ra',
  'si','tn','tr','up','wb' ='IN') ('af'='Af')('BA'='BD')
 ('ro','ac','am','rr','pa','ap','to',	'ma','pi','ce','rn','pb','pe','al','se','ba','mg','sp','es','rj','pr','sc','rs','ms','mt','go','df'='BR').
* ('16','31','32','35'='ID')(' 1',' 2',' 3',' 4',' 5',' 6',' 7',' 8',' 9','10','11','12','13','14','15','16','17','18','19','20','21','22','23','24',
* '25','26','27','28','29','30','31','32','33','34','35','36','37'='NG').  					/* Can't use bornStat - can't tell Indonesia from Nigeria.
if (int_year=2004 & bornStat<>' 9')	bornCtry='KE'.
if (int_year=2004 & bornStat = ' 9')	bornCtry='__'.
if (liveCtry='ID'     & bornStat<>'__')	bornCtry='ID'.					/* Override above: Indonesia mixed up with Nigeria.
if (liveCtry='NG'   & bornStat<>'-3')	bornCtry='NG'.
if (liveCtry='NG'   & bornStat = '-3')	bornCtry='  '.
val label			bornCtry,liveCtry, 	born_pa_  born_ma_ bornmagf bornmagm bornpagf  bornpagm
 'AO' "Angola",		'AR' "Argentina",		'AT' "Austria",
 'BD' "Bangladesh",		'BE' "Belgium",		'BO' "Bolivia",		'BR' "Brazil",
 'CG' "Congo-Brazzaville"	'CH' "Switzerland",		'CM' "Cameroon", 		'CN' "China",
 'DE' "Germany",		'DK' "Denmark",		'DZ' "Algeria",		'EG' "Egypt",
 'ES' "Spain",		'ET' "Ethiopia",
 'FI'   "Finland",		'FR' "France",
 'GR' "Greece",					'HU' "Hungary",
 'IE'   "Ireland",		'ID' "Indonesia",		'IN' "India",			'IT' "Italy",
 'JP'  "Japan",
 'KE' "Kenya",		'KR' "Korea (Republic)",
 'LB' "Lebanon",		'LK' "Sri Lanka",		'LT' "Lithuania",		'LU' "Luxembourg",
 'MY' "Malaysia",		'MM' "Myanmar (Burma)",
 'NP' "Nepal",		'NL' "Netherlands",		'NG' "Nigeria",		'NO' "Norway",
 'PK' "Pakistan",		'PL' "Poland",		'PS' "Palestine",		'PT' "Portugal",
 'RO' "Romania",		'RU' "Russian federation",
 'SA' "Saudi Arabia",		'SC' "Seychelles",		'SG' "Singapore",		'SI' "Slovenia",		'SY' "Syria",
 'TD' "Chad", 'TR' "Turkey",
 'UK' "United Kingdom",		'UY' "Uruguay",
 'YU' "Yugoslavia",		'ZA' "South Africa"
 'Af'  "Africa (country unspecified)"  '__' "unspecified but not country of interview".
* 'BG' "Bulgaria"  'CY' "Cyprus"   'CZ' "Czech Republic"   'EE' "Estonia"    'HR' "Croatia"   'LV' "Latvia"   'MT' "Malta"   'SK' "Slovakia"   'SE' "Sweden" .    /* Extra labels from Eurobarometer.


*City codes: country(2 letters,UC) +state(2 letters,lc) +live_CIT(2 letters,lc).
string			BORNcity,	LIVEcity (a6).
var label		BORNcity			'City in which the respondent was born'.
var label				LIVEcity	'City where respondent lives'.
* To add a new city to the next block, search for name;  there are two codes for Indian cities (from different surveys) - use the code where 2 letters for state are lowercase.
if (LIVE_cit=  1)				LIVEcity='INmhik'.	/* Bombay (Mumbai).
if (LIVE_cit=  2)				LIVEcity='INtnpi'.	/* Madras  (Chennai).
if (LIVE_cit=  3)				LIVEcity='INdeva'.	/* Delhi.
if (LIVE_cit=  4)				LIVEcity='INwbth'.	/* Calcutta (Kolkotha).
if (LIVE_cit=  5)				LIVEcity='INbibm'.	/* Patna.
if (LIVE_cit=  6)				LIVEcity='INkegc'.	/* Cochin.
if (LIVE_cit=  7)				LIVEcity='INguca'.	/* Ahmedabad.
if (LIVE_cit=  8)				LIVEcity='INuprs'.	/* Lucknow.
if (LIVE_cit=  9)				LIVEcity='INorma'.	/* Bhubhneshwar.
if (LIVE_cit=10)				LIVEcity='INpune'.	/* Ludhiana.
if (LIVE_cit=11)				LIVEcity='INapas'.	/* Vijayawada.
if (LIVE_cit=18)				LIVEcity='BRrjan'.
if (LIVE_cit=19)				LIVEcity='BRspbj'.
if (LIVE_cit=21)				LIVEcity='ZAgajo'.
if (LIVE_cit=22)				LIVEcity='ZAgaer'.
if (LIVE_cit=23)				LIVEcity='ZAgawr'.
if (LIVE_cit=24)				LIVEcity='ZAgapr'.
if (LIVE_cit=25)				LIVEcity='ZAgava'.
if (LIVE_cit=26)				LIVEcity='ZAkndu'.
if (LIVE_cit=27)				LIVEcity='ZAknpi'.
if (LIVE_cit=28)				LIVEcity='ZAecpe'.
if (LIVE_cit=29)				LIVEcity='ZAecel'.
if (LIVE_cit=30)				LIVEcity='ZAwcct'.
if (LIVE_cit=31)				LIVEcity='ZAfsbl'.
if (LIVE_cit=41)				LIVEcity='ID1671'.
if (LIVE_cit=42)				LIVEcity='ID31  '.
if (LIVE_cit=43)				LIVEcity='ID3273'.
if (LIVE_cit=44)				LIVEcity='ID3578'.
if (LIVE_cit>500 & LIVE_cit<599)	LIVEcity = concat('NG',LIVEstat,string(LIVE_cit - 500, f2.0)).
if (LIVE_cit>600 & LIVE_cit<699)	LIVEcity = concat('KE',LIVEstat,string(LIVE_cit - 600, f2.0)).
if (LIVE_cit>700 & LIVE_cit<799)	LIVEcity = concat('EG',LIVEstat,string(LIVE_cit - 700, f2.0)).
if (INT_year=2008 & (prov=11 or prov=21))	LIVEcity = 'TD18 1'.
if (INT_year=2008 & (prov=12 or prov=22))	LIVEcity = 'TD 8 1'.
if (INT_year=2008 & (prov=13 or prov=23))	LIVEcity = 'TD 4 1'.
if (INT_year=2008 & (prov=14 or prov=24))	LIVEcity = 'TD 7 1'.
if (INT_year=2009 & LIVEurbn<4)	LIVEcity = concat('CM',	LIVEloca).

string				BORNtmp (a4).  					/* Temporary variable (identical to BORNcnty), just to create BORNcity.
compute				BORNtmp = concat(BORNctry, BORNstat).
recode				BORNtmp ('BDBD'='BD  ')('ESES'  ='ES  ' )('ETET'  ='ET  ')('ITIT'     ='IT  ')('LKLK' ='LK  ')('MMMM'='MM  ')('MYMY' ='MY  ')('NPNP'='NP  ')
				                ('PKPK'='PK  ') ('PTPT'   ='PT  ')('RORO' ='RO  ')('SGSG'='SG  ')('ZAZA' ='ZA  ')('IN__','ID__','__ 9'='____').
compute				BORNcity = '      '.
if (born_ci_<>'  ' )			BORNcity = concat(BORNtmp, born_ci_).
if (born_ci_ = ' 0')			BORNcity = '     0'.
* INguci, INtnci:  'ci' is in more than one	BORNstat; so I can't tell which city it is.  Combine INdeci=Delhi & NewDelhi.
recode					BORNcity ('INdeci','INde  ','INdevb'='INdeva')('ZA  zm'='ZAkndu')('BRIT  '='IT    ')('BRPT  '='PT    ')('BRRO  '='RO    ').  /*Gap at BRrjae is my mistake (Itaituba is am, not rj).
recode					BORNcity ('IN  tv'='INwbth').						           /* Dum Dum is in Calcutta.
val lab					BORNcity,LIVEcity  'BD  zi' "Daka, Bangladesh"
 'BRacaa' "Rio Branco, Brazil"			'BRalaa' "Arapiraca, Brazil"
 'BRalab' "Aracaju, Brazil"			'BRalac' "Maceio, Brazil"
 'BRamaa' "Manaus, Brazil"			'BRamab' "Sapucoia, Brazil"
 'BRapaa' "Macapa, Brazil"			'BRbaaa' "Juazeiro, Brazil"
 'BRbaab' "Alagoinhas, Brazil"			'BRbaac' "Paulo Alfonso, Brazil"
 'BRbaad' "Itabuna, Brazil"			'BRbaae' "Vitoria da Conquista, Brazil"
 'BRbaaf' "Ilheus, Brazil"				'BRbaag' "Feira de Santana, Brazil"
 'BRbaah' "Petrolina, Brazil"			'BRbaai' "Salvador, Brazil"
 'BRbaaj' "Jequie, Brazil"			'BRbaak' "Camacari, Brazil"
 'BRceaa' "Fortaleza, Brazil"			'BRceab' "Caucaia, Brazil"
 'BRceac' "Cascavel, Brazil"			'BRcead' "Sobral, Brazil"
 'BRdfaa' "Brasilia, DF, Brazil"			'BResaa' "Vila Velha, Brazil"
 'BResab' "Serra, Brazil"				'BResac' "Linhares, Brazil"
 'BResad' "Vitoria, Brazil"			'BResae' "Cariacica, Brazil"
 'BResaf' "Cachoeiro de Itapemirim, Brazil"
 'BResag' "Colatina, Brazil"			'BRgoaa' "Goiania, Brazil"
 'BRgoab' "Anapolis, Brazil"			'BRgoac' "Rio Verde, Brazil"
 'BRgoad' "Luziania, Brazil"			'BRmaaa' "Timon, Brazil"
 'BRmaab' "Bacabal, Brazil"			'BRmaac' "Parnaiba, Brazil"
 'BRmaad' "Barra do Corda, Brazil"		'BRmaae' "Sao Luis, Brazil"
 'BRmaaf' "Codo, Brazil"				'BRmaag' "Imperatriz, Brazil"
 'BRmaah' "Ananindeua, Brazil"			'BRmaai' "Caxias, Brazil"
 'BRmgaa' "Ipatinga, Brazil"			'BRmgab' "Barbacena, Brazil"
 'BRmgac' "Teofilo Otoni, Brazil"			'BRmgad' "Araguario, Brazil"
 'BRmgae' "Uberlandia, Brazil"			'BRmgaf' "Sete Lagoas, Brazil"
 'BRmgag' "Juiz de Fora, Brazil"			'BRmgah' "Patos de Minas, Brazil"
 'BRmgai' "Caratinga, Brazil"			'BRmgaj' "Coronel Fabriciano, Brazil"
 'BRmgak' "Contagem, Brazil"			'BRmgal' "Governador Valadares, Brazil"
 'BRmgam' "Uberaba, Brazil"			'BRmgan' "Montes Claros, Brazil"
 'BRmgao' "Divinopolis, Brazil"			'BRmgap' "Riberao das Neves, Brazil"
 'BRmgaq' "Belo Horizonte, Brazil"		'BRmgar' "Betim, Brazil"
 'BRmgas' "Ituiutaba, Brazil"			'BRmsaa' "Campo Grande, Brazil"
 'BRmsab' "Dourados, Brazil"			'BRmtaa' "Caceres, Brazil"
 'BRmtab' "Rondonopolis, Brazil"			'BRmtac' "Cuiaba, Brazil"
 'BRpaaa' "Maraba, Brazil"			'BRpaab' "Maracanau, Brazil"
 'BRpaac' "Braganca, Brazil"			'BRpaad' "Altamira, Brazil"
 'BRpaae' "Santarem, Brazil"			'BRpaaf' "Itaguai, Brazil"
 'BRpaag' "Castanhal, Brazil"			'BRpaah' "Belem, Brazil"
 'BRpaai' "Cameta, Brazil"			'BRpaaj' "Itaituba, Brazil"
 'BRpbaa' "Juazeiro do Norte, Brazil"
 'BRpbab' "Santa Luzia, Brazil"			'BRpbac' "Joao Pessoa, Brazil"
 'BRpbad' "Campina Grande, Brazil"		'BRpeaa' "Vitoria de Santo Antao, Brazil"
 'BRpeab' "Recife, Brazil"			'BRpeac' "Caruaru, Brazil"
 'BRpead' "Cabo, Brazil"				'BRpeae' "Paulista, Brazil"
 'BRpeaf' "Camaragibe, Brazil"			'BRpeag' "Jaboatao, Brazil"
 'BRpeah' "Olinda, Brazil"			'BRpeai' "Garanhuns, Brazil"
 'BRpiaa' "Teresina, Brazil"			'BRpiab' "Varzea Grande, Brazil"
 'BRpraa' "Sao Jose dos Pinhais, Brazil"		'BRprab' "Ponta Grossa, Brazil"
 'BRprac' "Paranagua, Brazil"			'BRprad' "Maringa, Brazil"
 'BRprae' "Foz do Iguacu, Brazil"			'BRpraf' "Apucarana, Brazil"
 'BRprag' "Londrina, Brazil"			'BRprah' "Guarapuava, Brazil"
 'BRrjaa' "Mage, Brazil"				'BRrjab' "Campos dos Goytacazes, Brazil"
 'BRrjac' "Nova Friburgo, Brazil"			'BRrjad' "Volta Redonda, Brazil"
 'BRrjae' "Itaituba, Brazil"			'BRrjaf' "Itaborai, Brazil"
 'BRrjag' "Barra Mansa, Brazil"			'BRrjah' "Nova Iguacu, Brazil"
 'BRrjai' "Duque de Caxias, Brazil"		'BRrjaj' "Petropolis, Brazil"
 'BRrjak' "Santa Cruz do Sul, Brazil"		'BRrjal' "Niteroi, Brazil"
 'BRrjam' "Nilopolis, Brazil"			'BRrjan' "Rio de Janeiro, Brazil"
 'BRrjao' "Sao Goncalo, Brazil"			'BRrjap' "Resende, Brazil"
 'BRrjaq' "Teresopolis, Brazil"			'BRrjar' "Sao Joao de Meriti, Brazil"
 'BRrnaa' "Natal, Brazil"				'BRrnab' "Mossoro, Brazil"
 'BRrn  ' "unstated, Rio Grande do Norte, Brazil"
 'BRroaa' "Porto Velho, Brazil"			'BRrsaa' "Canoas, Brazil"
 'BRrsab' "Passo Fundo, Brazil"			'BRrsac' "Viamao, Brazil"
 'BRrsad' "Caxias do Sul, Brazil"			'BRrsae' "Sao Leopoldo, Brazil"
 'BRrsaf' "Nova Hamburgo, Brazil"		'BRrsag' "Gravatai, Brazil"
 'BRrsah' "Santa Maria, Brazil"			'BRrsai' "Rio Grande, Brazil"
 'BRrsaj' "Porto Alegre, Brazil"			'BRrsak' "Bage, Brazil"
 'BRrsal' "Pelotas, Brazil"			'BRscaa' "Joinville, Brazil"
 'BRscab' "Alvorada, Brazil"			'BRscac' "Chapeco, Brazil"
 'BRscad' "Itajai, Brazil"				'BRscae' "Lages, Brazil"
 'BRscaf' "Criciuma, Brazil"			'BRscag' "Blumenou, Brazil"
 'BRscah' "Sao Jose, Brazil"			'BRscai' "Florianopolis, Brazil"
 'BRscaj' "Curitiba, Brazil"			'BRspaa' "Ribeirao Preto, Brazil"
 'BRspab' "Guaruja, Brazil"			'BRspac' "Guarulhos, Brazil"
 'BRspad' "Guaratinguita, Brazil"			'BRspae' "Itapetininga, Brazil"
 'BRspaf' "Rio Claro, Brazil"			'BRspag' "Diadema, Brazil"
 'BRspah' "Franca, Brazil"			'BRspai' "Santa Barbara D'Oeste, Brazil"
 'BRspaj' "Embu, Brazil"				'BRspak' "Pindamonhangaba, Brazil"
 'BRspal' "Pocos de Caldas, Brazil"		'BRspam' "Piracicaba, Brazil"
 'BRspan' "Sao Carlo, Brazil"			'BRspao' "Santos, Brazil"
 'BRspap' "Sao Bernardo do Campo, Brazil"	'BRspaq' "Santo Andre, Brazil"
 'BRspar' "Sao Caetano do Sul, Brazil"		'BRspas' "Itaquaquecetuba, Brazil"
 'BRspat' "Presidente Prudente, Brazil"		'BRspau' "Cubatao, Brazil"
 'BRspav' "Sao Jose do Rio Preto, Brazil"		'BRspaw' "Sao Jose dos Campos, Brazil"
 'BRspax' "Jacarei, Brazil"			'BRspay' "Itu, Brazil"
 'BRspaz' "Taboao da Serra, Brazil"		'BRspba' "Campinas, Brazil"
 'BRspbb' "Osasco, Brazil"			'BRspbc' "Sao Vicente, Brazil"
 'BRspbd' "Jundiai, Brazil"			'BRspbe' "Limeira, Brazil"
 'BRspbf' "Carapicuiba, Brazil"			'BRspbg' "Sorocaba, Brazil"
 'BRspbh' "Susano, Brazil"			'BRspbi' "Taubate, Brazil"
 'BRspbj' "Sao Paulo, Brazil"			'BRspbk' "Sumare, Brazil"
 'BRspbl' "Jau, Brazil"				'BRspbm' "Araraquara, Brazil"
 'BRspbn' "Marilia, Brazil"			'BRspbo' "Barueri, Brazil"
 'BRspbp' "Umuarama, Brazil"			'BRspbq' "Braganca Paulista, Brazil"
 'BRspbr' "Bauru, Brazil"				'BRspbs' "Urugaiana, Brazil"
 'BRspbt' "Aracatuba, Brazil"			'BRspbu' "Americana, Brazil"
 'BRspbv' "Moji-Guacu, Brazil"			'BRspbw' "Moji das Cruzes, Brazil"
 'BRspbx' "Maua, Brazil"				'BRsp  ' "unstated, Sao Paulo, Brazil"
 'BRtoaa' "Araguaina, Brazil"			'BR  ' "unstated, Brazil"
 'CM 112' "Ngaoundere"	 'CM 2 6'  "Yaounde"	'CM 3 9'  "Bertoua" 	'CM 413' "Maroua"	'CM 5 1'  "Douala"
 'CM 616' "Garoua"	 'CM 717' "Bamenda"	'CM 8 8'  "Ebolowa"	'CM 920' "Limbe"	'CM10 4' "Bafoussam"
 'EG   1'	 "Cairo, Egypt"			'EG   2'	"Alexandria, Egypt"		'EG   3'	"Port Said, Egypt"
 'EG   4'	 "Suez, Egypt"			'EG  11'	"Damietta, Egypt"		'EG  12'	"Dakahlia, Egypt"	
 'EG  13' "Sharkia, Egypt"		'EG  14'	"Kalyubia, Egypt"		'EG  15'	"Kafr El-Sheikh, Egypt"	
 'EG  16' "Gharbia, Egypt"		'EG  17'	"Menoufia, Egypt"		'EG  18'	"Behera, Egypt"
 'EG  19' "Ismailia, Egypt"		'EG  21'	"Giza, Egypt"			'EG  22'	"Beni Suef, Egypt"	
 'EG  23' "Fayoum, Egypt"		'EG  24'	"Menya, Egypt"			'EG  25'	"Assuit, Egypt"
 'EG  26' "Souhag, Egypt"		'EG  27'	"Qena, Egypt"			'EG  28'	"Aswan, Egypt"
 'EG  31' "Red Sea, Egypt"		'EG  32'	"New Valley, Egypt"		'EG  33'	"Matroh, Egypt"
 'EG  34' "North Sinai, Egypt"		'EG  35'	"South Sinai, Egypt"
 'ET  zy' "Addis Ababa, Ethiopia"
 'ID1671' "Palembang, Indonesia"  		'ID31  ' "Jakarta, Indonesia"	'ID3273' "Bandung, Indonesia"	'ID3578' "Surabaya, Indonesia"
 'INguci' "unclear, Gujarat, India"			'INtnci' "unclear, Tamil Nadu, India"
 'INapaa' "Adoni, India"				'INapab' "Anantapur, India"
 'INapac' "Bheemavaram, India"			'INapad' "Cuddapah, India"
 'INapae' "Eluru, India"				'INapaf' "Guntur, India"
 'INapag' "Hyderabad, India"			'INapah' "Kakinada, India"
 'INapai' "Kurnool, India"				'INapaj' "Machilipatnam, India"
 'INapak' "Nellore, India"				'INapal' "Nizamabad, India"
 'INapam' "Proddatur, India"			'INapan' "Rajahmundry, India"
 'INapao' "Secundarabad Cantt., India"		'INapap' "Tenali, India"
 'INapaq' "Tirupati, India"			'INapar' "Vishakhapatnam, India"
 'INapas' "Vijayawada, India"			'INapat' "Vizianagaram, India"
 'INapau' "Warangal, India"			'INas  ' "unstated, Assam, India"
 'INbiba' "Arrah, India"				'INbibb' "Bihar, India"			'INbibc' "Bhagalpur, India"
 'INbibd' "Bokaro Steel City, India"		'INbibe' "Chapra, India"
 'INbibf' "Dhanbad, India"			'INbibg' "Dharbhanga, India"
 'INbibh' "Gaya, India"				'INbibi' "Jamshedpur, India"
 'INbibj' "Katihar, India"				'INbibk' "Muzaddarpur, India"
 'INbibl' "Munger, India"				'INbibm' "Patna, India"
 'INbibn' "Ranchi, India"				'INbi  ' "unstated, Bihar, India"
 'INch  ' "unstated, Chandigarh, India" 		'INdn  ' "unstated, Dadra & Nagar Haveli, India"
 'INgo  ' "unstated, Goa, India"			'INgoaa' "unstated, Goa, India"	'INguca' "Ahmadabad, India"
 'INgucb' "Bharuch, India"			'INgucc' "Bhavnagar, India"
 'INgucd' "Jamnagar, India"			'INguce' "Junagadh, India"
 'INgucf' "Nadiad, India"				'INgucg' "Navsari, India"
 'INguch' "Porbandar, India"			'INapci' "Rajkot, India"
 'INgucj' "Surat, India"				'INguck' "Vadodara, India"
 'INhada' "Ambala, India"			'INhadb' "Bhiwani, India"
 'INhadc' "Faridabad Complex Admin,India"	'INhadd' "Hisar, India"
 'INhade' "Karnal, India"				'INhadf' "Panipat, India"
 'INhadg' "Rohtak, India"				'INhadh' "Sonepat, India"
 'INhadi' "Yamunanagar, India"			'INhp  ' "unstated, Himachal Pradesh, India"
 'INkaea' "Jammu, India"				'INkaeb' "Srinagar, India"		'INkafa' "Bangalore, India"
 'INkafb' "Belgaum, India"			'INkafc' "Bellary, India"
 'INkafd' "Bijapur, India"				'INkafe' "Davangere, India"
 'INkaff' "Gadag-Betigeri, India"			'INkafg' "Gulbarga, India"
 'INkafh' "Hubli-Dharwad, India"			'INkafi' "Mabdya, India"
 'INkafj' "Mangalore, India"			'INkafk' "Mysore, India"
 'INkafl' "Raichur, India"				'INkafm' "Shimoga, India"
 'INkafn' "Tumkur, India"				'INkega' "Allepey, India"
 'INkegb' "Calicut/Kozhikode, India"		'INkegc' "Cochin/Kochi, India"
 'INkegd' "Palghat, India"				'INkege' "Quilon, India"
 'INla  ' "unstated, Lakshadweep, India"		'INkegf' "Trivandrum/Thiruvananthapuram, India"
 'INme  ' "unstated, Meghalaya, India"		'INmpha' "Bhilainagar, India"
 'INmphb' "Bhopal, India"			'INmphc' "Bilaspur, India"
 'INmphd' "Burhanpur, India"			'INmphe' "Durg, India"
 'INmphf' "Gwalior, India"			'INmphg' "Indore, India"
 'INmphh' "Jabalpur, India"			'INmphi' "Khandwa, India"
 'INmphj' "Raipur, India"				'INmphk' "Ratlam, India"
 'INmphl' "Rewa, India"				'INmphm' "Sagar, India"
 'INmphn' "Ujjain, India"				'INmhia' "Aurangabad, India"
 'INmhib' "Amravati, India"			'INmhic' "Akola, India"
 'INmhid' "Ahmadnagar, India"			'INmhie' "Bhusawal, India"
 'INmhif' "Bhiwandi, India"			'INmhig' "Chandrapur, India"
 'INmhih' "Dhule, India"				'INmhii' "Dombivli, India"
 'INmhij' "Gondiya, India"			'INmhik' "Greater Bombay/Mumbai, India"
 'INmhil' "Ichalkaranji, India"			'INmhim' "Jalgaon, India"
 'INmhin' "Jalna, India"				'INmhio' "Kalyan, India"
 'INmhip' "Kolhapur, India"			'INmhiq' "Latur, India"
 'INmhir' "Miraj, India"				'INmhis' "Malegaon, India"
 'INmhit' "Nagpur, India"				'INmhiu' "Nashik, India"
 'INmhiv' "Nanded, India"				'INmhiw' "Pimpri Chinchwad, India"
 'INmhix' "Pune, India"				'INmhiy' "Parbhani, India"
 'INmhiz' "Sangli, India"				'INmhja' "Solapur, India"
 'INmhjb' "Thane, India"				'INmhjc' "Ulhasnagar, India"
 'INmnka' "Imphal, India"				'INmela' "Shillong, India"
 'INmn  ' "unstated, Manipur, India"		'INor  ' "unstated, Orissa, India"
 'INorma' "Bhubaneswar, India"			'INormb' "Bramhapur, India"
 'INormc' "Cuttack, India"			'INormd' "Puri, India"
 'INorme' "Raurkela Steel Township, India"	'INormf' "Sambalpur, India"
 'INpuna' "Amritsar, India"			'INpunb' "Bathinda, India"
 'INpunc' "Batala, India"				'INpund' "Jalandhar, India"
 'INpune' "Ludhiana, India"			'INpunf' "Patiala, India"
 'INpung' "Pathankot, India"			'INraoa' "Ajmer, India"
 'INraob' "Alwar, India"				'INraoc' "Bharatpur, India"
 'INraod' "Bhilwara, India"			'INraoe' "Bikaner, India"
 'INraof' "Ganganagar, India"			'INraog' "Jaipur, India"
 'INraoh' "Jodhpur, India"			'INraoi' "Kota, India"
 'INraoj' "Sikar, India"				'INraok' "Udaipur, India"
 'INtnpa' "Avadi, India"				'INtnpb' "Ambattur, India"
 'INtnpc' "Coimbatore, India"			'INtnpd' "Cuddalore, India"
 'INtnpe' "Dindigul, India"			'INtnpf' "Erode, India"
 'INtnpg' "Kanchipuram, India"			'INtnph' "Kumbakonam, India"
 'INtnpi' "Madras/Chennai, India"			'INtnpj' "Madurai, India"
 'INtnpk' "Nagercoil, India"			'INtnpl' "Rajapalaiyam, India"
 'INtnpm' "Salem, India"				'INtnpn' "Tiruvottiyur, India"
 'INtnpo' "Tiruchchirappalli, India"		'INtnpp' "Tirunelveli, India"
 'INtnpq' "Tuticorin, India"			'INtnpr' "Tiruppur, India"
 'INtnps' "Thanjavur, India"			'INtnpt' "Valparai, India"
 'INtnpu' "Vellore, India"				'INtr  ' "unknown, Tripura, India"
 'INupra' "Agra, India"				'INuprb' "Allahabad, India"
 'INuprc' "Aligarh, India"				'INuprd' "Amroha, India"
 'INupre' "Bareilly, India"				'INuprf' "Bulandshahr, India"
 'INuprg' "Dehradun, India"			'INuprh' "Etawah, India"
 'INupri' "Firozabad, India"			'INuprj' "Farrukhabad cum Fatehgarh, India"
 'INuprk' "Faizabad, India"			'INuprl' "Gorakhpur, India"
 'INuprm' "Ghaziabad, India"			'INuprn' "Hardwar, India"
 'INupro' "Hapur, India"				'INuprp' "Jhansi, India"
 'INuprq' "Jaunpur, India"			'INuprr' "Kanpur, India"
 'INuprs' "Lucknow, India"			'INuprt' "Mathura, India"
 'INupru' "Meerut, India"				'INuprv' "Mirzapur cum Vindhyachal, India"
 'INuprw' "Moradabad, India"			'INuprx' "Muzaffarnagar, India"
 'INupry' "Rampur, India"			'INuprz' "Saharanpur, India"
 'INupsa' "Shahjahanpur, India"			'INupsb' "Sambhal, India"
 'INupsc' "Sitapur, India"				'INupsd' "Varanasi, India"
 'INwbta' "Asansol, India"			'INwbtb' "Bally, India"
 'INwbtc' "Balurghat, India"			'INwbtd' "Baranagar, India"
 'INwbte' "Barddhaman, India"			'INwbtf' "Barrackpur, India"
 'INwbtg' "Bhatpara, India"			'INwbth' "Calcutta/Kolkota, India"
 'INwbti' "Chandannagar, India"			'INwbtj' "Durgapur, India"
 'INwbtk' "Garden Reach, India"			'INwbtl' "Haora, India"
 'INwbtm' "Hugli Chinsurah, India"		'INwbtn' "Jadabpur, India"
 'INwbto' "Kamarhati, India"			'INwbtp' "Kharagpur, India"
 'INwbtq' "Nabadwip, India"			'INwbtr' "Naihati, India"
 'INwbts' "Panihati, India"			'INwbtt' "Serampore, India"
 'INwbtu' "Siliguri, India"				'IN  tv' "South Dum Dum, India"
 'IN  tw' "South Sub-Urban, India"		'IN  tx' "Titagarh, India"
 'IN  ua' "Chandigarh, India"			'INdeva' "Delhi, India"
 'INdevb' "New Delhi, India"			'INpowa' "Pondicherry, India"
 'INap  ' "unstated, Andhra Pradesh,India"	'INgu  ' "unstated, Gujarat, India"
 'INha  ' "unstated, Harayana, India"		'INjk  ' "unstated, Jammu & Kashmir, India"
 'INka  ' "unstated, Karnataka, India"		'INke  ' "unstated, Kerala, India"
 'INmh  ' "unstated, Maharashtra, India"		'INmp  ' "unstated, Madya Pradesh, India"
 'INpo  ' "unstated, Pondicherry, India"		'INpu  ' "unstated, Punjab, India"
 'INra  ' "unstated, Rajasthan, India"		'INtn  ' "unstated, Tamil Nadu, India"
 'INup  ' "unstated, Uttar Pradesh, India"		'INwb  ' "unstated, West Bengal, India"
 'IT  ' "unstated, Italy"
 'KE 1 1' 'Nairobi (Nairobi, Kenya)'		 'KE 139' 'Ruiru (Nairobi, Kenya)'	
 'KE 2 2' 'Muranga (Central, Kenya)'		 'KE 2 4' 'Nyeri (Central, Kenya)'	
 'KE 2 7' 'Gatundu (Central, Kenya)'		 'KE 240' 'Kikuyu (Central, Kenya)'	
 'KE 3 8' 'Eldoret (Riftvalley, Kenya)'		 'KE 310' 'Nakuru (Riftvalley, Kenya)'	
 'KE 311' 'Njoro (Riftvalley, Kenya)'		 'KE 313' 'Nanyuki (Riftvalley, Kenya)'	
 'KE 316' 'Kiserian (Riftvalley, Kenya)'		 'KE 317' 'Kitengela (Riftvalley, Kenya)'	
 'KE 418' 'Meru (Eastern, Kenya)'		 'KE 421' 'Mbooni (Eastern, Kenya)'	
 'KE 441' 'Kitui (Eastern, Kenya)'			 'KE 524' 'Kisumu (Nyanza, Kenya)'	
 'KE 525' 'Bondo (Nyanza, Kenya)'		 'KE 526' 'Homabay (Nyanza, Kenya)'	
 'KE 527' 'Kisii (Nyanza, Kenya)'			 'KE 528' 'Kakamega (Nyanza, Kenya)'	
 'KE 629' 'Vihiga (Western, Kenya)'		 'KE 631' 'Bungoma (Western, Kenya)'	
 'KE 633' 'Mumias (Western, Kenya)'		 'KE 634' 'Butere (Western, Kenya)'	
 'KE 642' 'Esalswa (Western, Kenya)'		 'KE 643' 'Hobunaka (Western, Kenya)'	
 'KE 644' 'Ebochalwa (Western, Kenya)'		 'KE 645' 'Ekonyero (Western, Kenya)'	
 'KE 646' 'Emaraba (Western, Kenya)'		 'KE 647' 'Emukhuya (Western, Kenya)'	
 'KE 648' 'Ebusundi (Western, Kenya)'		 'KE 649' 'Elusi (Western, Kenya)'	
 'KE 650' 'Eshikambi (Western, Kenya)'		 'KE 651' 'Maraba (Western, Kenya)'	
 'KE 652' 'Ebuhando (Western, Kenya)'		 'KE 653' 'Alura (Western, Kenya)'	
 'KE 654' 'Shirali (Western, Kenya)'		 'KE 655' 'Butsotso (Western, Kenya)'	
 'KE 657' 'Shikhambi (Western, Kenya)'		 'KE 659' 'Emmutsi (Western, Kenya)'	
 'KE 735' 'Mombasa (Coast, Kenya)'		 'KE 736' 'Kwale (Coast, Kenya)'	
 'KE 737' 'Kilifi (Coast, Kenya)'			 'KE 838' 'Garissa (North Eastern, Kenya)'	
 'LK  zh' "Colombo, Sri Lanka"		'LK  ' "unstated, Sri Lanka"
 'MM  zk' "Sangam Kulan, Burma"	'MM  zl' "Sulaypya, Burma"		'MM  zn' "Rangun, Burma"
 'MM  ' "unstated, Burma"		'MY    ' "unstated, Malaysia"
 'NG 1 1' 'Lagos, Nigeria'    		'NG 8 2' 'Ibadan, Nigeria'		'NG 2 3' 'Abeokuta, Nigeria'	
 'NG 3 4' 'Akure, Nigeria'			'NG 4 5' 'Oshogbo, Nigeria'		'NG 5 6' 'Benin, Nigeria'
 'NG14 7' 'Enugu, Nigeria'     		'NG16 8' 'Port Harcourt, Nigeria'		'NG 7 9' 'IIorin, Nigeria'
 'NG1210' 'Calabar, Nigeria'		'NG1111' 'Awka, Nigeria'        		'NG1912' 'Kaduna, Nigeria'
 'NG2013' 'Kano, Nigeria'      		'NG3314' 'Jos, Nigeria'			'NG2515' 'Sokoto, Nigeria'
 'NG3116' 'Maiduguri, Nigeria'		'NG2417' 'Minna, Nigeria'  		'NG2818' 'Yola, Nigeria'
 'NG3019' 'Makurdi, Nigeria'		'NG2920' 'Bauchi, Nigeria'		'NG2121' 'Katsina, Nigeria'
 'NG 322' 'Ado Ekiti, Nigeria'		'NG2723' 'Abuja, Nigeria'        		'NG1524' 'Owerri, Nigeria'
 'NG1625' 'Yenogoa, Nigeria'		'NG3726' 'Gombe, Nigeria'    		'NG3427' 'Jalingo, Nigeria'
 'NG3328' 'Lafia, Nigeria'			'NG1329' 'Asaba, Nigeria'		'NG2330' 'Lokoja, Nigeria'
 'NG3531' 'Damaturu, Nigeria'		'NG 932' 'Aba, Nigeria'			'NG1033' 'Uyo, Nigeria'
 'NG2534' 'Gusau, Nigeria'  		'NG2235' 'Birinin Kebbi, Nigeria'		'NG3236' 'Dutse, Nigeria'
 'NG1437' 'Abakaliki, Nigeria'
 'NP  zq' "Triboli, Nepal"			'NP    ' "unstated, Nepal"			
 'PK  zo' "Chakwal, Pakistan"		'PK  zp' "Sialkot, Pakistan"		'PK  zr' "Lahore, Pakistan"		'PK  zs' "Sindh, Pakistan"
 'PK  zt' "Hyderabad, Pakistan"		'PK  zu' "Shirkarpur, Pakistan"		'PK  zv' "Sakhar, Pakistan"		'PK  zw' "Peshawar, Pakistan"
 'PK  zx' "Multan, Pakistan"		'PK  zz' "Karachi, Pakistan"		'PK  ' "unstated, Pakistan"		'PT    ' "unstated, Portugal"
 'RO  ' "unstated, Romania"		
 'SG  zg' "Penange, Singapore"		'SG  zj' "Epo, Singapore"		'SG    ' "unstated, Singapore"
 'TD18 1' "N'Djamena, Chad"		'TD 8 1' "Moundou, Chad"		'TD 4 1'	"Mongo, Chad"			'TD 7 1'	"Bol, Chad"
 'ZAgajo' 	"Johannesburg, South Africa"		'ZAgaer' 	"East Rand, South Africa" 
 'ZAgawr' 	"West Rand, South Africa"		'ZAgapr' 	"Pretoria, South Africa"
 'ZAgava' 	"Vaal, South Africa"			'ZAkndu' 	"Durban, South Africa"
 'ZAknpi' 	"Pietermaritzburg, South Africa"		'ZAecpe' 	"Port Elizabeth, South Africa" 
 'ZAecel' 	"East London, South Africa"		'ZAwcct' 	"Cape Town, South Africa"
 'ZAfsbl'	"Bloemfontein, South Africa"		'     0' "size<100,000 in 1981"	'      ' "unknown, or not a city".
* I added codes for Bangladesh, and more Indonesia codes, in syntax file for DHS.

*Country of residence/birth: in India & Brazil, I indicate state if known (lower case): e.g. BORNcnty='INgo' is Goa. 
*Can't simply use a 2-letter code (eg 'ap'=AndhraPradesh in India, but also 'ap'=Amapa in Brazil).
string				BORNcnty, 	LIVEcnty (a4).
compute					LIVEcnty = substr(LIVEcity,1,4).
if (liveCtry='ZA' & prov = 1)				LIVEcnty = 'ZAwc'.				/* These 9 lines work for rural sample in S.Africa (not just cities).
if (liveCtry='ZA' & prov = 2)				LIVEcnty = 'ZAnc'.
if (liveCtry='ZA' & prov = 3)				LIVEcnty = 'ZAfs'.
if (liveCtry='ZA' & prov = 4)				LIVEcnty = 'ZAec'.
if (liveCtry='ZA' & prov = 5)				LIVEcnty = 'ZAkn'.
if (liveCtry='ZA' & prov = 6)				LIVEcnty = 'ZAmp'.
if (liveCtry='ZA' & prov = 7)				LIVEcnty = 'ZAnp'.
if (liveCtry='ZA' & prov = 8)				LIVEcnty = 'ZAga'.
if (liveCtry='ZA' & prov = 9)				LIVEcnty = 'ZAnw'.
if (live_cit>700 & live_cit<799)				LIVEcnty = concat('EG',string(LIVE_cit - 700, f2.0)).
if (liveCtry='TD' & (prov=11 or prov=21))			LIVEcnty = 'TD18'.
if (liveCtry='TD' & (prov=12 or prov=22))			LIVEcnty = 'TD 8'.
if (liveCtry='TD' & (prov=13 or prov=23))			LIVEcnty = 'TD 4'.
if (liveCtry='TD' & (prov=14 or prov=24))			LIVEcnty = 'TD 7'.				/* Don't just use LIVEcity for Chad: many respondents in rural areas.
if (liveCtry='CM')				LIVEcnty = concat('CM',substr(LIVEloca, 1,2)).
var label					LIVEcnty	"Place of residence (specific state if known;  or country)".
compute				BORNcnty = BORNtmp.
var label				BORNcnty	"Place of birth (specific state if known;  or country)".
var label				BORN_hus	"Birthplace of husband (or male respondent)".
var label				BORN_wif	"Birthplace of wife (or female respondent)".
val label				BORNcnty,LIVEcnty  BORN_hus,BORN_wif
 'INan'	"Andaman & Nicobar",	'INap'	"Andhra Pradesh",
 'INar'	"Arunchal Pradesh",	'INas'	"Assam",		'INbi'	"Bihar",
 'INch'	"Chandigarh",		'INde'	"Delhi",			'INdn'	"Dadra & Nagar H",
 'INgo'	"Goa",			'INgu'	"Gujarat",		'INha'	"Harayana",
 'INhp'	"Himachal Pradesh",	'INjk'	"Jammu & Kashmir",	'INka'	"Karnataka",
 'INke'	"Kerala",		'INla'	"Lakadshweep",		'INme'	"Meghalya",
 'INmh'	"Maharashtra",		'INmi'	"Mizoram",		'INmn'	"Manipur",
 'INmp'	"Madhya Pradesh",	'INna'	"Nagaland",		'INor'	"Orissa",
 'INpo'	"Pondicherry",		'INpu'	"Punjab",		'INra'	"Rajasthan",
 'INsi'	"Sikkim",		'INtn'	"Tamil Nadu",		'INtr'	"Tripura",
 'INup'	"Uttar Pradesh",		'INwb'	"West Bengal",
 'INut'	"Uttaranchal",		'INjh'	"Jharkhand",		'INct'	"Chattisgarh",
 'BRac'	"Acre",			'BRal'	"Alagoas",		'BRap'	"Amapa",
 'BRam'	"Amazonas",		'BRba'	"Bahia",			'BRce'	"Ceara",
 'BRdf'	"Distrito Federal",	'BRes'	"Espirito Santo",		'BRgo'	"Goias",
 'BRma'	"Maranhao",		'BRmt'	"Mato Grosso",		'BRms'	"Mato Grosso do Sul",
 'BRmg'	"Minas Gerais",		'BRpa'	"Para",			'BRpb'	"Paraiba",
 'BRpr'	"Parana",		'BRpe'	"Pernambuco",		'BRpi'	"Piaui",
 'BRrj'	"Rio de Janeiro",	'BRrn'	"Rio Grande do Norte", 	'BRrs'	"Rio Grande do Sul",
 'BRro'	"Rondonia",		'BRrr'	"Roraima",		'BRsc'	"Santa Catarina",
 'BRsp'	"Sao Paulo",		'BRse'	"Sergipe",		'BRto'	"Tocantins",
 'CM 1' "Adamaoua"	'CM 2' "Centre"		'CM 3' "East"		'CM 4' "Extreme-north"	'CM 5'  "Littoral"
 'CM 6' "North"		'CM 7' "North-West"	'CM 8' "South"		'CM 9' "South-West"	'CM10' "West"
 'CM11' "Douala"      'CM12' "Yaounde"
 'EG 1'	"Cairo"			'EG 2'	"Alexandria"		'EG 3'	"Port Said"
 'EG 4'	"Suez"			'EG11'	"Damietta"		'EG12'	"Dakahlia"	
 'EG13'	"Sharkia"		'EG14'	"Kalyubia"		'EG15'	"Kafr El-Sheikh"	
 'EG16'	"Gharbia"		'EG17'	"Menoufia"		'EG18'	"Behera"
 'EG19'	"Ismailia"		'EG21'	"Giza"			'EG22'	"Beni Suef"	
 'EG23'	"Fayoum"		'EG24'	"Menya"		'EG25'	"Assuit"
 'EG26'	"Souhag"		'EG27'	"Qena"			'EG28'	"Aswan"
 'EG31'	"Red Sea"		'EG32'	"New Valley"		'EG33'	"Matroh"
 'EG34'	"North Sinai"		'EG35'	"South Sinai"
 'BD 1'	"Barisal"		'BD 2'	"Chittagong"		'BD 3'	"Dhaka"		'BD 4' "Khulna"		'BD 5'	"Rajshahi"	'BD 6' "Sylhet"
 'ID11'	"DI Aceh"		'ID12'	"North Sumatra"		'ID13' 	"West Sumatra"		'ID14'	"Riau"
 'ID15'	"Jambi"			'ID16' 	"South Sumatra"	'ID17'	"Bengkulu"		'ID18'	"Lampung"
 'ID19'	"Bangka Belitung"	'ID31' 	"DKI Jakarta"		'ID32' 	"West Java"		'ID33'	"Central Java"
 'ID34'	"DI Yogyakarta"		'ID35'	"East Java"		'ID36'	"Banten"		'ID51'	"Bali"	
 'ID52'	"West Nusa Tenggara"	'ID53'	"East Nusa Tenggara"	'ID61'	"West Kalimantan"	'ID62'	"Central Kalimantan"
 'ID63'	"South Kalimantan"	'ID64'	"East Kalimantan"	'ID71'	"North Sulawesi"	'ID72'	"Central Sulawesi"
 'ID73'	"South Sulawesi"	'ID74'	"Southeast Sulawesi"	'ID75'	"Gorontalo"		'ID81'	"Maluku"	'ID93'	"Irian Jaya"
 'KE 1'	"Nairobi" 	'KE 2'	"central"	'KE 3'	"Rift Valley" 	'KE 4'	"eastern" 
 'KE 5'  "Nyanza" 	'KE 6'	"western"	'KE 7'	"coast"		'KE 8'	"north eastern"
 'NG 1'  "Lagos"  	'NG 2'	"Ogun"		'NG 3'  "Ondo"		'NG 4'  "Osun"		'NG 5'  "Edo"
 'NG 6'  "Ekiti"		'NG 7'	"Kwara"		'NG 8'  "Oyo"		'NG 9'  "Abia"		'NG10' "Akwa Ibom"
 'NG11' "Anambra"	'NG12'	"Cross River"	'NG13' "Delta"		'NG14' "Enugu"		'NG15' "Imo"
 'NG16' "Rivers"		'NG17'	"Bayelsa"	'NG18' "Ebonyi"		'NG19' "Kaduna"	'NG20' "Kano"
 'NG21' "Katsina"	'NG22'	"Kebbi"		'NG23' "Kogi"		'NG24' "Niger"		'NG25' "Sokoto"
 'NG26' "Zamfara"	'NG27'	"Abuja"		'NG28' "Adamawa"	'NG29' "Bauchi"		'NG30' "Benue"
 'NG31' "Borno"		'NG32'	"Jigawa"	'NG33' "Plateau"		'NG34' "Taraba"		'NG35' "Yobe"
 'NG36' "Nasawara"	'NG37'	"Gombe"
 'TD 1'  	"Batha"			'TD 2'	"Borkou-Ennedi-Tibesti"	'TD 3'  	"Chari-Baguirmi"	'TD 4'	"Gura"
 'TD 5'  	"Hadjer-Lamis"		'TD 6'	"Kanem"		'TD 7'  	"Lac"			'TD 8'	"Logone Occidental"	
 'TD 9'  	"Logone Oriental"	'TD10'	"Mandoul"		'TD11' 	"Mayo-Kebbi Est"	'TD12'	"Mayo-Kebbi Ouest"
 'TD13' 	"Moyen-Chari"		'TD14'	"Ouadda"		'TD15'	"Salamat"		'TD16'	"Tandjil"	
 'TD17'	"Wadi Fira"		'TD18'	"N'Djamena"
 'ZAwc'	"Western Cape",	'ZAnc'	"Northern Cape",	'ZAfs'	"Free State",
 'ZAec'	"Eastern Cape",		'ZAkn'	"KwaZulu/Natal",		'ZAmp'	"Mpumalanga",
 'ZAnp'	"Northern Province",	'ZAga'	"Gauteng",		'ZAnw'	"North West Province"
 'Af  '"AFRICA (country unspecified)",
 'AO  '"ANGOLA",		'AR  '"ARGENTINA",			'AT  '"AUSTRIA",
 'BD  '"BANGLADESH",		'BE  '"BELGIUM",			'BO  '"BOLIVIA",	'BR  '"BRAZIL",
 'CH  '"SWITZERLAND",
 'DE  '"GERMANY",		'DK  '"DENMARK",			'DZ  '"ALGERIA",
 'ES  '"SPAIN",			'ET  '"ETHIOPIA",
 'FI  '"FINLAND",		'FR  '"FRANCE",			'GR  '"GREECE",
 'HU  '"HUNGARY",
 'ID  '"INDONESIA",		'IE  '"IRELAND",				'IN  '"INDIA",		'IT  '"ITALY",
 'JP  '"JAPAN",			'KR  '"KOREA (REPUBLIC)",
 'LB  '"LEBANON",		'LK  '"SRI LANKA",			'LT  '"LITHUANIA",	'LU  '"LUXEMBOURG",
 'MY  '"MALAYSIA",		'MM  '"MYANMAR (BURMA)",
 'NP  '"NEPAL",			'NL  '"NETHERLANDS",			'NG  '"NIGERIA",	'NO  '"NORWAY",
 'PK  '"PAKISTAN",		'PL  '"POLAND",				'PS  '"PALESTINE",	'PT  '"PORTUGAL",	
 'RO  '"ROMANIA",		'RU  '"RUSSIAN FEDERATION",
 'SA  '"SAUDI ARABIA",		'SC  '"SEYCHELLES",			'SG  '"SINGAPORE",	'SY  '"SYRIA",
 'TR  '"TURKEY",
 'UK  '"UNITED KINGDOM",						'UY  '"Uruguay",
 'YU  '"YUGOSLAVIA",
 'ZA  '"SOUTH AFRICA"				'____' "unspecified, but outside country of interview".
* Cameroon regions, from DHS documentation, page xxiii:
* "The twelve study regions are the city of Yaound, the city of Douala, the province of Centre
* (excluding Yaound), the province of Littoral (excluding Douala), and eight other provinces:
* Adamaoua, Est, Extrme-Nord, Nord, Nord-Ouest, Ouest, Sud, and Sud-Ouest."

* Specific location in city:  for some WAS surveys, I don't have such detailed information.
string				LIVEdist,	BORNdist (A6).
if  (BORN_dis<>'')			BORNdist = concat('IN',BORN_dis).
recode				BORNdist ('INBA  '='BA    ')('INBU  '='BU  ')('INET  '='ET    ')('INMA  '='MA  ')('INNE  '='NE  ')('INPA  '='PA    ')('INSA  '='SA  ')('INSL  '='SA  ')('INSP  '='SP    ').
if (liveCtry = 'ID' & BORNstat='16')		BORNdist	='ID1671'.
if (liveCtry = 'ID' & BORNstat='31')		BORNdist	='ID31  '.
if (liveCtry = 'ID' & BORNstat='32')		BORNdist	='ID3273'.
if (liveCtry = 'ID' & BORNstat='35')		BORNdist	='ID3578'.
if (liveCtry = 'ID' & BORNstat='51')		BORNdist	='ID51  '.
var label					BORNdist	"Birthplace of respondent: district".
var label					LIVEdist	"Place of interview: district".
if (LIVE_cit =18)				LIVEdist  = concat( 'BRrj5',     substr(	LIVE_loc,1,1),' ').
if (LIVE_cit =19)				LIVEdist  = concat( 'BRsp6',   substr(	LIVE_loc,1,1),' ').
if (INT_year=1992)				LIVEdist  = concat( 'IN',		LIVEloca).
if (liveCtry  = 'TD')				LIVEdist  = concat( 'TD',		LIVEloca).
if (liveCtry  = 'CM')				LIVEdist  = concat( 'CM',		LIVEloca).
recode					LIVEdist ('BRrj50'='BRrj50') ('BRrj51'='BRrj5A') ('BRrj52'='BRrj5B')('BRrj53'='BRrj5C')('BRrj54'='BRrj5D')('BRrj55'='BRrj5E') ('BRrj56'='BRrj5F').
if (liveCtry<>'ID' & liveCtry<>'KE') district= -9.
if (liveCtry = 'ID' & prov=16 &	district=71)	LIVEdist	='ID1671'.
if (liveCtry = 'ID' & prov=31 &	district=71)	LIVEdist	='ID3171'.
if (liveCtry = 'ID' & prov=31 &	district=74)	LIVEdist	='ID3174'.
if (liveCtry = 'ID' & prov=32 &	district=73)	LIVEdist	='ID3273'.
if (liveCtry = 'ID' & prov=35 &	district=78)	LIVEdist	='ID3578'.
if (liveCtry='KE' & district=1) 			LIVEdist	='KE 1aa'.	
if (liveCtry='KE' & district=2) 			LIVEdist	='KE 1ab'.	
if (liveCtry='KE' & district=3) 			LIVEdist	='KE 1ac'.	
if (liveCtry='KE' & district=4) 			LIVEdist	='KE 1ad'.	
if (liveCtry='KE' & district=5) 			LIVEdist	='KE 1ae'.	
if (liveCtry='KE' & district=6) 			LIVEdist	='KE 1af'.	
if (liveCtry='KE' & district=7) 			LIVEdist	='KE 1ag'.	
if (liveCtry='KE' & district=8) 			LIVEdist	='KE 1ah'.	
if (liveCtry='KE' & district=9) 			LIVEdist	='KE 1ai'.	
if (liveCtry='KE' & district=10) 		LIVEdist	='KE 1aj'.	
if (liveCtry='KE' & district=11) 		LIVEdist	='KE 1ak'.	
if (liveCtry='KE' & district=12) 		LIVEdist	='KE 1al'.	
if (liveCtry='KE' & district=13) 		LIVEdist	='KE 1am'.	
if (liveCtry='KE' & district=14) 		LIVEdist	='KE 1an'.	
if (liveCtry='KE' & district=15) 		LIVEdist	='KE 1ao'.	
if (liveCtry='KE' & district=16) 		LIVEdist	='KE 2ap'.	
if (liveCtry='KE' & district=17) 		LIVEdist	='KE 2aq'.	
if (liveCtry='KE' & district=18) 		LIVEdist	='KE 1ar'.	
if (liveCtry='KE' & district=19) 		LIVEdist	='KE 1as'.	
if (liveCtry='KE' & district=20) 		LIVEdist	='KE 1at'.	
if (liveCtry='KE' & district=21) 		LIVEdist	='KE 1au'.	
if (liveCtry='KE' & district=22) 		LIVEdist	='KE 1av'.	
if (liveCtry='KE' & district=23) 		LIVEdist	='KE 1aw'.	
if (liveCtry='KE' & district=24) 		LIVEdist	='KE 1ax'.	
if (liveCtry='KE' & district=25) 		LIVEdist	='KE 1ay'.	
if (liveCtry='KE' & district=26) 		LIVEdist	='KE 1az'.	
if (liveCtry='KE' & district=27) 		LIVEdist	='KE 4ba'.	
if (liveCtry='KE' & district=29) 		LIVEdist	='KE 4bb'.	
if (liveCtry='KE' & district=30) 		LIVEdist	='KE 4bc'.	
if (liveCtry='KE' & district=31) 		LIVEdist	='KE 2bd'.	
if (liveCtry='KE' & district=32) 		LIVEdist	='KE 2be'.	
if (liveCtry='KE' & district=33) 		LIVEdist	='KE 2bf'.	
if (liveCtry='KE' & district=34) 		LIVEdist	='KE 2bg'.	
if (liveCtry='KE' & district=35) 		LIVEdist	='KE 2bh'.	
if (liveCtry='KE' & district=36) 		LIVEdist	='KE 2bi'.	
if (liveCtry='KE' & district=37) 		LIVEdist	='KE 2bj'.	
if (liveCtry='KE' & district=38) 		LIVEdist	='KE 2bk'.	
if (liveCtry='KE' & district=39) 		LIVEdist	='KE 2bl'.	
if (liveCtry='KE' & district=40) 		LIVEdist	='KE 2bm'.	
if (liveCtry='KE' & district=42) 		LIVEdist	='KE 2bn'.	
if (liveCtry='KE' & district=43) 		LIVEdist	='KE 2bo'.	
if (liveCtry='KE' & district=45) 		LIVEdist	='KE 4bp'.	
if (liveCtry='KE' & district=46) 		LIVEdist	='KE 4bq'.	
if (liveCtry='KE' & district=50) 		LIVEdist	='KE 4br'.	
if (liveCtry='KE' & district=51) 		LIVEdist	='KE 4bs'.	
if (liveCtry='KE' & district=53) 		LIVEdist	='KE 4bt'.	
if (liveCtry='KE' & district=55) 		LIVEdist	='KE41bu'.	
if (liveCtry='KE' & district=56) 		LIVEdist	='KE 4bv'.	
if (liveCtry='KE' & district=57) 		LIVEdist	='KE 4bw'.	
if (liveCtry='KE' & district=58) 		LIVEdist	='KE 4bx'.	
if (liveCtry='KE' & district=59) 		LIVEdist	='KE 4by'.	
if (liveCtry='KE' & district=60) 		LIVEdist	='KE 4bz'.	
if (liveCtry='KE' & district=62) 		LIVEdist	='KE 4ca'.	
if (liveCtry='KE' & district=63) 		LIVEdist	='KE 4cb'.	
if (liveCtry='KE' & district=65) 		LIVEdist	='KE 4cc'.	
if (liveCtry='KE' & district=66) 		LIVEdist	='KE16cd'.	
if (liveCtry='KE' & district=67) 		LIVEdist	='KE17ce'.	
if (liveCtry='KE' & district=68) 		LIVEdist	='KE 1cf'.	
if (liveCtry='KE' & district=69) 		LIVEdist	='KE39cg'.	
if (liveCtry='KE' & district=70) 		LIVEdist	='KE21ch'.	
if (liveCtry='KE' & district=71) 		LIVEdist	='KE21ci'.	
if (liveCtry='KE' & district=72) 		LIVEdist	='KE21cj'.	
if (liveCtry='KE' & district=73) 		LIVEdist	='KE21ck'.	
if (liveCtry='KE' & district=74) 		LIVEdist	='KE21cl'.	
if (liveCtry='KE' & district=75) 		LIVEdist	='KE21cm'.	
if (liveCtry='KE' & district=76) 		LIVEdist	='KE21cn'.	
if (liveCtry='KE' & district=77) 		LIVEdist	='KE21co'.	
if (liveCtry='KE' & district=78) 		LIVEdist	='KE21cp'.	
if (liveCtry='KE' & district=79) 		LIVEdist	='KE21cq'.	
if (liveCtry='KE' & district=80) 		LIVEdist	='KE21cr'.	
if (liveCtry='KE' & district=81) 		LIVEdist	='KE25cs'.	
if (liveCtry='KE' & district=82) 		LIVEdist	='KE25ct'.	
if (liveCtry='KE' & district=83) 		LIVEdist	='KE38cu'.	
if (liveCtry='KE' & district=84) 		LIVEdist	='KE24cv'.	
if (liveCtry='KE' & district=85) 		LIVEdist	='KE24cw'.	
if (liveCtry='KE' & district=86) 		LIVEdist	='KE24cx'.	
if (liveCtry='KE' & district=87) 		LIVEdist	='KE24cy'.	
if (liveCtry='KE' & district=88) 		LIVEdist	='KE24cz'.	
if (liveCtry='KE' & district=89) 		LIVEdist	='KE24da'.	
if (liveCtry='KE' & district=90) 		LIVEdist	='KE24db'.	
if (liveCtry='KE' & district=91) 		LIVEdist	='KE24dc'.	
if (liveCtry='KE' & district=92) 		LIVEdist	='KE40dd'.	
if (liveCtry='KE' & district=93) 		LIVEdist	='KE 1de'.	
if (liveCtry='KE' & district=94) 		LIVEdist	='KE 7df'.	
if (liveCtry='KE' & district=96) 		LIVEdist	='KE35dg'.	
if (liveCtry='KE' & district=97) 		LIVEdist	='KE35dh'.	
if (liveCtry='KE' & district=98) 		LIVEdist	='KE35di'.	
if (liveCtry='KE' & district=99) 		LIVEdist	='KE35dj'.	
if (liveCtry='KE' & district=100) 		LIVEdist	='KE31dk'.	
if (liveCtry='KE' & district=101) 		LIVEdist	='KE24dl'.	
if (liveCtry='KE' & district=102) 		LIVEdist	='KE24dm'.	
if (liveCtry='KE' & district=103) 		LIVEdist	='KE24dn'.	
if (liveCtry='KE' & district=104) 		LIVEdist	='KE24do'.	
if (liveCtry='KE' & district=105) 		LIVEdist	='KE24dp'.	
if (liveCtry='KE' & district=106) 		LIVEdist	='KE24dq'.	
if (liveCtry='KE' & district=107) 		LIVEdist	='KE 1dr'.	
if (liveCtry='KE' & district=108) 		LIVEdist	='KE37ds'.	
if (liveCtry='KE' & district=109) 		LIVEdist	='KE37dt'.	
if (liveCtry='KE' & district=110) 		LIVEdist	='KE36du'.	
if (liveCtry='KE' & district=111) 		LIVEdist	='KE35dv'.	
if (liveCtry='KE' & district=113) 		LIVEdist	='KE13dw'.	
if (liveCtry='KE' & district=114) 		LIVEdist	='KE13dx'.	
if (liveCtry='KE' & district=115) 		LIVEdist	='KE13dy'.	
if (liveCtry='KE' & district=116) 		LIVEdist	='KE13dz'.	
if (liveCtry='KE' & district=117) 		LIVEdist	='KE13ea'.	
if (liveCtry='KE' & district=118) 		LIVEdist	='KE13eb'.	
if (liveCtry='KE' & district=119) 		LIVEdist	='KE13ec'.	
if (liveCtry='KE' & district=120) 		LIVEdist	='KE26ed'.	
if (liveCtry='KE' & district=121) 		LIVEdist	='KE33ee'.	
if (liveCtry='KE' & district=122) 		LIVEdist	='KE34ef'.	
if (liveCtry='KE' & district=123) 		LIVEdist	='KE34eg'.	
if (liveCtry='KE' & district=124) 		LIVEdist	='KE33eh'.	
if (liveCtry='KE' & district=125) 		LIVEdist	='KE31ei'.	
if (liveCtry='KE' & district=126) 		LIVEdist	='KE27ej'.	
if (liveCtry='KE' & district=127) 		LIVEdist	='KE27ek'.	
if (liveCtry='KE' & district=128) 		LIVEdist	='KE27el'.	
if (liveCtry='KE' & district=129) 		LIVEdist	='KE27em'.	
if (liveCtry='KE' & district=130) 		LIVEdist	='KE27en'.	
if (liveCtry='KE' & district=131) 		LIVEdist	='KE27eo'.	
if (liveCtry='KE' & district=132) 		LIVEdist	='KE27ep'.	
if (liveCtry='KE' & district=133) 		LIVEdist	='KE27eq'.	
if (liveCtry='KE' & district=134) 		LIVEdist	='KE27er'.	
if (liveCtry='KE' & district=135) 		LIVEdist	='KE27es'.	
if (liveCtry='KE' & district=136) 		LIVEdist	='KE27et'.	
if (liveCtry='KE' & district=137) 		LIVEdist	='KE27eu'.	
if (liveCtry='KE' & district=138) 		LIVEdist	='KE27ev'.	
if (liveCtry='KE' & district=139) 		LIVEdist	='KE27ew'.	
if (liveCtry='KE' & district=140) 		LIVEdist	='KE27ex'.	
if (liveCtry='KE' & district=141) 		LIVEdist	='KE27ey'.	
if (liveCtry='KE' & district=142) 		LIVEdist	='KE27ez'.	
if (liveCtry='KE' & district=143) 		LIVEdist	='KE27fa'.	
if (liveCtry='KE' & district=144) 		LIVEdist	='KE27fb'.	
if (liveCtry='KE' & district=145) 		LIVEdist	='KE27fc'.	
if (liveCtry='KE' & district=146) 		LIVEdist	='KE27fd'.	
if (liveCtry='KE' & district=147) 		LIVEdist	='KE27fe'.	
if (liveCtry='KE' & district=148) 		LIVEdist	='KE27ff'.	
if (liveCtry='KE' & district=149) 		LIVEdist	='KE27fg'.	
if (liveCtry='KE' & district=150) 		LIVEdist	='KE11fh'.	
if (liveCtry='KE' & district=151) 		LIVEdist	='KE10fi'.	
if (liveCtry='KE' & district=152) 		LIVEdist	='KE10fj'.	
if (liveCtry='KE' & district=154) 		LIVEdist	='KE11fk'.	
if (liveCtry='KE' & district=157) 		LIVEdist	='KE10fl'.	
if (liveCtry='KE' & district=158) 		LIVEdist	='KE10fm'.	
if (liveCtry='KE' & district=159) 		LIVEdist	='KE10fn'.	
if (liveCtry='KE' & district=160) 		LIVEdist	='KE41fo'.	
if (liveCtry='KE' & district=162) 		LIVEdist	='KE41fp'.	
if (liveCtry='KE' & district=163) 		LIVEdist	='KE10fq'.	
if (liveCtry='KE' & district=164) 		LIVEdist	='KE41fr'.	
if (liveCtry='KE' & district=167) 		LIVEdist	='KE41fs'.	
if (liveCtry='KE' & district=170) 		LIVEdist	='KE 8ft'.	
if (liveCtry='KE' & district=171) 		LIVEdist	='KE 8fu'.	
if (liveCtry='KE' & district=172) 		LIVEdist	='KE 8fv'.	
if (liveCtry='KE' & district=173) 		LIVEdist	='KE 8fw'.	
if (liveCtry='KE' & district=174) 		LIVEdist	='KE 8fx'.	
if (liveCtry='KE' & district=175) 		LIVEdist	='KE 8fy'.	
if (liveCtry='KE' & district=176) 		LIVEdist	='KE 8fz'.	
if (liveCtry='KE' & district=177) 		LIVEdist	='KE 8ga'.	
if (liveCtry='KE' & district=178) 		LIVEdist	='KE 8gb'.	
if (liveCtry='KE' & district=179) 		LIVEdist	='KE 8gc'.	
if (liveCtry='KE' & district=180) 		LIVEdist	='KE 8gd'.	
if (liveCtry='KE' & district=181) 		LIVEdist	='KE 8ge'.	
if (liveCtry='KE' & district=182) 		LIVEdist	='KE 8gf'.	
if (liveCtry='KE' & district=183) 		LIVEdist	='KE 8gg'.	
if (liveCtry='KE' & district=184) 		LIVEdist	='KE 1gh'.	
if (liveCtry='KE' & district=185) 		LIVEdist	='KE 8gi'.	
if (liveCtry='KE' & district=186) 		LIVEdist	='KE 1gj'.	
if (liveCtry='KE' & district=187) 		LIVEdist	='KE52gk'.	
if (liveCtry='KE' & district=189) 		LIVEdist	='KE42gl'.	
if (liveCtry='KE' & district=190) 		LIVEdist	='KE 1gm'.	
if (liveCtry='KE' & district=191) 		LIVEdist	='KE59gn'.	
if (liveCtry='KE' & district=192) 		LIVEdist	='KE49go'.	
if (liveCtry='KE' & district=193) 		LIVEdist	='KE48gp'.	
if (liveCtry='KE' & district=194) 		LIVEdist	='KE28gq'.	
if (liveCtry='KE' & district=195) 		LIVEdist	='KE 8gr'.	
if (liveCtry='KE' & district=196) 		LIVEdist	='KE47gs'.	
if (liveCtry='KE' & district=197) 		LIVEdist	='KE51gt'.	
if (liveCtry='KE' & district=198) 		LIVEdist	='KE46gu'.	
if (liveCtry='KE' & district=199) 		LIVEdist	='KE45gv'.	
if (liveCtry='KE' & district=200) 		LIVEdist	='KE44gw'.	
if (liveCtry='KE' & district=201) 		LIVEdist	='KE43gx'.	
if (liveCtry='KE' & district=202) 		LIVEdist	='KE50gy'.	
if (liveCtry='KE' & district=203) 		LIVEdist	='KE52gz'.	
if (liveCtry='KE' & district=204) 		LIVEdist	='KE42ha'.	
if (liveCtry='KE' & district=205) 		LIVEdist	='KE53hb'.	
if (liveCtry='KE' & district=206) 		LIVEdist	='KE57hc'.	
if (liveCtry='KE' & district=207) 		LIVEdist	='KE10hd'.	
if (liveCtry='KE' & district=208) 		LIVEdist	='KE54he'.	
if (liveCtry='KE' & district=209) 		LIVEdist	='KE 8hf'.	
if (liveCtry='KE' & district=210) 		LIVEdist	='KE29hg'.	
if (liveCtry='KE' & district=211) 		LIVEdist	='KE 8hh'.	
if (liveCtry='KE' & district=212) 		LIVEdist	='KE10hi'.	
if (liveCtry='KE' & district=213) 		LIVEdist	='KE10hj'.	
if (liveCtry='KE' & district=214) 		LIVEdist	='KE10hk'.	
if (liveCtry='KE' & district=215) 		LIVEdist	='KE10hl'.	
if (liveCtry='KE' & district=216) 		LIVEdist	='KE10hm'.	
if (liveCtry='KE' & district=217) 		LIVEdist	='KE10hn'.	
if (liveCtry='KE' & district=220) 		LIVEdist	='KE34ho'.	
if (liveCtry='KE' & district=221) 		LIVEdist	='KE31hp'.	
if (liveCtry='KE' & district=222) 		LIVEdist	='KE31hq'.	
if (liveCtry='KE' & district=223) 		LIVEdist	='KE31hr'.	
if (liveCtry='KE' & district=224) 		LIVEdist	='KE33hs'.	
if (liveCtry='KE' & district=225) 		LIVEdist	='KE31ht'.	
if (liveCtry='KE' & district=226) 		LIVEdist	='KE31hu'.	
if (liveCtry='KE' & district=227) 		LIVEdist	='KE41hv'.	
if (liveCtry='KE' & district=229) 		LIVEdist	='KE18hw'.	
value lab				LIVEdist,BORNdist
	'BRrj50'		'central Rio de Janeiro'
	'BRrj5A'		'Duque de Caxias'		'BRrj5B'		'Nilopolis'
	'BRrj5C'		'Niteroi'				'BRrj5D'		'Nova Iguacu'
	'BRrj5E'		'Sao Goncalo'			'BRrj5F'		'Sao Joao de Meriti'
	'BRsp60'	'central Sao Paolo'
	'BRsp6A'	'Aruja'				'BRsp6B'	'Barueri'
	'BRsp6C'	'Caieiras'			'BRsp6D'	'Cajamar'
	'BRsp6E'	'Carapicuiba'			'BRsp6F'	'Cotia'
	'BRsp6G'	'Diadema'			'BRsp6H'	'Embu'
	'BRsp6I'		'Embu-Guacu'			'BRsp6J'	'Ferraz de Vasc'
	'BRsp6K'	'Guarulhos'			'BRsp6L'	'Itapecirica da Serra'
	'BRsp6M'	'Itaquaquecetuba'		'BRsp6N'	'Mairipora'
	'BRsp6O'	'Maua'				'BRsp6P'	'Moji das Cruzes'
	'BRsp6Q'	'Osasco'			'BRsp6R'	'Poa'
	'BRsp6S'	'Ribeirao Pires'			'BRsp6T'	'Rio Grande da Serra'
	'BRsp6U'	'Santana do Parnaiba'		'BRsp6V'	'Santo Andre'
	'BRsp6W'	'Sao Bernardo do Campo' 	'BRsp6X'	'Sao Caetano do Sul'
	'BRsp6Y'	'Suzano'			'BRsp6Z'	'Taboao da Serra'
	'ID1671' 	"Palembang"
	'ID3171' 	"Jakarta South"			'ID3174' 	"Jakarta West"		'ID31  ' "Jakarta"
	'ID3273' 	"Bandung"
	'ID3578' 	"Surabaya"			'ID51  ' 		"Bali"
	'BA  '"Bangladesh, dk area",		'BU  '"Burma, dk area",			'ET  '"Ethiopia, dk area",
	'MA  '"Malaysia, dk area",		'NE  '"Nepal, dk area",			'PA  '"Pakistan, dk area",
	'SA  '"South Africa, dk area",		'SL  '"Sri Lanka, dk area",		'SP  '"Singapore, dk area"
 'IN2000'"unspecified (Bombay)",	'IN2001'"Fort",			'IN2002'"Kalbedevi",
 'IN2003'"Girgaum",			'IN2004'"Malabar Hill",		'IN2005'"Cumballa Hill",
 'IN2006'"Byculla",			'IN2007'"Mahalakshmi",		'IN2008'"Sewri",
 'IN2009'"Parel",				'IN2010'"Dadar",		'IN2011'"Matunga",
 'IN2012'"Worli",				'IN2013'"Wadala",		'IN2014'"Trombay",
 'IN2015'"Mahim",			'IN2016'"Dharavi",		'IN2017'"Chembur",
 'IN2018'"Sion",				'IN2019'"Bandra",		'IN2020'"Khar",
 'IN2021'"Santa Cruz",			'IN2022'"Ghatkopar",		'IN2023'"Vile Parle",
 'IN2024'"Juhu",				'IN2025'"Vikhroli",		'IN2026'"Andheri",
 'IN2027'"Sakinaka",			'IN2028'"Jogeshwari",		'IN2029'"Bhandup", 
 'IN2030'"Madh",			'IN2031'"Aarey Milk Colony",	'IN2032'"Goregaon",
 'IN2033'"Mulund",			'IN2034'"Malad East",		'IN2035'"Malad West",
 'IN2036'"Kandivli",			'IN2037'"Manori",		'IN2038'"Borivli",
 'IN2039'"Dahisar",			'IN2040'"Thane",		'IN2041'"Bhiwandi",
 'IN2042'"Malvan/Malsim",		'IN2043'"Lalbang/Lal Bagh",	'IN2044'"Surti Muhalla",
 'IN2045'"Satara",			'IN2046'"Kumbhorwada",		'IN2047'"V. P. Road",
 'IN2048'"Marakusada",			'IN2049'"Pharahed",		'IN2050'"Malapure",
 'IN2051'"Kuvale",			'IN1000'"unspecified (Madras)",
 'IN1038'"Adyar",			'IN1004'"Agaramthen",		'IN1105'"Alamadhi",
 'IN1081'"Ambathur",			'IN1073'"Ambathur Estate",	'IN1031'"Anakaputhur",
 'IN1066'"Andersonpet",			'IN1111'"Angadu",		'IN1064'"Anna Nagar",
 'IN1103'"Arakkambakkam",		'IN1110'"Arumandai",		'IN1115'"Athipattu",
 'IN1083'"Avadi",			'IN1095'"Avadi C.E.P.",		'IN1070'"Ayanavaram",
 'IN1044'"Ayyappanthangal",		'IN1033'"Brindavan Nagar",	'IN1047'"Chembarambakkam",
 'IN1014'"Chitlapakkam",			'IN1035'"Cowl Bazar",		'IN1022'"Durcas",
 'IN1109'"Ennore",			'IN1027'"G.V.S.V. Nagar",	'IN1068'"George Town",
 'IN1078'"Gnanamoorthy Nagar",		'IN1117'"Gnayeru",		'IN1040'"Guindy",
 'IN1019'"Hasthinapuram",		'IN1013'"Injambakkam",		'IN1021'"Kadapperi",
 'IN1102'"Kadhavoor",			'IN1071'"Kamaraj Nagar",	'IN1010'"Kamarajapuram",
 'IN1002'"Karanai",			'IN1114'"Karanodai",		'IN1085'"Karukku",
 'IN1023'"Keelkattalai",			'IN1063'"Kilpauk",		'IN1052'"Kodambakkam",
 'IN1075'"Korattur",			'IN1024'"Kottivakkam (Palkalainagar)",
 'IN1037'"Kundrathur",			'IN1006'"Madambakkam",	'IN1094'"Madhavaram Milk Colony",
 'IN1091'"Madhavaram Village",		'IN1025'"Madipakkam B.S.",	'IN1050'"Mambalam",
 'IN1101'"Manali",			'IN1042'"Mandaveli",		'IN1048'"Mangadu",		'IN1011'"Medavakkam",
 'IN1096'"Melapedu",			'IN1084'"Menambedu",		'IN1043'"Meppur",
 'IN1118'"Minjur",			'IN1087'"Moolakadai",		'IN1028'"Moovarasampet",
 'IN1009'"Mudichur",			'IN1041'"Mugalivakkam",		'IN1065'"Mugapair",
 'IN1069'"Mugapair Road Jn.",		'IN1051'"Mylapore",		'IN1113'"N.E.Palayam",
 'IN1016'"Naduveerapattu",		'IN1039'"Nandambakkam",	'IN1030'"Nanganallur S.B.C.",
 'IN1106'"Napalayam",			'IN1001'"Navalur",		'IN1058'"Neman",
 'IN1020'"Nemilicheri",			'IN1056'"Nungambakkam",	'IN1093'"Oragadam",
 'IN1072'"Padi",				'IN1107'"Padianallur",		'IN1062'"Padikuppam",
 'IN1053'"Padurmedu",			'IN1099'"Pakkam",		'IN1086'"Pattabiram",
 'IN1026'"Pazhanthandalam",		'IN1080'"Perambur",		'IN1112'"Periyamullavoyal",
 'IN1054'"Poonamallee",			'IN1045'"Porur",		'IN1098'"Pothur",
 'IN1100'"Pozhal",			'IN1032'"Pozhichalur",		'IN1088'"Pudur",
 'IN1067'"Purasawalkam",		'IN1049'"Ramapuram (S.L.N.P. Koil)",
 'IN1104'"Red Hills",			'IN1076'"Royapuram",		'IN1046'"Saidapet",
 'IN1059'"Sevasadan",			'IN1005'"Sozhanganallur (P. Koil)",
 'IN1090'"Srinivasa Nagar",		'IN1036'"St. Thomas Mount",	'IN1018'"T.V.K. Nagar",
 'IN1015'"Tambaram",			'IN1034'"Taramani",		'IN1092'"Teacher's Colony",
 'IN1077'"Thandarai",			'IN1057'"Thirumazhisai",	'IN1079'"Thirunindravur",
 'IN1029'"Thiruvanmiyur",		'IN1060'"Thiruverkadu",	'IN1097'"Thiruvotriyur",
 'IN1017'"Thorapakkam (PTC Colony)",	'IN1082'"Tondarpet",
 'IN1055'"Triplicane",			'IN1012'"V.G.P. Golden Beach",
 'IN1007'"Vandalur",			'IN1116'"Vazhathugai Medu",	'IN1061'"Vellavedu",
 'IN1008'"Vengaivasal P.H.C.",		'IN1003'"Venkatamangalam",	'IN1108'"Vichoor",
 'IN1074'"Villivakkam",			'IN1089'"Washermanpet"	'IN -99' "unknown [India]"
 'INAP01' "Adilabad"		 'INUP01' "Agra"			 'INGU01' "Ahmadabad"		 'INMH01' "Ahmadnagar"
 'INMI01' "Aizawl"		 'INRA01' "Ajmer"		 'INMH02' "Akola"		 'INUP02' "Aligarh"
 'INUP03' "Allahabad"		 'INKE01' "Alleppey"		 'INUP04' "Almora"		 'INRA02' "Alwar"
 'INHA01' "Ambala"		 'INMH03' "Amravati"		 'INGU02' "Amreli"		 'INPU01' "Amritsar"
 'INAP02' "Anantapur"		 'INJK01' "Anantnag"		 'INAN01' "Andamans"		 'INBI01' "Aurangabad"
 'INMH04' "Aurangabad"		 'INUP05' "Azamgarh"		 'INJK02' "Badgam"		 'INUP06' "Bahraich"
 'INMP01' "Balaghat"		 'INOR01' "Balangir"		 'INOR02' "Baleshwar"		 'INUP07' "Ballia"
 'INGU03' "Banas Kantha"	 'INUP08' "Banda"		 'INKA01' "Bangalore"		 'INWB01' "Bankura"
 'INRA03' "Banswara"		 'INUP09' "Bara Banki"		 'INJK03' "Baramula"		 'INWB02' "Barddhaman"
 'INUP10' "Bareilly"		 'INRA04' "Barmer"		 'INMP02' "Bastar"		 'INUP11' "Basti"
 'INPU02' "Bathinda"		 'INMH06' "Beed"		 'INBI02' "Begusarai"		 'INKA02' "Belgaum"
 'INKA03' "Bellary"		 'INMP03' "Betul"		 'INBI03' "Bhagalpar"		 'INMH05' "Bhandara"
 'INRA05' "Bharatpur"		 'INGU04' "Bharuch"		 'INGU06' "Bhavnagar"		 'INRA06' "Bhilwara"
 'INMP04' "Bhind"		 'INHA02' "Bhiwani"		 'INBI04' "Bhojpur"		 'INKA04' "Bidar"
 'INKA05' "Bijapur"		 'INUP12' "Bijnor"		 'INRA07' "Bikaner"		 'INHP01' "Bilaspur"
 'INMP06' "Bilaspur"		 'INWB03' "Birbhum"		 'INMP05' "Bnopal"		 'INUP13' "Budaun"
 'INUP14' "Bulandashahr"	 'INMH07' "Buldana"		 'INRA08' "Bundi"		 'INAS01' "Cachar"
 'INWB04' "Calcutta"		 'INKE02' "Cannanore"		 'INHP02' "Chamba"		 'INUP15' "Chamoli"
 'INCH01' "Chandigarh"		 'INMH08' "Chandrapur"		 'INTN01' "Chengalpattu"		 'INMP07' "Chhatarpur"
 'INMI02' "Chhimtuipui"		 'INMP08' "Chhindwara"		 'INKA06' "Chikmsagalur"	 'INKA07' "Chitradurga"
 'INRA09' "Chittaurgarh"		 'INAP03' "Chittoor"		 'INRA10' "Churu"		 'INTN02' "Coimbatore"
 'INAP04' "Cuddapah"		 'INOR03' "Cuttack"		 'INDN01' "Dadra & Nagar Hav"	 'INKA08' "Dakshin Kannad"
 'INGO01' "Daman"		 'INMP09' "Damoh"		 'INBI05' "Darbhanga"		 'INWB05' "Darjiling"
 'INAS02' "Darrang"		 'INMP10' "Datia"		 'INUP16' "Dehra Dun"		 'INDE01' "Delhi"
 'INUP17' "Deoria"		 'INMP11' "Dewas"		 'INBI06' "Dhanbad"		 'INMP12' "Dhar"
 'INTN03' "Dharmapuri"		 'INKA09' "Dharwad"		 'INOR04' "Dhenkanal"		 'INMH09' "Dhule"
 'INAR01' "Dibang Valley"	 'INAS03' "Dibrugarh"		 'INGO02' "Diu"			 'INJK04' "Doda"
 'INRA11' "Dungarpur"		 'INMP13' "Durg"		 'INME01' "East Garo Hills"	 'INAP05' "East Godavari"
 'INAR02' "East Kameng"	 'INME02' "East Khasi Hills"	 'INMP14' "East Nimar"		 'INAR03' "East Siang"
 'INSI01' "East Sikkim"		 'INKE03' "Ernakulam"		 'INUP18' "Etah"			 'INUP19' "Etawah"
 'INUP20' "Faizabad"		 'INHA03' "Faridabad"		 'INPU03' "Faridkot"		 'INUP21' "Farrukhabad"
 'INUP22' "Fatehpur"		 'INPU05' "Ferozpur"		 'INRA12' "Ganganagar"		 'INOR05' "Ganjam"
 'INUP23' "Garhwal"		 'INBI07' "Gaya"			 'INGU05' "Ghandhinagar"	 'INUP24' "Ghaziabad"
 'INUP25' "Ghazipur"		 'INBI08' "Giridih"		 'INGO03' "Goa"			 'INAS04' "Goalpara"
 'INUP26' "Gonda"		 'INBI09' "Gopalganj"		 'INUP27' "Gorakhpur"		 'INMH10' "Greater Bombay"
 'INKA10' "Gulbarga"		 'INMP15' "Guna"		 'INAP06' "Guntur"		 'INPU04' "Gurdaspur"
 'INHA04' "Gurgaon"		 'INMP16' "Gwalior"		 'INHP03' "Hamirpur"		 'INUP28' "Hamirpur"
 'INWB06' "Haora"		 'INUP29' "Hardoi"		 'INKA11' "Hassan"		 'INBI10' "Hazaribag"
 'INHA05' "Hisar"		 'INMP17' "Hoshangabad"	 'INPU06' "Hoshiarpur"		 'INWB07' "Hugli"
 'INAP07' "Hyderabad"		 'INKE04' "Idukki"		 'INMP18' "Indore"		 'INMP19' "Jabalpur"
 'INME03' "Jaintia Hills"		 'INRA13' "Jaipur"		 'INRA14' "Jaisalmer"		 'INPU07' "Jalandhar"
 'INUP30' "Jalaun"		 'INMH11' "Jalgaon"		 'INRA15' "Jalor"		 'INWB08' "Jalpaiguri"
 'INJK05' "Jammu"		 'INGU07' "Jamnagar"		 'INRA17' "Jaunjhunun"		 'INUP31' "Jaunpur"
 'INMP20' "Jhabua"		 'INRA16' "Jhalawar"		 'INUP32' "Jhansi"		 'INHA06' "Jind"
 'INRA18' "Jodhpur"		 'INGU08' "Junagadh"		 'INGU09' "Kachch"		 'INOR06' "Kalahandi"
 'INAS05' "Kamrup"		 'INHP04' "Kangra"		 'INTN04' "Kanniyakumari"	 'INUP33' "Kanpur"
 'INPU08' "Kapurthala"		 'INPO01' "Karaikal"		 'INAS06' "Karbi Anglong"	 'INJK06' "Kargil"
 'INAP08' "Karimnagar"		 'INHA07' "Karnal"		 'INJK07' "Kathua"		 'INBI11' "Katihar"
 'INOR07' "Kendujhargarh"	 'INAP09' "Khammam"		 'INGU10' "Kheda"		 'INUP34' "Kheri"
 'INHP05' "Kinnaur"		 'INWB09' "Koch Bihar"		 'INKA12' "Kodagu"		 'INNA01' "Kohima"
 'INKA13' "Kolar"		 'INMH12' "Kolhapur"		 'INOR08' "Koraput"		 'INRA19' "Kota"
 'INKE05' "Kottayam"		 'INKE06' "Kozhikade"		 'INAP10' "Krishna"		 'INHP06' "Kullu"
 'INJK08' "Kupwara"		 'INAP11' "Kurnool"		 'INHA08' "Kurukshetra"		 'INJK09' "Ladakh"
 'INHP07' "Lahul & Spiti"		 'INAS07' "Lakhimpur"		 'INLA01' "Lakshadweep"	 'INUP35' "Lalitpur"
 'INAR04' "Lohit"			 'INAR05' "Lower Subansiri"	 'INUP36' "Lucknow"		 'INPU09' "Ludhiana"
 'INMI03' "Lunglei"		 'INBI12' "Madhubani"		 'INTN05' "Madras"		 'INTN06' "Madurai"
 'INAP12' "Mahbubnagar"	 'INPO02' "Mahe"		 'INHA09' "Mahendragarh"	 'INGU11' "Mahesana"
 'INUP37' "Mainpuri"		 'INKE07' "Malappuram"		 'INWB10' "Maldah"		 'INHP08' "Mandi"
 'INMP21' "Mandla"		 'INMP22' "Mandsaur"		 'INKA14' "Mandya"		 'INMN01' "Manipur Central"
 'INMN02' "Manipur East"	 'INMN03' "Manipur North"	 'INMN04' "Manipur South"	 'INMN05' "Manipur West"
 'INUP38' "Mathura"		 'INOR09' "Mayurbhanj"		 'INAP13' "Medak"		 'INWB11' "Medinipur"
 'INUP39' "Meerut"		 'INUP40' "Mirzapur"		 'INNA02' "Mokokchung"		 'INNA03' "Mon"
 'INUP41' "Moradabad"		 'INMP23' "Morena"		 'INBI13' "Munger"		 'INWB12' "Murshidabad"
 'INUP42' "Muzaffarnagar"	 'INBI14' "Muzzaffarpur"		 'INKA15' "Mysore"		 'INWB13' "Nadia"
 'INRA20' "Nagaun"		 'INMH13' "Nagpur"		 'INUP43' "Naini Tal"		 'INBI15' "Nalanda"
 'INAP14' "Nalgonda"		 'INMH14' "Nanded"		 'INMP24' "Narsimhapur"		 'INMH15' "Nashik"
 'INBI16' "Nawada"		 'INAP15' "Nellore"		 'INAN02' "Nicobars"		 'INTN07' "Nilgiri"
 'INAP16' "Nizambad"		 'INTN08' "North Arcot"		 'INAS08' "North Cachar Hill"	 'INSI02' "North Sikkim"
 'INTR01' "North Tripura"		 'INAS09' "Nowgong"		 'INMH16' "Osmanabad"		 'INBI17' "Palamu"
 'INKE08' "Palghat"		 'INRA21' "Pali"			 'INGU12' "Panch Mahals"	 'INMP25' "Panna"
 'INMH17' "Parbhani"		 'INBI18' "Paschim Champaran"	 'INPU10' "Patiala"
 'INBI19' "Patna"		 'INTN09' "Periyar"		 'INOR10' "Phalbani"		 'INNA04' "Phek"
 'INUP44' "Philibhit"		 'INUP45' "Pithagorh"		 'INPO03' "Pondicherry"		 'INAP17' "Prakasam"
 'INUP46' "Pratapgarh"		 'INTN10' "Pudukkottal"		 'INJK10' "Pulwama"		 'INJK11' "Punch"
 'INMH18' "Pune"		 'INBI20' "Purba Champaran"	 'INOR11' "Puri"			 'INBI21' "Purnia"
 'INWB14' "Puruliya"		 'INKE09' "Quilon"		 'INUP47' "Rae Bareli"		 'INKA16' "Raichur"
 'INMH19' "Raigad"		 'INMP26' "Raigarh"		 'INMP27' "Raipur"		 'INMP28' "Raisen"
 'INJK12' "Rajauri"		 'INMP29' "Rajgarh"		 'INGU13' "Rajkot"		 'INMP30' "Rajnandgaon"
 'INTN11' "Ramanathapuram"	 'INUP48' "Rampur"		 'INBI22' "Ranchi"		 'INAP18' "Rangareddi"
 'INMP31' "Ratlam"		 'INMH20' "Ratnagiri"		 'INMP32' "Rewa"		 'INHA10' "Rohtak"
 'INBI23' "Rohtas"		 'INPU11' "Rupnagar"		 'INGU14' "Sabar Kantha"	 'INMP33' "Sagar"
 'INUP49' "Saharanpur"		 'INBI24' "Saharsa"		 'INTN12' "Salem"		 'INBI25' "Samastipur"
 'INOR12' "Sambalpur"		 'INMH21' "Sangli"		 'INPU12' "Sangrur"		 'INBI26' "Santhal Pargana"
 'INBI27' "Saran"		 'INMP41' "Sarguja"		 'INMH22' "Satara"		 'INMP34' "Satna"
 'INRA22' "Sawal Madhopur"	 'INMP35' "Sehore"		 'INMP36' "Seoni"		 'INMP37' "Shahdol"
 'INUP50' "Shahjahanpur"	 'INMP38' "Shajapur"		 'INHP09' "Shimla"		 'INKA17' "Shimoga"
 'INMP39' "Shivpuri"		 'INAS10' "Sibsagar"		 'INMP40' "Sidhi"		 'INRA23' "Sikar"
 'INBI29' "Singhbhum"		 'INHP10' "Sirmaur"		 'INRA24' "Sirohl"		 'INHA11' "Sirsa"
 'INBI28' "Sitamarhi"		 'INUP51' "Sitapur"		 'INBI30' "Siwan"		 'INHP11' "Solan"
 'INMH23' "Solapur"		 'INHA12' "Sonipat"		 'INTN13' "South Arcot"		 'INSI03' "South SIkkim"
 'INTR02' "South Tripura"	 'INAP19' "Srikakulam"		 'INJK13' "Srinagar"		 'INUP52' "Sultanpur"
 'INOR13' "Sundargarh"		 'INGU15' "Surat"		 'INGU16' "Surendranagar"	 'INUP53' "Tehri Garhwal"
 'INMN06' "Tengnoupal"		 'INMH24' "Thane"		 'INTN14' "Thanjavur"		 'INGU17' "The Dangs"
 'INMP42' "Tikamgarh"		 'INAR06' "Tirap"		 'INTN15' "Tiruchchirappalli"	 'INTN16' "Tirunveli"
 'INRA25' "Tonk"			 'INKE10' "Trichur"		 'INKE11' "Trivandrum"		 'INNA05' "Tuensang"
 'INKA18' "Tumkur"		 'INWB15' "Twenty-Four Parga"	 'INRA26' "Udaipur"
 'INJK14' "Udhampur"		 'INMP43' "Ujjain"		 'INHP12' "Una"			 'INUP54' "Unnao"
 'INAR07' "Upper Subansiri"	 'INKA19' "Uttar Kannad"		 'INUP55' "Uttarkashi"		 'INGU18' "Vadodara"
 'INBI31' "Vaishali"		 'INGU19' "Valsad"		 'INUP56' "Varanasi"		 'INMP44' "Vidisha"
 'INAP20' "Vishakhapatnam"	 'INAP21' "Vizianagaram"	 'INAP22' "Warangal"		 'INMH25' "Wardha"
 'INKE12' "Wayanad"		 'INWB16' "West Dinajpur"	 'INME04' "West Garo Hills"	 'INAP23' "West Godavari"
 'INAR08' "West Kameng"	 'INME05' "West Khasi Hills"	 'INMP45' "West Nimar"		 'INAR09' "West Siang"
 'INSI04' "West Sikkim"		 'INTR03' "West Tripura"		 'INNA06' "Wokha"		 'INPO04' "Yanam"
 'INMH26' "Yavatmal"		 'INNA07' "Zunheboto"
 'INAN  ' "Andaman & Nicobar(district unknown)"	'INAP  ' "Andhra Pradesh(district unknown)"
 'INAR  ' "Arunchal Pradesh(district unknown)"	'INAS  ' "Assam(district unknown)"			
 'INBI  ' "Bihar(district unknown)"			'INCH  ' "Chandigarh(district unknown)"
 'INDE  ' "Delhi(district unknown)"		'INDN  ' "Dadra & Nagar H(district unknown)"
 'INGO  ' "Goa(district unknown)"			'INGU  ' "Gujarat(district unknown)"		
 'INHA  ' "Harayana(district unknown)"		'INHP  ' "Himachal Pradesh(district unknown)"
 'INJK  ' "Jammu & Kashmir(district unknown)"	'INKA  ' "Karnataka(district unknown)"
 'INKE  ' "Kerala(district unknown)"		'INLA  ' "Lakadshweep(district unknown)"	
 'INME  ' "Meghalya(district unknown)"		'INMH  ' "Maharashtra(district unknown)"
 'INMI  ' "Mizoram(district unknown)"		'INMN  ' "Manipur(district unknown)"
 'INMP  ' "Madhya Pradesh(district unknown)"	'INNA  ' "Nagaland(district unknown)"		
 'INOR  ' "Orissa(district unknown)"		'INPO  ' "Pondicherry(district unknown)"
 'INPU  ' "Punjab(district unknown)"		'INRA  ' "Rajasthan(district unknown)"
 'INSI  ' "Sikkim(district unknown)"		'INTN  ' "Tamil Nadu(district unknown)"	
 'INTR  ' "Tripura(district unknown)"		'INUP  ' "Uttar Pradesh(district unknown)"
 'INWB  ' "West Bengal(district unknown)"
 'KE 1aa' 'Nairobi: Umoja 1'			 'KE 1ab' 'Nairobi: Nairobi Dam'	
 'KE 1ac' 'Nairobi: Kahawa West'			 'KE 1ad' 'Nairobi: Kayole'	
 'KE 1ae' 'Nairobi: Huruma Estate'		 'KE 1af' 'Nairobi: Otiende Estate'	
 'KE 1ag' 'Nairobi: Moi Estate'			 'KE 1ah' 'Nairobi: Kasarani'	
 'KE 1ai' 'Nairobi: Olympic Kibera'		 'KE 1aj' 'Nairobi: Umoja II'	
 'KE 1ak' 'Nairobi: Umoja Innercore'		 'KE 1al' 'Nairobi: Ngara'	
 'KE 1am' 'Nairobi: Industrial Area'		 'KE 1an' 'Nairobi: Tena Estate'	
 'KE 1ao' 'Nairobi: Kawangware'			 'KE 1ar' 'Nairobi: Dandora'	
 'KE 1as' 'Nairobi: Kibera'			 'KE 1at' 'Nairobi: Nairobi South B'	
 'KE 1au' 'Nairobi: Kangemi'			 'KE 1av' 'Nairobi: Mountain View'	
 'KE 1aw' 'Nairobi: Komarock'			 'KE 1ax' 'Nairobi: Muthurwa'	
 'KE 1ay' 'Nairobi: Donholm'			 'KE 1az' 'Nairobi: Embakasi'	
 'KE 1cf' 'Nairobi: Karuri'				 'KE 1de' 'Nairobi: Uthiru'	
 'KE 1dr' 'Nairobi: Githurai'			 'KE 1gh' 'Nairobi: Ruaka'	
 'KE 1gj' 'Nairobi: Kabete'			 'KE 1gm' 'Nairobi: Riruta'	
 'KE 2ap' 'Muranga: Central Muranga/Mumbi'	 'KE 2aq' 'Muranga: Central Mjini'	
 'KE 2bd' 'Muranga: Kahara/Kiharu'		 'KE 2be' 'Muranga: Kongu-Ini'	
 'KE 2bf' 'Muranga: Kabwe'			 'KE 2bg' 'Muranga: Mukuru'	
 'KE 2bh' 'Muranga: Ngaru'			 'KE 2bi' 'Muranga: Gaitega'	
 'KE 2bj' 'Muranga: Ndikwe'			 'KE 2bk' 'Muranga: Muchungucha'	
 'KE 2bl' 'Muranga: Makongeni'			 'KE 2bm' 'Muranga: Mukuyu'	
 'KE 2bn' 'Muranga: Gakiira'			 'KE 2bo' 'Muranga: Florida'	
 'KE 4ba' 'Nyeri: Nyeri'				 'KE 4bb' 'Nyeri: Blue Valley'	
 'KE 4bc' 'Nyeri: Smart Center'			 'KE 4bh' 'Nyeri: Ngaru'	
 'KE 4bp' 'Nyeri: Gituru'				 'KE 4bq' 'Nyeri: Karatina'	
 'KE 4br' 'Nyeri: Ragati'				 'KE 4bs' 'Nyeri: Kiahiti'	
 'KE 4bt' 'Nyeri: Tumutumu'			 'KE 4bv' 'Nyeri: Ndima-Ini'	
 'KE 4bw' 'Nyeri: Gathugu'			 'KE 4bx' 'Nyeri: Ihwagi'	
 'KE 4by' 'Nyeri: Muchohi'			 'KE 4bz' 'Nyeri: Gatue'	
 'KE 4ca' 'Nyeri: Kangocho'			 'KE 4cb' 'Nyeri: Kamura'	
 'KE 4cc' 'Nyeri: Ichuga'				 'KE 7df' 'Gatundu: Gatundu'	
 'KE 8fk' 'Eldoret: Bondeni'			 'KE 8ft' 'Eldoret: West Indies'	
 'KE 8fu' 'Eldoret: Eldoret Town'			 'KE 8fv' 'Eldoret: Baringo'	
 'KE 8fw' 'Eldoret: Huruma'			 'KE 8fx' 'Eldoret: Roadblock'	
 'KE 8fy' 'Eldoret: Langas'			 'KE 8fz' 'Eldoret: Kahoya'	
 'KE 8ga' 'Eldoret: Chepkoilee'			 'KE 8gb' 'Eldoret: Turbo'	
 'KE 8gc' 'Eldoret: Nyadhile'			 'KE 8gd' 'Eldoret: Weighbridge'	
 'KE 8ge' 'Eldoret: Roadblock'			 'KE 8gf' 'Eldoret: Uhuru'	
 'KE 8gg' 'Eldoret: Kipkaren'			 'KE 8gi' 'Eldoret: Pioneer'	
 'KE 8gr' 'Eldoret: Bondeni (Eldoret)'		 'KE 8hf' 'Eldoret: Baharini'	
 'KE 8hh' 'Eldoret: Keroka (Eldoret)'		 'KE10fi' 'Nakuru: Umoja (Riftwvalley)'	
 'KE10fj' 'Nakuru: Nakuru Town'			 'KE10fl' 'Nakuru: Mwariki'	
 'KE10fm' 'Nakuru: Kiti'				 'KE10fn' 'Nakuru: Pipeline'	
 'KE10fq' 'Nakuru: Langalanga'			 'KE10hd' 'Nakuru: Racecourse'	
 'KE10hi' 'Nakuru: Freehold'			 'KE10hj' 'Nakuru: Mawanga'	
 'KE10hk' 'Nakuru: Lanet'			 'KE10hl' 'Nakuru: Lake View'	
 'KE10hm' 'Nakuru: Pangani'			 'KE10hn' 'Nakuru: Kimathi'	
 'KE11fh' 'Njoro: Njoro'				 'KE11fk' 'Njoro: Bondeni'	
 'KE13dw' 'Nanyuki: Thingithi'			 'KE13dx' 'Nanyuki: Majengo (Nanyuki)'	
 'KE13dy' 'Nanyuki: Muthaiga'			 'KE13dz' 'Nanyuki: Likii'	
 'KE13ea' 'Nanyuki: Stadium (Nanyuki)'		 'KE13eb' 'Nanyuki: Blue Gum (Nanyuki)'	
 'KE13ec' 'Nanyuki: Icuga'			 'KE16cd' 'Kiserian: Kiserian'	
 'KE17ce' 'Kitengela: Kitengela'			 'KE18hw' 'Meru: Meru'	
 'KE21ch' 'Mbooni: Mbooni'			 'KE21ci' 'Mbooni: Mukumu'	
 'KE21cj' 'Mbooni: Kakuyuru'			 'KE21ck' 'Mbooni: Kikima'	
 'KE21cl' 'Mbooni: Mweani'			 'KE21cm' 'Mbooni: Kituluku'	
 'KE21cn' 'Mbooni: Mavindu'			 'KE21co' 'Mbooni: Ndueni'	
 'KE21cp' 'Mbooni: Mutwi'			 'KE21cq' 'Mbooni: Kyuu'	
 'KE21cr' 'Mbooni: Nzoka'			 'KE21dn' 'Mbooni: Shaurimoyo/Shauri Yako'	
 'KE24cv' 'Kisumu: Kibes/Migosi'			 'KE24cw' 'Kisumu: Nubian'	
 'KE24cx' 'Kisumu: Kaloleni'			 'KE24cy' 'Kisumu: Arma'	
 'KE24cz' 'Kisumu: Kondelee'			 'KE24da' 'Kisumu: Tom Mboya'	
 'KE24db' 'Kisumu: Nyalenda'			 'KE24dc' 'Kisumu: Manyatta'	
 'KE24dl' 'Kisumu: Makasembo'			 'KE24dm' 'Kisumu: Ondiek'	
 'KE24dn' 'Kisumu: Shaurimoyo/Shauri Yako'	 'KE24do' 'Kisumu: Mamboleo'	
 'KE24dp' 'Kisumu: Pembe Tatu'			 'KE24dq' 'Kisumu: Lumumba'	
 'KE25cs' 'Bondo: Bondo'			 'KE25ct' 'Bondo: Nyakach'	
 'KE25dl' 'Bondo: Makasembo'			 'KE26ed' 'Homabay: Homabay'	
 'KE27ej' 'Kisii: Kisii'				 'KE27ek' 'Kisii: Taracha'	
 'KE27el' 'Kisii: Irundi'				 'KE27em' 'Kisii: Kebirichi'	
 'KE27en' 'Kisii: Mwembe Tayari'			 'KE27eo' 'Kisii: Nyakeburo'	
 'KE27ep' 'Kisii: Birongo'				 'KE27eq' 'Kisii: Keboba'	
 'KE27er' 'Kisii: Nyamanagu'			 'KE27es' 'Kisii: Kebirichi'	
 'KE27et' 'Kisii: Jogoo'				 'KE27eu' 'Kisii: Nyaibasa'	
 'KE27ev' 'Kisii: Masaba'				 'KE27ew' 'Kisii: Township'	
 'KE27ex' 'Kisii: Nyambera'			 'KE27ey' 'Kisii: Irondi'	
 'KE27ez' 'Kisii: Kenani'				 'KE27fa' 'Kisii: Mwamosioma'	
 'KE27fb' 'Kisii: Kiamogiti'			 'KE27fc' 'Kisii: Nyangeni'	
 'KE27fd' 'Kisii: Geteni'				 'KE27fe' 'Kisii: Nyariache'	
 'KE27ff' 'Kisii: Getembe'				 'KE27fg' 'Kisii: Bochorojke'	
 'KE28gq' 'Kakamega: Kakamega'		 'KE29ew' 'Vihiga: Township'	
 'KE29hg' 'Vihiga: Vihiga'			 'KE31dk' 'Bungoma: Milimani'	
 'KE31ei' 'Bungoma: Bungoma'			 'KE31hp' 'Bungoma: Namashanja'	
 'KE31hq' 'Bungoma: Kanduyi'			 'KE31hr' 'Bungoma: Buyofu'	
 'KE31ht' 'Bungoma: Mandirishani'		 'KE31hu' 'Bungoma: Maragoli'	
 'KE33ee' 'Mumias: Mumias'			 'KE33eh' 'Mumias: Matungu'	
 'KE33ho' 'Mumias: Shikunga'			 'KE33hs' 'Mumias: Butope'	
 'KE34ef' 'Butere: Shinyulu'			 'KE34eg' 'Butere: Butere'	
 'KE34ho' 'Butere: Shikunga'			 'KE35dg' 'Mombasa: High Level'	
 'KE35dh' 'Mombasa: Makindani'			 'KE35di' 'Mombasa: Majengo'	
 'KE35dj' 'Mombasa: Makande'			 'KE35dv' 'Mombasa: Mombasa'	
 'KE36du' 'Kwale: Kwale'				 'KE37ds' 'Kilifi: Kilifi'	
 'KE37dt' 'Kilifi: Mtaani'				 'KE38cu' 'Garissa: Garissa'	
 'KE39cg' 'Ruiru: Ruiru'				 'KE40dd' 'Kikuyu: Kikuyu'	
 'KE41bu' 'Kitui: Kitui'				 'KE41di' 'Kitui: Majengo'	
 'KE41dm' 'Kitui: Ondiek'				 'KE41ew' 'Kitui: Township'	
 'KE41fk' 'Kitui: Bondeni'				 'KE41fo' 'Kitui: Califonia (Kitui)'	
 'KE41fp' 'Kitui: Mjini (Kitui)'			 'KE41fr' 'Kitui: Mosquito (Kitui)'	
 'KE41fs' 'Kitui: Site'				 'KE41hv' 'Kitui: Ngindu'	
 'KE42gl' 'Esalswa: Esalwa'			 'KE42ha' 'Esalswa: Luanda'	
 'KE43gx' 'Hobunaka: Hobunaka'			 'KE43gz' 'Hobunaka: Emunaya'	
 'KE44gw' 'Ebochalwa: Ebochalwa'		 'KE45gv' 'Ekonyero: Ekonyero'	
 'KE46gu' 'Emaraba: Emaraba'			 'KE47gs' 'Emukhuya: Emukuya'	
 'KE48gp' 'Ebusundi: Ebusundi'			 'KE48gz' 'Ebusundi: Emunaya'	
 'KE49go' 'Elusi: Elusi'				 'KE50gy' 'Eshikambi: Eshikambi'	
 'KE51gt' 'Maraba: Maraba'			 'KE52gk' 'Ebuhando: Ebuhando'	
 'KE52gz' 'Ebuhando: Emunaya'			 'KE53hb' 'Alura: Aluka'	
 'KE54he' 'Shirali: Shirali'			 'KE55gq' 'Butsotso: Kakamega'	
 'KE57hc' 'Shikhambi: Malaba'			 'KE59gn' 'Emmutsi: Emmuti'
 'TD 4 7'	"Gura: Mongo"			 'TD 7 1'	"Lac: Birim"			 'TD 7 2'	"Lac: Bornoti"
 'TD 7 3'	"Lac: Boudoumari"		 'TD 7 6'	"Lac: Markinerom"		 'TD 710'	"Lac: Ngourwalai"
 'TD 711'	"Lac: Tandal 1"			 'TD 712'	"Lac: Tandal 2"			 'TD 713'	"Lac: Tchoukountoli"
 'TD 714'	"Lac: Wadidoum"		 'TD 715'	"Lac: Walabari"			 'TD 719'	"Lac"
 'TD 724'	"Lac: Talkaketiri"		 'TD 726'	"Lac: Matafo"			 'TD 728'	"Lac: Tandal 3"
 'TD 737'	"Lac: Tala 1"			 'TD 746'	"Lac: Monne"			 'TD 747'	"Lac: Ngarangou"
 'TD 748'	"Lac: Ouiaoudoum"		 'TD 749'	"Lac: Bouligni"			 'TD 8 7'	"Moundou: Mongo"
 'TD 831'	"Moundou: [3] Guellioura"	 'TD 832'	"Moundou: [3] Doumber"	 'TD 834'	"Moundou: Djarabe CA2"
 'TD 835'	"Moundou: [2] Residentiel"	 'TD 836'	"Moundou: [1] Doyon 2"		 'TD 838'	"Moundou: Gueldjem II"
 'TD 839'	"Moundou: Kalbot"		 'TD 840'	"Moundou: Mbombaya"		 'TD 841'	"Moundou: Haoussa"
 'TD 842'	"Moundou: Belle Vue"		 'TD 845'	"Moundou: 15 Ans"		 'TD 850'	"Logone Occidental: rural"
 'TD18 4'	"N'Djamena: Chagoua"		 'TD18 5'	"N'Djamena [7]: Dembe"		 'TD18 8'	"N'Djamena [6]: Moursal"
 'TD18 9'	"N'Djamena [1]: Milezi"		 'TD1816'	"N'Djamena [2]: Walia"		 'TD1817'	"N'Djamena [3]: Ardep Djoumbal"
 'TD1818'	"N'Djamena [2]: Bololo"		 'TD1819'	"N'Djamena [3]: Kabalaye"	 'TD1820'	"N'Djamena: Non Game"
 'TD1821'	"N'Djamena [6]: Paris Congo 1"	 'TD1822'	"N'Djamena [1]: Farcha"		 'TD1823'	"N'Djamena: Madjario"
 'TD1825'	"N'Djamena [7]: Strone"		 'TD1827'	"N'Djamena: Habena"		 'TD1829'	"N'Djamena [5]: Karkandie"
 'TD1830'	"N'Djamena: Kamnda"		 'TD1833'	"N'Djamena [5]: Diguel"		 'TD1843'	"N'Djamena: Djambalbale"
 'TD1844'	"N'Djamena: Gardole".						/* Number in [ ] brackets is 'arrondissement' within a city (N'Djamena & Moundou only).

*For 1992 India, LIVEdist codes are same as LIVEtluk, although the latter is a longer string (8 not 6 characters).
*For comparability with Brazil & Indonesia, it'd be better to use a less detailed version of LIVEdist for 1992India.

* Brazil respondents were asked if their birthplace was urban or rural;  this is a "subjective" view of urban/rural;  there's a vaguely similar question in WAS Kenya & Nigeria. This is saved as variable BORNurbn.
* An "objective" measure of city size (LIVEpopn) is 1990 population of the town/city where respondent lived (i.e. where interviewed), from 'U.N. Demographic Yearbook' 1992 table 8.  I use LIVEpopn to create
* LIVEurbn, which is 'objective' (based on city size), but arbitrary: how big is a ''city' or "town"?  Syntax below was produced in 'UNDYB city sizes.xls'.


* zzz add TD and CM at least.


if (BORNcity='BRalab')	BORNarea= 151.
if (BORNcity='BRalac')	BORNarea= 517.
if (BORNcity='BRamaa')	BORNarea= 11349.
if (BORNcity='BRbaaa')	BORNarea= 5615.
if (BORNcity='BRbaab')	BORNarea= 761.
if (BORNcity='BRbaae')	BORNarea= 3743.
if (BORNcity='BRbaaf')	BORNarea= 1712.
if (BORNcity='BRbaag')	BORNarea= 1344.
if (BORNcity='BRbaah')	BORNarea= 6116.
if (BORNcity='BRbaai')	BORNarea= 313.
if (BORNcity='BRbaaj')	BORNarea= 3113.
if (BORNcity='BRbaak')	BORNarea= 718.
if (BORNcity='BRceaa')	BORNarea= 336.
if (BORNcity='BRceab')	BORNarea= 1293.
if (BORNcity='BRceac')	BORNarea= 2074.
if (BORNcity='BRcead')	BORNarea= 1646.
if (BORNcity='BRdfaa')	BORNarea= 5794.
if (BORNcity='BResab')	BORNarea= 549.
if (BORNcity='BResac')	BORNarea= 4388.
if (BORNcity='BResae')	BORNarea= 279.
if (BORNcity='BResaf')	BORNarea= 892.
if (BORNcity='BResag')	BORNarea= 2094.
if (BORNcity='BRgoaa')	BORNarea= 788.
if (BORNcity='BRgoac')	BORNarea= 9136.
if (BORNcity='BRgoad')	BORNarea= 4653.
if (BORNcity='BRmaaa')	BORNarea= 1702.
if (BORNcity='BRmaac')	BORNarea= 1053.
if (BORNcity='BRmaae')	BORNarea= 822.
if (BORNcity='BRmaaf')	BORNarea= 4923.
if (BORNcity='BRmaag')	BORNarea= 6014.
if (BORNcity='BRmaah')	BORNarea= 485.
if (BORNcity='BRmaai')	BORNarea= 6724.
if (BORNcity='BRmgaa')	BORNarea= 231.
if (BORNcity='BRmgae')	BORNarea= 4040.
if (BORNcity='BRmgag')	BORNarea= 1424.
if (BORNcity='BRmgah')	BORNarea= 3336.
if (BORNcity='BRmgal')	BORNarea= 2447.
if (BORNcity='BRmgam')	BORNarea= 4524.
if (BORNcity='BRmgan')	BORNarea= 4135.
if (BORNcity='BRmgao')	BORNarea= 716.
if (BORNcity='BRmgaq')	BORNarea= 335.
if (BORNcity='BRmgar')	BORNarea= 376.
if (BORNcity='BRmsaa')	BORNarea= 8091.
if (BORNcity='BRmsab')	BORNarea= 4082.
if (BORNcity='BRmtab')	BORNarea= 4594.
if (BORNcity='BRmtac')	BORNarea= 3922.
if (BORNcity='BRpaaa')	BORNarea= 14320.
if (BORNcity='BRpaag')	BORNarea= 1003.
if (BORNcity='BRpaah')	BORNarea= 736.
if (BORNcity='BRpbad')	BORNarea= 970.
if (BORNcity='BRpeaa')	BORNarea= 344.
if (BORNcity='BRpeac')	BORNarea= 936.
if (BORNcity='BRpeai')	BORNarea= 456.
if (BORNcity='BRpiaa')	BORNarea= 1356.
if (BORNcity='BRpiab')	BORNarea= 900.
if (BORNcity='BRpraa')	BORNarea= 923.
if (BORNcity='BRprab')	BORNarea= 2212.
if (BORNcity='BRprac')	BORNarea= 1015.
if (BORNcity='BRprad')	BORNarea= 490.
if (BORNcity='BRprae')	BORNarea= 596.
if (BORNcity='BRpraf')	BORNarea= 556.
if (BORNcity='BRprag')	BORNarea= 2129.
if (BORNcity='BRprah')	BORNarea= 5365.
if (BORNcity='BRrjaa')	BORNarea= 744.
if (BORNcity='BRrjab')	BORNarea= 4536.
if (BORNcity='BRrjac')	BORNarea= 930.
if (BORNcity='BRrjaf')	BORNarea= 569.
if (BORNcity='BRrjag')	BORNarea= 830.
if (BORNcity='BRrjah')	BORNarea= 795.
if (BORNcity='BRrjai')	BORNarea= 463.
if (BORNcity='BRrjaj')	BORNarea= 771.
if (BORNcity='BRrjal')	BORNarea= 131.
if (BORNcity='BRrjan')	BORNarea= 1256.
if (BORNcity='BRrjaq')	BORNarea= 768.
if (BORNcity='BRrnab')	BORNarea= 2108.
if (BORNcity='BRrsab')	BORNarea= 1596.
if (BORNcity='BRrsad')	BORNarea= 1601.
if (BORNcity='BRrsah')	BORNarea= 3279.
if (BORNcity='BRrsai')	BORNarea= 2825.
if (BORNcity='BRrsak')	BORNarea= 7185.
if (BORNcity='BRrsal')	BORNarea= 1924.
if (BORNcity='BRscaa')	BORNarea= 1080.
if (BORNcity='BRscae')	BORNarea= 5287.
if (BORNcity='BRscag')	BORNarea= 509.
if (BORNcity='BRscai')	BORNarea= 440.
if (BORNcity='BRscaj')	BORNarea= 427.
if (BORNcity='BRspae')	BORNarea= 2035.
if (BORNcity='BRspaf')	BORNarea= 503.
if (BORNcity='BRspak')	BORNarea= 719.
if (BORNcity='BRspal')	BORNarea= 533.
if (BORNcity='BRspam')	BORNarea= 1426.
if (BORNcity='BRspan')	BORNarea= 1120.
if (BORNcity='BRspao')	BORNarea= 725.
if (BORNcity='BRspap')	BORNarea= 319.
if (BORNcity='BRspat')	BORNarea= 554.
if (BORNcity='BRspav')	BORNarea= 586.
if (BORNcity='BRspaw')	BORNarea= 1186.
if (BORNcity='BRspay')	BORNarea= 640.
if (BORNcity='BRspba')	BORNarea= 781.
if (BORNcity='BRspbj')	BORNarea= 1493.
if (BORNcity='BRspbk')	BORNarea= 208.
if (BORNcity='BRspbn')	BORNarea= 1194.
if (BORNcity='BRspbq')	BORNarea= 770.
if (BORNcity='BRspbr')	BORNarea= 702.
if (BORNcity='BRspbs')	BORNarea= 6763.
if (BORNcity='BRspbt')	BORNarea= 2668.
if (BORNcity='BRspbv')	BORNarea= 960.
if (BORNcity='BRspbw')	BORNarea= 749.
if (BORNcity='IN  tv')	BORNarea= 11.
if (BORNcity='IN  tx')	BORNarea= 3.
if (BORNcity='IN  ua')	BORNarea= 70.
if (BORNcity='INapaa')	BORNarea= 30.
if (BORNcity='INapac')	BORNarea= 26.
if (BORNcity='INapad')	BORNarea= 42.
if (BORNcity='INapae')	BORNarea= 15.
if (BORNcity='INapaf')	BORNarea= 30.
if (BORNcity='INapah')	BORNarea= 39.
if (BORNcity='INapai')	BORNarea= 15.
if (BORNcity='INapaj')	BORNarea= 27.
if (BORNcity='INapak')	BORNarea= 48.
if (BORNcity='INapal')	BORNarea= 37.
if (BORNcity='INapam')	BORNarea= 7.
if (BORNcity='INapan')	BORNarea= 52.
if (BORNcity='INapap')	BORNarea= 15.
if (BORNcity='INapaq')	BORNarea= 16.
if (BORNcity='INapar')	BORNarea= 78.
if (BORNcity='INapas')	BORNarea= 105.
if (BORNcity='INapat')	BORNarea= 21.
if (BORNcity='INapau')	BORNarea= 57.
if (BORNcity='INbiba')	BORNarea= 31.
if (BORNcity='INbibb')	BORNarea= 24.
if (BORNcity='INbibc')	BORNarea= 30.
if (BORNcity='INbibd')	BORNarea= 163.
if (BORNcity='INbibe')	BORNarea= 17.
if (BORNcity='INbibf')	BORNarea= 23.
if (BORNcity='INbibg')	BORNarea= 19.
if (BORNcity='INbibh')	BORNarea= 29.
if (BORNcity='INbibi')	BORNarea= 60.
if (BORNcity='INbibj')	BORNarea= 25.
if (BORNcity='INbibk')	BORNarea= 26.
if (BORNcity='INbibl')	BORNarea= 18.
if (BORNcity='INbibm')	BORNarea= 107.
if (BORNcity='INbibn')	BORNarea= 177.
if (BORNcity='INdeva')	BORNarea= 431.
if (BORNcity='INhada')	BORNarea= 17.
if (BORNcity='INhadb')	BORNarea= 28.
if (BORNcity='INhadc')	BORNarea= 178.
if (BORNcity='INhadd')	BORNarea= 45.
if (BORNcity='INhade')	BORNarea= 22.
if (BORNcity='INhadf')	BORNarea= 21.
if (BORNcity='INhadg')	BORNarea= 28.
if (BORNcity='INhadh')	BORNarea= 28.
if (BORNcity='INhadi')	BORNarea= 16.
if (BORNcity='INkafa')	BORNarea= 446.
if (BORNcity='INkafb')	BORNarea= 142.
if (BORNcity='INkafc')	BORNarea= 66.
if (BORNcity='INkafd')	BORNarea= 75.
if (BORNcity='INkaff')	BORNarea= 35.
if (BORNcity='INkafg')	BORNarea= 43.
if (BORNcity='INkafh')	BORNarea= 191.
if (BORNcity='INkafj')	BORNarea= 75.
if (BORNcity='INkafk')	BORNarea= 103.
if (BORNcity='INkegb')	BORNarea= 96.
if (BORNcity='INkegc')	BORNarea= 109.
if (BORNcity='INkegf')	BORNarea= 142.
if (BORNcity='INmela')	BORNarea= 10.
if (BORNcity='INmhia')	BORNarea= 139.
if (BORNcity='INmhib')	BORNarea= 122.
if (BORNcity='INmhic')	BORNarea= 23.
if (BORNcity='INmhid')	BORNarea= 18.
if (BORNcity='INmhie')	BORNarea= 13.
if (BORNcity='INmhif')	BORNarea= 26.
if (BORNcity='INmhig')	BORNarea= 56.
if (BORNcity='INmhih')	BORNarea= 46.
if (BORNcity='INmhij')	BORNarea= 18.
if (BORNcity='INmhik')	BORNarea= 466.
if (BORNcity='INmhil')	BORNarea= 30.
if (BORNcity='INmhim')	BORNarea= 62.
if (BORNcity='INmhin')	BORNarea= 82.
if (BORNcity='INmhio')	BORNarea= 225.
if (BORNcity='INmhip')	BORNarea= 67.
if (BORNcity='INmhiq')	BORNarea= 21.
if (BORNcity='INmhis')	BORNarea= 13.
if (BORNcity='INmhit')	BORNarea= 217.
if (BORNcity='INmhiu')	BORNarea= 259.
if (BORNcity='INmhiv')	BORNarea= 21.
if (BORNcity='INmhix')	BORNarea= 146.
if (BORNcity='INmhiy')	BORNarea= 58.
if (BORNcity='INmhjb')	BORNarea= 144.
if (BORNcity='INmhjc')	BORNarea= 22.
if (BORNcity='INmnka')	BORNarea= 33.
if (BORNcity='INmpha')	BORNarea= 89.
if (BORNcity='INmphb')	BORNarea= 285.
if (BORNcity='INmphc')	BORNarea= 36.
if (BORNcity='INmphd')	BORNarea= 13.
if (BORNcity='INmphe')	BORNarea= 51.
if (BORNcity='INmphf')	BORNarea= 290.
if (BORNcity='INmphg')	BORNarea= 165.
if (BORNcity='INmphh')	BORNarea= 154.
if (BORNcity='INmphi')	BORNarea= 36.
if (BORNcity='INmphj')	BORNarea= 64.
if (BORNcity='INmphk')	BORNarea= 39.
if (BORNcity='INmphl')	BORNarea= 55.
if (BORNcity='INmphm')	BORNarea= 36.
if (BORNcity='INmphn')	BORNarea= 92.
if (BORNcity='INorma')	BORNarea= 125.
if (BORNcity='INormb')	BORNarea= 80.
if (BORNcity='INormc')	BORNarea= 122.
if (BORNcity='INormd')	BORNarea= 17.
if (BORNcity='INorme')	BORNarea= 133.
if (BORNcity='INormf')	BORNarea= 50.
if (BORNcity='INpowa')	BORNarea= 20.
if (BORNcity='INpunb')	BORNarea= 97.
if (BORNcity='INpund')	BORNarea= 80.
if (BORNcity='INpune')	BORNarea= 135.
if (BORNcity='INraoa')	BORNarea= 242.
if (BORNcity='INraob')	BORNarea= 58.
if (BORNcity='INraoc')	BORNarea= 41.
if (BORNcity='INraod')	BORNarea= 118.
if (BORNcity='INraoe')	BORNarea= 166.
if (BORNcity='INraof')	BORNarea= 21.
if (BORNcity='INraog')	BORNarea= 200.
if (BORNcity='INraoh')	BORNarea= 79.
if (BORNcity='INraoi')	BORNarea= 221.
if (BORNcity='INraoj')	BORNarea= 23.
if (BORNcity='INraok')	BORNarea= 64.
if (BORNcity='INtnpc')	BORNarea= 106.
if (BORNcity='INtnpd')	BORNarea= 28.
if (BORNcity='INtnpe')	BORNarea= 14.
if (BORNcity='INtnpf')	BORNarea= 8.
if (BORNcity='INtnpg')	BORNarea= 12.
if (BORNcity='INtnph')	BORNarea= 13.
if (BORNcity='INtnpi')	BORNarea= 174.
if (BORNcity='INtnpj')	BORNarea= 47.
if (BORNcity='INtnpk')	BORNarea= 24.
if (BORNcity='INtnpl')	BORNarea= 11.
if (BORNcity='INtnpm')	BORNarea= 20.
if (BORNcity='INtnpo')	BORNarea= 23.
if (BORNcity='INtnpp')	BORNarea= 15.
if (BORNcity='INtnpq')	BORNarea= 13.
if (BORNcity='INtnpr')	BORNarea= 44.
if (BORNcity='INtnps')	BORNarea= 15.
if (BORNcity='INtnpu')	BORNarea= 12.
if (BORNcity='INupra')	BORNarea= 121.
if (BORNcity='INuprc')	BORNarea= 34.
if (BORNcity='INuprd')	BORNarea= 6.
if (BORNcity='INupre')	BORNarea= 107.
if (BORNcity='INuprf')	BORNarea= 12.
if (BORNcity='INuprg')	BORNarea= 37.
if (BORNcity='INuprh')	BORNarea= 9.
if (BORNcity='INupri')	BORNarea= 9.
if (BORNcity='INuprj')	BORNarea= 17.
if (BORNcity='INuprk')	BORNarea= 33.
if (BORNcity='INuprl')	BORNarea= 137.
if (BORNcity='INuprm')	BORNarea= 64.
if (BORNcity='INuprn')	BORNarea= 15.
if (BORNcity='INupro')	BORNarea= 14.
if (BORNcity='INuprp')	BORNarea= 48.
if (BORNcity='INuprq')	BORNarea= 25.
if (BORNcity='INuprr')	BORNarea= 267.
if (BORNcity='INuprs')	BORNarea= 310.
if (BORNcity='INuprt')	BORNarea= 9.
if (BORNcity='INupru')	BORNarea= 142.
if (BORNcity='INuprv')	BORNarea= 39.
if (BORNcity='INuprw')	BORNarea= 34.
if (BORNcity='INuprx')	BORNarea= 12.
if (BORNcity='INupry')	BORNarea= 20.
if (BORNcity='INuprz')	BORNarea= 25.
if (BORNcity='INupsa')	BORNarea= 13.
if (BORNcity='INupsb')	BORNarea= 16.
if (BORNcity='INupsc')	BORNarea= 26.
if (BORNcity='INupsd')	BORNarea= 83.
if (BORNcity='INwbta')	BORNarea= 25.
if (BORNcity='INwbtb')	BORNarea= 12.
if (BORNcity='INwbtc')	BORNarea= 8.
if (BORNcity='INwbtd')	BORNarea= 7.
if (BORNcity='INwbte')	BORNarea= 23.
if (BORNcity='INwbtf')	BORNarea= 14.
if (BORNcity='INwbtg')	BORNarea= 16.
if (BORNcity='INwbth')	BORNarea= 185.
if (BORNcity='INwbti')	BORNarea= 10.
if (BORNcity='INwbtj')	BORNarea= 154.
if (BORNcity='INwbtl')	BORNarea= 52.
if (BORNcity='INwbtm')	BORNarea= 17.
if (BORNcity='INwbto')	BORNarea= 11.
if (BORNcity='INwbtp')	BORNarea= 91.
if (BORNcity='INwbtr')	BORNarea= 4.
if (BORNcity='INwbts')	BORNarea= 19.
if (BORNcity='INwbtt')	BORNarea= 6.
if (BORNcity='INwbtu')	BORNarea= 16.
if (BORNcity='SPspbd')	BORNarea= 432.
*.
if (LIVEcity='BRalab')	LIVEarea= 151.
if (LIVEcity='BRalac')	LIVEarea= 517.
if (LIVEcity='BRamaa')	LIVEarea= 11349.
if (LIVEcity='BRbaaa')	LIVEarea= 5615.
if (LIVEcity='BRbaab')	LIVEarea= 761.
if (LIVEcity='BRbaae')	LIVEarea= 3743.
if (LIVEcity='BRbaaf')	LIVEarea= 1712.
if (LIVEcity='BRbaag')	LIVEarea= 1344.
if (LIVEcity='BRbaah')	LIVEarea= 6116.
if (LIVEcity='BRbaai')	LIVEarea= 313.
if (LIVEcity='BRbaaj')	LIVEarea= 3113.
if (LIVEcity='BRbaak')	LIVEarea= 718.
if (LIVEcity='BRceaa')	LIVEarea= 336.
if (LIVEcity='BRceab')	LIVEarea= 1293.
if (LIVEcity='BRceac')	LIVEarea= 2074.
if (LIVEcity='BRcead')	LIVEarea= 1646.
if (LIVEcity='BRdfaa')	LIVEarea= 5794.
if (LIVEcity='BResab')	LIVEarea= 549.
if (LIVEcity='BResac')	LIVEarea= 4388.
if (LIVEcity='BResae')	LIVEarea= 279.
if (LIVEcity='BResaf')	LIVEarea= 892.
if (LIVEcity='BResag')	LIVEarea= 2094.
if (LIVEcity='BRgoaa')	LIVEarea= 788.
if (LIVEcity='BRgoac')	LIVEarea= 9136.
if (LIVEcity='BRgoad')	LIVEarea= 4653.
if (LIVEcity='BRmaaa')	LIVEarea= 1702.
if (LIVEcity='BRmaac')	LIVEarea= 1053.
if (LIVEcity='BRmaae')	LIVEarea= 822.
if (LIVEcity='BRmaaf')	LIVEarea= 4923.
if (LIVEcity='BRmaag')	LIVEarea= 6014.
if (LIVEcity='BRmaah')	LIVEarea= 485.
if (LIVEcity='BRmaai')	LIVEarea= 6724.
if (LIVEcity='BRmgaa')	LIVEarea= 231.
if (LIVEcity='BRmgae')	LIVEarea= 4040.
if (LIVEcity='BRmgag')	LIVEarea= 1424.
if (LIVEcity='BRmgah')	LIVEarea= 3336.
if (LIVEcity='BRmgal')	LIVEarea= 2447.
if (LIVEcity='BRmgam')	LIVEarea= 4524.
if (LIVEcity='BRmgan')	LIVEarea= 4135.
if (LIVEcity='BRmgao')	LIVEarea= 716.
if (LIVEcity='BRmgaq')	LIVEarea= 335.
if (LIVEcity='BRmgar')	LIVEarea= 376.
if (LIVEcity='BRmsaa')	LIVEarea= 8091.
if (LIVEcity='BRmsab')	LIVEarea= 4082.
if (LIVEcity='BRmtab')	LIVEarea= 4594.
if (LIVEcity='BRmtac')	LIVEarea= 3922.
if (LIVEcity='BRpaaa')	LIVEarea= 14320.
if (LIVEcity='BRpaag')	LIVEarea= 1003.
if (LIVEcity='BRpaah')	LIVEarea= 736.
if (LIVEcity='BRpbad')	LIVEarea= 970.
if (LIVEcity='BRpeaa')	LIVEarea= 344.
if (LIVEcity='BRpeac')	LIVEarea= 936.
if (LIVEcity='BRpeai')	LIVEarea= 456.
if (LIVEcity='BRpiaa')	LIVEarea= 1356.
if (LIVEcity='BRpiab')	LIVEarea= 900.
if (LIVEcity='BRpraa')	LIVEarea= 923.
if (LIVEcity='BRprab')	LIVEarea= 2212.
if (LIVEcity='BRprac')	LIVEarea= 1015.
if (LIVEcity='BRprad')	LIVEarea= 490.
if (LIVEcity='BRprae')	LIVEarea= 596.
if (LIVEcity='BRpraf')	LIVEarea= 556.
if (LIVEcity='BRprag')	LIVEarea= 2129.
if (LIVEcity='BRprah')	LIVEarea= 5365.
if (LIVEcity='BRrjaa')	LIVEarea= 744.
if (LIVEcity='BRrjab')	LIVEarea= 4536.
if (LIVEcity='BRrjac')	LIVEarea= 930.
if (LIVEcity='BRrjaf')	LIVEarea= 569.
if (LIVEcity='BRrjag')	LIVEarea= 830.
if (LIVEcity='BRrjah')	LIVEarea= 795.
if (LIVEcity='BRrjai')	LIVEarea= 463.
if (LIVEcity='BRrjaj')	LIVEarea= 771.
if (LIVEcity='BRrjal')	LIVEarea= 131.
if (LIVEcity='BRrjan')	LIVEarea= 1256.
if (LIVEcity='BRrjaq')	LIVEarea= 768.
if (LIVEcity='BRrnab')	LIVEarea= 2108.
if (LIVEcity='BRrsab')	LIVEarea= 1596.
if (LIVEcity='BRrsad')	LIVEarea= 1601.
if (LIVEcity='BRrsah')	LIVEarea= 3279.
if (LIVEcity='BRrsai')	LIVEarea= 2825.
if (LIVEcity='BRrsak')	LIVEarea= 7185.
if (LIVEcity='BRrsal')	LIVEarea= 1924.
if (LIVEcity='BRscaa')	LIVEarea= 1080.
if (LIVEcity='BRscae')	LIVEarea= 5287.
if (LIVEcity='BRscag')	LIVEarea= 509.
if (LIVEcity='BRscai')	LIVEarea= 440.
if (LIVEcity='BRscaj')	LIVEarea= 427.
if (LIVEcity='BRspae')	LIVEarea= 2035.
if (LIVEcity='BRspaf')	LIVEarea= 503.
if (LIVEcity='BRspak')	LIVEarea= 719.
if (LIVEcity='BRspal')	LIVEarea= 533.
if (LIVEcity='BRspam')	LIVEarea= 1426.
if (LIVEcity='BRspan')	LIVEarea= 1120.
if (LIVEcity='BRspao')	LIVEarea= 725.
if (LIVEcity='BRspap')	LIVEarea= 319.
if (LIVEcity='BRspat')	LIVEarea= 554.
if (LIVEcity='BRspav')	LIVEarea= 586.
if (LIVEcity='BRspaw')	LIVEarea= 1186.
if (LIVEcity='BRspay')	LIVEarea= 640.
if (LIVEcity='BRspba')	LIVEarea= 781.
if (LIVEcity='BRspbj')	LIVEarea= 1493.
if (LIVEcity='BRspbk')	LIVEarea= 208.
if (LIVEcity='BRspbn')	LIVEarea= 1194.
if (LIVEcity='BRspbq')	LIVEarea= 770.
if (LIVEcity='BRspbr')	LIVEarea= 702.
if (LIVEcity='BRspbs')	LIVEarea= 6763.
if (LIVEcity='BRspbt')	LIVEarea= 2668.
if (LIVEcity='BRspbv')	LIVEarea= 960.
if (LIVEcity='BRspbw')	LIVEarea= 749.
if (LIVEcity='IN  tv')	LIVEarea= 11.
if (LIVEcity='IN  tx')	LIVEarea= 3.
if (LIVEcity='IN  ua')	LIVEarea= 70.
if (LIVEcity='INapaa')	LIVEarea= 30.
if (LIVEcity='INapac')	LIVEarea= 26.
if (LIVEcity='INapad')	LIVEarea= 42.
if (LIVEcity='INapae')	LIVEarea= 15.
if (LIVEcity='INapaf')	LIVEarea= 30.
if (LIVEcity='INapah')	LIVEarea= 39.
if (LIVEcity='INapai')	LIVEarea= 15.
if (LIVEcity='INapaj')	LIVEarea= 27.
if (LIVEcity='INapak')	LIVEarea= 48.
if (LIVEcity='INapal')	LIVEarea= 37.
if (LIVEcity='INapam')	LIVEarea= 7.
if (LIVEcity='INapan')	LIVEarea= 52.
if (LIVEcity='INapap')	LIVEarea= 15.
if (LIVEcity='INapaq')	LIVEarea= 16.
if (LIVEcity='INapar')	LIVEarea= 78.
if (LIVEcity='INapas')	LIVEarea= 105.
if (LIVEcity='INapat')	LIVEarea= 21.
if (LIVEcity='INapau')	LIVEarea= 57.
if (LIVEcity='INbiba')	LIVEarea= 31.
if (LIVEcity='INbibb')	LIVEarea= 24.
if (LIVEcity='INbibc')	LIVEarea= 30.
if (LIVEcity='INbibd')	LIVEarea= 163.
if (LIVEcity='INbibe')	LIVEarea= 17.
if (LIVEcity='INbibf')	LIVEarea= 23.
if (LIVEcity='INbibg')	LIVEarea= 19.
if (LIVEcity='INbibh')	LIVEarea= 29.
if (LIVEcity='INbibi')	LIVEarea= 60.
if (LIVEcity='INbibj')	LIVEarea= 25.
if (LIVEcity='INbibk')	LIVEarea= 26.
if (LIVEcity='INbibl')	LIVEarea= 18.
if (LIVEcity='INbibm')	LIVEarea= 107.
if (LIVEcity='INbibn')	LIVEarea= 177.
if (LIVEcity='INdeva')	LIVEarea= 431.
if (LIVEcity='INhada')	LIVEarea= 17.
if (LIVEcity='INhadb')	LIVEarea= 28.
if (LIVEcity='INhadc')	LIVEarea= 178.
if (LIVEcity='INhadd')	LIVEarea= 45.
if (LIVEcity='INhade')	LIVEarea= 22.
if (LIVEcity='INhadf')	LIVEarea= 21.
if (LIVEcity='INhadg')	LIVEarea= 28.
if (LIVEcity='INhadh')	LIVEarea= 28.
if (LIVEcity='INhadi')	LIVEarea= 16.
if (LIVEcity='INkafa')	LIVEarea= 446.
if (LIVEcity='INkafb')	LIVEarea= 142.
if (LIVEcity='INkafc')	LIVEarea= 66.
if (LIVEcity='INkafd')	LIVEarea= 75.
if (LIVEcity='INkaff')	LIVEarea= 35.
if (LIVEcity='INkafg')	LIVEarea= 43.
if (LIVEcity='INkafh')	LIVEarea= 191.
if (LIVEcity='INkafj')	LIVEarea= 75.
if (LIVEcity='INkafk')	LIVEarea= 103.
if (LIVEcity='INkegb')	LIVEarea= 96.
if (LIVEcity='INkegc')	LIVEarea= 109.
if (LIVEcity='INkegf')	LIVEarea= 142.
if (LIVEcity='INmela')	LIVEarea= 10.
if (LIVEcity='INmhia')	LIVEarea= 139.
if (LIVEcity='INmhib')	LIVEarea= 122.
if (LIVEcity='INmhic')	LIVEarea= 23.
if (LIVEcity='INmhid')	LIVEarea= 18.
if (LIVEcity='INmhie')	LIVEarea= 13.
if (LIVEcity='INmhif')	LIVEarea= 26.
if (LIVEcity='INmhig')	LIVEarea= 56.
if (LIVEcity='INmhih')	LIVEarea= 46.
if (LIVEcity='INmhij')	LIVEarea= 18.
if (LIVEcity='INmhik')	LIVEarea= 466.
if (LIVEcity='INmhil')	LIVEarea= 30.
if (LIVEcity='INmhim')	LIVEarea= 62.
if (LIVEcity='INmhin')	LIVEarea= 82.
if (LIVEcity='INmhio')	LIVEarea= 225.
if (LIVEcity='INmhip')	LIVEarea= 67.
if (LIVEcity='INmhiq')	LIVEarea= 21.
if (LIVEcity='INmhis')	LIVEarea= 13.
if (LIVEcity='INmhit')	LIVEarea= 217.
if (LIVEcity='INmhiu')	LIVEarea= 259.
if (LIVEcity='INmhiv')	LIVEarea= 21.
if (LIVEcity='INmhix')	LIVEarea= 146.
if (LIVEcity='INmhiy')	LIVEarea= 58.
if (LIVEcity='INmhjb')	LIVEarea= 144.
if (LIVEcity='INmhjc')	LIVEarea= 22.
if (LIVEcity='INmnka')	LIVEarea= 33.
if (LIVEcity='INmpha')	LIVEarea= 89.
if (LIVEcity='INmphb')	LIVEarea= 285.
if (LIVEcity='INmphc')	LIVEarea= 36.
if (LIVEcity='INmphd')	LIVEarea= 13.
if (LIVEcity='INmphe')	LIVEarea= 51.
if (LIVEcity='INmphf')	LIVEarea= 290.
if (LIVEcity='INmphg')	LIVEarea= 165.
if (LIVEcity='INmphh')	LIVEarea= 154.
if (LIVEcity='INmphi')	LIVEarea= 36.
if (LIVEcity='INmphj')	LIVEarea= 64.
if (LIVEcity='INmphk')	LIVEarea= 39.
if (LIVEcity='INmphl')	LIVEarea= 55.
if (LIVEcity='INmphm')	LIVEarea= 36.
if (LIVEcity='INmphn')	LIVEarea= 92.
if (LIVEcity='INorma')	LIVEarea= 125.
if (LIVEcity='INormb')	LIVEarea= 80.
if (LIVEcity='INormc')	LIVEarea= 122.
if (LIVEcity='INormd')	LIVEarea= 17.
if (LIVEcity='INorme')	LIVEarea= 133.
if (LIVEcity='INormf')	LIVEarea= 50.
if (LIVEcity='INpowa')	LIVEarea= 20.
if (LIVEcity='INpunb')	LIVEarea= 97.
if (LIVEcity='INpund')	LIVEarea= 80.
if (LIVEcity='INpune')	LIVEarea= 135.
if (LIVEcity='INraoa')	LIVEarea= 242.
if (LIVEcity='INraob')	LIVEarea= 58.
if (LIVEcity='INraoc')	LIVEarea= 41.
if (LIVEcity='INraod')	LIVEarea= 118.
if (LIVEcity='INraoe')	LIVEarea= 166.
if (LIVEcity='INraof')	LIVEarea= 21.
if (LIVEcity='INraog')	LIVEarea= 200.
if (LIVEcity='INraoh')	LIVEarea= 79.
if (LIVEcity='INraoi')	LIVEarea= 221.
if (LIVEcity='INraoj')	LIVEarea= 23.
if (LIVEcity='INraok')	LIVEarea= 64.
if (LIVEcity='INtnpc')	LIVEarea= 106.
if (LIVEcity='INtnpd')	LIVEarea= 28.
if (LIVEcity='INtnpe')	LIVEarea= 14.
if (LIVEcity='INtnpf')	LIVEarea= 8.
if (LIVEcity='INtnpg')	LIVEarea= 12.
if (LIVEcity='INtnph')	LIVEarea= 13.
if (LIVEcity='INtnpi')	LIVEarea= 174.
if (LIVEcity='INtnpj')	LIVEarea= 47.
if (LIVEcity='INtnpk')	LIVEarea= 24.
if (LIVEcity='INtnpl')	LIVEarea= 11.
if (LIVEcity='INtnpm')	LIVEarea= 20.
if (LIVEcity='INtnpo')	LIVEarea= 23.
if (LIVEcity='INtnpp')	LIVEarea= 15.
if (LIVEcity='INtnpq')	LIVEarea= 13.
if (LIVEcity='INtnpr')	LIVEarea= 44.
if (LIVEcity='INtnps')	LIVEarea= 15.
if (LIVEcity='INtnpu')	LIVEarea= 12.
if (LIVEcity='INupra')	LIVEarea= 121.
if (LIVEcity='INuprc')	LIVEarea= 34.
if (LIVEcity='INuprd')	LIVEarea= 6.
if (LIVEcity='INupre')	LIVEarea= 107.
if (LIVEcity='INuprf')	LIVEarea= 12.
if (LIVEcity='INuprg')	LIVEarea= 37.
if (LIVEcity='INuprh')	LIVEarea= 9.
if (LIVEcity='INupri')	LIVEarea= 9.
if (LIVEcity='INuprj')	LIVEarea= 17.
if (LIVEcity='INuprk')	LIVEarea= 33.
if (LIVEcity='INuprl')	LIVEarea= 137.
if (LIVEcity='INuprm')	LIVEarea= 64.
if (LIVEcity='INuprn')	LIVEarea= 15.
if (LIVEcity='INupro')	LIVEarea= 14.
if (LIVEcity='INuprp')	LIVEarea= 48.
if (LIVEcity='INuprq')	LIVEarea= 25.
if (LIVEcity='INuprr')	LIVEarea= 267.
if (LIVEcity='INuprs')	LIVEarea= 310.
if (LIVEcity='INuprt')	LIVEarea= 9.
if (LIVEcity='INupru')	LIVEarea= 142.
if (LIVEcity='INuprv')	LIVEarea= 39.
if (LIVEcity='INuprw')	LIVEarea= 34.
if (LIVEcity='INuprx')	LIVEarea= 12.
if (LIVEcity='INupry')	LIVEarea= 20.
if (LIVEcity='INuprz')	LIVEarea= 25.
if (LIVEcity='INupsa')	LIVEarea= 13.
if (LIVEcity='INupsb')	LIVEarea= 16.
if (LIVEcity='INupsc')	LIVEarea= 26.
if (LIVEcity='INupsd')	LIVEarea= 83.
if (LIVEcity='INwbta')	LIVEarea= 25.
if (LIVEcity='INwbtb')	LIVEarea= 12.
if (LIVEcity='INwbtc')	LIVEarea= 8.
if (LIVEcity='INwbtd')	LIVEarea= 7.
if (LIVEcity='INwbte')	LIVEarea= 23.
if (LIVEcity='INwbtf')	LIVEarea= 14.
if (LIVEcity='INwbtg')	LIVEarea= 16.
if (LIVEcity='INwbth')	LIVEarea= 185.
if (LIVEcity='INwbti')	LIVEarea= 10.
if (LIVEcity='INwbtj')	LIVEarea= 154.
if (LIVEcity='INwbtl')	LIVEarea= 52.
if (LIVEcity='INwbtm')	LIVEarea= 17.
if (LIVEcity='INwbto')	LIVEarea= 11.
if (LIVEcity='INwbtp')	LIVEarea= 91.
if (LIVEcity='INwbtr')	LIVEarea= 4.
if (LIVEcity='INwbts')	LIVEarea= 19.
if (LIVEcity='INwbtt')	LIVEarea= 6.
if (LIVEcity='INwbtu')	LIVEarea= 16.
if (LIVEcity='SPspbd')	LIVEarea= 432.
*.
* Above is area (of city);  below is number of people living in that city in about 1990.
*.
if (BORNcity='BRacaa')	BORNpopn= 253059.
if (BORNcity='BRalaa')	BORNpopn= 186466.
if (BORNcity='BRalab')	BORNpopn= 461534.
if (BORNcity='BRalac')	BORNpopn= 797759.
if (BORNcity='BRamaa')	BORNpopn= 1405835.
if (BORNcity='BRamab')	BORNpopn= 122751.
if (BORNcity='BRapaa')	BORNpopn= 283308.
if (BORNcity='BRbaaa')	BORNpopn= 174567.
if (BORNcity='BRbaab')	BORNpopn= 130095.
if (BORNcity='BRbaad')	BORNpopn= 196675.
if (BORNcity='BRbaae')	BORNpopn= 262494.
if (BORNcity='BRbaaf')	BORNpopn= 222127.
if (BORNcity='BRbaag')	BORNpopn= 480949.
if (BORNcity='BRbaah')	BORNpopn= 218538.
if (BORNcity='BRbaai')	BORNpopn= 2443107.
if (BORNcity='BRbaaj')	BORNpopn= 147202.
if (BORNcity='BRbaak')	BORNpopn= 161727.
if (BORNcity='BRceaa')	BORNpopn= 2141402.
if (BORNcity='BRceab')	BORNpopn= 250479.
if (BORNcity='BRceac')	BORNpopn= 245369.
if (BORNcity='BRcead')	BORNpopn= 155276.
if (BORNcity='BRdfaa')	BORNpopn= 2051146.
if (BORNcity='BResaa')	BORNpopn= 345965.
if (BORNcity='BResab')	BORNpopn= 321181.
if (BORNcity='BResac')	BORNpopn= 112617.
if (BORNcity='BResad')	BORNpopn= 292304.
if (BORNcity='BResae')	BORNpopn= 324285.
if (BORNcity='BResaf')	BORNpopn= 174879.
if (BORNcity='BResag')	BORNpopn= 112711.
if (BORNcity='BRgoaa')	BORNpopn= 1093007.
if (BORNcity='BRgoab')	BORNpopn= 288085.
if (BORNcity='BRgoac')	BORNpopn= 116552.
if (BORNcity='BRgoad')	BORNpopn= 141082.
if (BORNcity='BRjrao')	BORNpopn= 891119.
if (BORNcity='BRmaaa')	BORNpopn= 129692.
if (BORNcity='BRmaac')	BORNpopn= 132282.
if (BORNcity='BRmaae')	BORNpopn= 870028.
if (BORNcity='BRmaaf')	BORNpopn= 111146.
if (BORNcity='BRmaag')	BORNpopn= 230566.
if (BORNcity='BRmaah')	BORNpopn= 393569.
if (BORNcity='BRmaai')	BORNpopn= 139756.
if (BORNcity='BRmgaa')	BORNpopn= 212496.
if (BORNcity='BRmgab')	BORNpopn= 114126.
if (BORNcity='BRmgac')	BORNpopn= 129424.
if (BORNcity='BRmgad')	BORNpopn= 101974.
if (BORNcity='BRmgae')	BORNpopn= 501214.
if (BORNcity='BRmgaf')	BORNpopn= 184871.
if (BORNcity='BRmgag')	BORNpopn= 456796.
if (BORNcity='BRmgah')	BORNpopn= 123881.
if (BORNcity='BRmgal')	BORNpopn= 247131.
if (BORNcity='BRmgam')	BORNpopn= 252051.
if (BORNcity='BRmgan')	BORNpopn= 306947.
if (BORNcity='BRmgao')	BORNpopn= 183962.
if (BORNcity='BRmgap')	BORNpopn= 246846.
if (BORNcity='BRmgaq')	BORNpopn= 2238526.
if (BORNcity='BRmgar')	BORNpopn= 306675.
if (BORNcity='BRmsaa')	BORNpopn= 663621.
if (BORNcity='BRmsab')	BORNpopn= 164949.
if (BORNcity='BRmtab')	BORNpopn= 150227.
if (BORNcity='BRmtac')	BORNpopn= 483346.
if (BORNcity='BRpaaa')	BORNpopn= 168020.
if (BORNcity='BRpaab')	BORNpopn= 179732.
if (BORNcity='BRpaae')	BORNpopn= 262538.
if (BORNcity='BRpaag')	BORNpopn= 134496.
if (BORNcity='BRpaah')	BORNpopn= 1280614.
if (BORNcity='BRpbaa')	BORNpopn= 212133.
if (BORNcity='BRpbab')	BORNpopn= 184903.
if (BORNcity='BRpbac')	BORNpopn= 597934.
if (BORNcity='BRpbad')	BORNpopn= 355331.
if (BORNcity='BRpeaa')	BORNpopn= 117609.
if (BORNcity='BRpeab')	BORNpopn= 1422905.
if (BORNcity='BRpeac')	BORNpopn= 253634.
if (BORNcity='BRpeae')	BORNpopn= 262237.
if (BORNcity='BRpeaf')	BORNpopn= 128702.
if (BORNcity='BRpeag')	BORNpopn= 581556.
if (BORNcity='BRpeah')	BORNpopn= 367902.
if (BORNcity='BRpeai')	BORNpopn= 117749.
if (BORNcity='BRpiaa')	BORNpopn= 715360.
if (BORNcity='BRpiab')	BORNpopn= 215298.
if (BORNcity='BRpraa')	BORNpopn= 204316.
if (BORNcity='BRprab')	BORNpopn= 273616.
if (BORNcity='BRprac')	BORNpopn= 127339.
if (BORNcity='BRprad')	BORNpopn= 288653.
if (BORNcity='BRprae')	BORNpopn= 258543.
if (BORNcity='BRpraf')	BORNpopn= 107827.
if (BORNcity='BRprag')	BORNpopn= 447065.
if (BORNcity='BRprah')	BORNpopn= 155161.
if (BORNcity='BRrjaa')	BORNpopn= 205830.
if (BORNcity='BRrjab')	BORNpopn= 406989.
if (BORNcity='BRrjac')	BORNpopn= 173418.
if (BORNcity='BRrjad')	BORNpopn= 242063.
if (BORNcity='BRrjaf')	BORNpopn= 187479.
if (BORNcity='BRrjag')	BORNpopn= 170753.
if (BORNcity='BRrjah')	BORNpopn= 920599.
if (BORNcity='BRrjai')	BORNpopn= 775456.
if (BORNcity='BRrjaj')	BORNpopn= 286537.
if (BORNcity='BRrjak')	BORNpopn= 107632.
if (BORNcity='BRrjal')	BORNpopn= 459451.
if (BORNcity='BRrjam')	BORNpopn= 153712.
if (BORNcity='BRrjan')	BORNpopn= 5857904.
if (BORNcity='BRrjap')	BORNpopn= 104549.
if (BORNcity='BRrjaq')	BORNpopn= 138081.
if (BORNcity='BRrjar')	BORNpopn= 449476.
if (BORNcity='BRrnaa')	BORNpopn= 712317.
if (BORNcity='BRrnab')	BORNpopn= 213841.
if (BORNcity='BRroaa')	BORNpopn= 334661.
if (BORNcity='BRrsaa')	BORNpopn= 306093.
if (BORNcity='BRrsab')	BORNpopn= 168458.
if (BORNcity='BRrsac')	BORNpopn= 227429.
if (BORNcity='BRrsad')	BORNpopn= 360419.
if (BORNcity='BRrsae')	BORNpopn= 193547.
if (BORNcity='BRrsaf')	BORNpopn= 236193.
if (BORNcity='BRrsag')	BORNpopn= 232629.
if (BORNcity='BRrsah')	BORNpopn= 243611.
if (BORNcity='BRrsai')	BORNpopn= 186544.
if (BORNcity='BRrsaj')	BORNpopn= 1360590.
if (BORNcity='BRrsak')	BORNpopn= 118767.
if (BORNcity='BRrsal')	BORNpopn= 323158.
if (BORNcity='BRscaa')	BORNpopn= 426604.
if (BORNcity='BRscab')	BORNpopn= 183968.
if (BORNcity='BRscac')	BORNpopn= 146967.
if (BORNcity='BRscad')	BORNpopn= 147494.
if (BORNcity='BRscae')	BORNpopn= 157682.
if (BORNcity='BRscaf')	BORNpopn= 170420.
if (BORNcity='BRscag')	BORNpopn= 261808.
if (BORNcity='BRscah')	BORNpopn= 173559.
if (BORNcity='BRscai')	BORNpopn= 342315.
if (BORNcity='BRscaj')	BORNpopn= 1587315.
if (BORNcity='BRspaa')	BORNpopn= 504923.
if (BORNcity='BRspab')	BORNpopn= 264812.
if (BORNcity='BRspac')	BORNpopn= 1072717.
if (BORNcity='BRspad')	BORNpopn= 104219.
if (BORNcity='BRspae')	BORNpopn= 125559.
if (BORNcity='BRspaf')	BORNpopn= 168218.
if (BORNcity='BRspag')	BORNpopn= 357064.
if (BORNcity='BRspah')	BORNpopn= 287737.
if (BORNcity='BRspai')	BORNpopn= 170078.
if (BORNcity='BRspaj')	BORNpopn= 207663.
if (BORNcity='BRspak')	BORNpopn= 126026.
if (BORNcity='BRspal')	BORNpopn= 135627.
if (BORNcity='BRspam')	BORNpopn= 329158.
if (BORNcity='BRspan')	BORNpopn= 192998.
if (BORNcity='BRspao')	BORNpopn= 417983.
if (BORNcity='BRspap')	BORNpopn= 703177.
if (BORNcity='BRspaq')	BORNpopn= 649331.
if (BORNcity='BRspar')	BORNpopn= 140159.
if (BORNcity='BRspas')	BORNpopn= 272942.
if (BORNcity='BRspat')	BORNpopn= 189186.
if (BORNcity='BRspau')	BORNpopn= 108309.
if (BORNcity='BRspav')	BORNpopn= 358523.
if (BORNcity='BRspaw')	BORNpopn= 539313.
if (BORNcity='BRspax')	BORNpopn= 191291.
if (BORNcity='BRspay')	BORNpopn= 135366.
if (BORNcity='BRspaz')	BORNpopn= 197644.
if (BORNcity='BRspba')	BORNpopn= 969396.
if (BORNcity='BRspbb')	BORNpopn= 652593.
if (BORNcity='BRspbc')	BORNpopn= 303551.
if (BORNcity='BRspbf')	BORNpopn= 344596.
if (BORNcity='BRspbg')	BORNpopn= 493468.
if (BORNcity='BRspbh')	BORNpopn= 228690.
if (BORNcity='BRspbi')	BORNpopn= 244165.
if (BORNcity='BRspbj')	BORNpopn= 10434252.
if (BORNcity='BRspbk')	BORNpopn= 196723.
if (BORNcity='BRspbl')	BORNpopn= 112104.
if (BORNcity='BRspbm')	BORNpopn= 182471.
if (BORNcity='BRspbn')	BORNpopn= 197342.
if (BORNcity='BRspbo')	BORNpopn= 208281.
if (BORNcity='BRspbq')	BORNpopn= 125031.
if (BORNcity='BRspbr')	BORNpopn= 316064.
if (BORNcity='BRspbs')	BORNpopn= 126936.
if (BORNcity='BRspbt')	BORNpopn= 169254.
if (BORNcity='BRspbu')	BORNpopn= 182593.
if (BORNcity='BRspbv')	BORNpopn= 124228.
if (BORNcity='BRspbw')	BORNpopn= 330241.
if (BORNcity='BRspbx')	BORNpopn= 363392.
if (BORNcity='BRtoaa')	BORNpopn= 113143.
if (BORNcity='EG   2') 	BORNpopn= 3339076.
if (BORNcity='EG  25') 	BORNpopn= 343662.
if (BORNcity='EG  28') 	BORNpopn= 219541.
if (BORNcity='EG  22') 	BORNpopn= 171734.
if (BORNcity='EG   1') 	BORNpopn= 6800992.
if (BORNcity='EG  23') 	BORNpopn= 260830.
if (BORNcity='EG  21') 	BORNpopn= 2221817.
if (BORNcity='EG  19') 	BORNpopn= 255134.
if (BORNcity='EG  27') 	BORNpopn= 155382.
if (BORNcity='EG  24') 	BORNpopn= 201440.
if (BORNcity='EG   3') 	BORNpopn= 472335.
if (BORNcity='EG  26') 	BORNpopn= 170417.
if (BORNcity='EG   4') 	BORNpopn= 417527.
if (BORNcity='ID1671')	BORNpopn= 1458664.
if (BORNcity='ID31  ')	BORNpopn= 8389443.
if (BORNcity='ID3273')	BORNpopn= 2138066.
if (BORNcity='ID3578')	BORNpopn= 2610477.
if (BORNcity='IMuprb')	BORNpopn= 990298.
if (BORNcity='IN  tv')	BORNpopn= 392150.
if (BORNcity='IN  tx')	BORNpopn= 124198.
if (BORNcity='IN  ua')	BORNpopn= 808796.
if (BORNcity='INapaa')	BORNpopn= 155969.
if (BORNcity='INapab')	BORNpopn= 220951.
if (BORNcity='INapac')	BORNpopn= 137327.
if (BORNcity='INapad')	BORNpopn= 125725.
if (BORNcity='INapae')	BORNpopn= 189772.
if (BORNcity='INapaf')	BORNpopn= 514707.
if (BORNcity='INapag')	BORNpopn= 3449878.
if (BORNcity='INapah')	BORNpopn= 289920.
if (BORNcity='INapai')	BORNpopn= 267739.
if (BORNcity='INapaj')	BORNpopn= 183370.
if (BORNcity='INapak')	BORNpopn= 378947.
if (BORNcity='INapal')	BORNpopn= 286956.
if (BORNcity='INapam')	BORNpopn= 164932.
if (BORNcity='INapan')	BORNpopn= 313347.
if (BORNcity='INapao')	BORNpopn= 204182.
if (BORNcity='INapap')	BORNpopn= 149839.
if (BORNcity='INapaq')	BORNpopn= 227657.
if (BORNcity='INapar')	BORNpopn= 969608.
if (BORNcity='INapas')	BORNpopn= 825436.
if (BORNcity='INapat')	BORNpopn= 174324.
if (BORNcity='INapau')	BORNpopn= 528570.
if (BORNcity='INapci')	BORNpopn= 966642.
if (BORNcity='INbiba')	BORNpopn= 203395.
if (BORNcity='INbibb')	BORNpopn= 231972.
if (BORNcity='INbibc')	BORNpopn= 340349.
if (BORNcity='INbibd')	BORNpopn= 394173.
if (BORNcity='INbibe')	BORNpopn= 178835.
if (BORNcity='INbibf')	BORNpopn= 198963.
if (BORNcity='INbibg')	BORNpopn= 266834.
if (BORNcity='INbibh')	BORNpopn= 383197.
if (BORNcity='INbibi')	BORNpopn= 570349.
if (BORNcity='INbibj')	BORNpopn= 175169.
if (BORNcity='INbibk')	BORNpopn= 305465.
if (BORNcity='INbibl')	BORNpopn= 187311.
if (BORNcity='INbibm')	BORNpopn= 1376950.
if (BORNcity='INbibn')	BORNpopn= 846454.
if (BORNcity='INdeva')	BORNpopn= 9817439.
if (BORNcity='INdevb')	BORNpopn= 294783.
if (BORNcity='INguca')	BORNpopn= 3515361.
if (BORNcity='INgucb')	BORNpopn= 148391.
if (BORNcity='INgucc')	BORNpopn= 510958.
if (BORNcity='INgucd')	BORNpopn= 447734.
if (BORNcity='INguce')	BORNpopn= 168686.
if (BORNcity='INgucf')	BORNpopn= 192799.
if (BORNcity='INgucg')	BORNpopn= 134009.
if (BORNcity='INguch')	BORNpopn= 133083.
if (BORNcity='INgucj')	BORNpopn= 2433787.
if (BORNcity='INguck')	BORNpopn= 1306035.
if (BORNcity='INhada')	BORNpopn= 139222.
if (BORNcity='INhadb')	BORNpopn= 169424.
if (BORNcity='INhadc')	BORNpopn= 1054981.
if (BORNcity='INhadd')	BORNpopn= 256810.
if (BORNcity='INhade')	BORNpopn= 210476.
if (BORNcity='INhadf')	BORNpopn= 261665.
if (BORNcity='INhadg')	BORNpopn= 286773.
if (BORNcity='INhadh')	BORNpopn= 216213.
if (BORNcity='INhadi')	BORNpopn= 189587.
if (BORNcity='INkaea')	BORNpopn= 378431.
if (BORNcity='INkaeb')	BORNpopn= 894940.
if (BORNcity='INkafa')	BORNpopn= 4292223.
if (BORNcity='INkafb')	BORNpopn= 399600.
if (BORNcity='INkafc')	BORNpopn= 317000.
if (BORNcity='INkafd')	BORNpopn= 245946.
if (BORNcity='INkafe')	BORNpopn= 363780.
if (BORNcity='INkaff')	BORNpopn= 154849.
if (BORNcity='INkafg')	BORNpopn= 427929.
if (BORNcity='INkafh')	BORNpopn= 786018.
if (BORNcity='INkafj')	BORNpopn= 398745.
if (BORNcity='INkafk')	BORNpopn= 742261.
if (BORNcity='INkafl')	BORNpopn= 205634.
if (BORNcity='INkafm')	BORNpopn= 274105.
if (BORNcity='INkafn')	BORNpopn= 248592.
if (BORNcity='INkegb')	BORNpopn= 436527.
if (BORNcity='INkegc')	BORNpopn= 596473.
if (BORNcity='INkegf')	BORNpopn= 744739.
if (BORNcity='INmela')	BORNpopn= 132876.
if (BORNcity='INmhia')	BORNpopn= 872667.
if (BORNcity='INmhib')	BORNpopn= 549370.
if (BORNcity='INmhic')	BORNpopn= 399978.
if (BORNcity='INmhid')	BORNpopn= 307455.
if (BORNcity='INmhie')	BORNpopn= 172366.
if (BORNcity='INmhif')	BORNpopn= 598703.
if (BORNcity='INmhig')	BORNpopn= 297612.
if (BORNcity='INmhih')	BORNpopn= 341473.
if (BORNcity='INmhij')	BORNpopn= 120878.
if (BORNcity='INmhik')	BORNpopn= 11914398.
if (BORNcity='INmhil')	BORNpopn= 257572.
if (BORNcity='INmhim')	BORNpopn= 368579.
if (BORNcity='INmhin')	BORNpopn= 235529.
if (BORNcity='INmhio')	BORNpopn= 1193266.
if (BORNcity='INmhip')	BORNpopn= 485183.
if (BORNcity='INmhiq')	BORNpopn= 299828.
if (BORNcity='INmhis')	BORNpopn= 409190.
if (BORNcity='INmhit')	BORNpopn= 2051320.
if (BORNcity='INmhiu')	BORNpopn= 1076967.
if (BORNcity='INmhiv')	BORNpopn= 430598.
if (BORNcity='INmhiw')	BORNpopn= 1006417.
if (BORNcity='INmhix')	BORNpopn= 2540069.
if (BORNcity='INmhiy')	BORNpopn= 259170.
if (BORNcity='INmhja')	BORNpopn= 873037.
if (BORNcity='INmhjb')	BORNpopn= 1261517.
if (BORNcity='INmhjc')	BORNpopn= 472943.
if (BORNcity='INmnka')	BORNpopn= 217275.
if (BORNcity='INmpha')	BORNpopn= 553837.
if (BORNcity='INmphb')	BORNpopn= 1433875.
if (BORNcity='INmphc')	BORNpopn= 265178.
if (BORNcity='INmphd')	BORNpopn= 194360.
if (BORNcity='INmphe')	BORNpopn= 231182.
if (BORNcity='INmphf')	BORNpopn= 826919.
if (BORNcity='INmphg')	BORNpopn= 1597441.
if (BORNcity='INmphh')	BORNpopn= 951469.
if (BORNcity='INmphi')	BORNpopn= 171976.
if (BORNcity='INmphj')	BORNpopn= 605131.
if (BORNcity='INmphk')	BORNpopn= 221267.
if (BORNcity='INmphl')	BORNpopn= 183232.
if (BORNcity='INmphm')	BORNpopn= 232321.
if (BORNcity='INmphn')	BORNpopn= 429933.
if (BORNcity='INorma')	BORNpopn= 647302.
if (BORNcity='INormb')	BORNpopn= 289724.
if (BORNcity='INormc')	BORNpopn= 535139.
if (BORNcity='INormd')	BORNpopn= 157610.
if (BORNcity='INorme')	BORNpopn= 224601.
if (BORNcity='INormf')	BORNpopn= 154164.
if (BORNcity='INpowa')	BORNpopn= 220749.
if (BORNcity='INpuna')	BORNpopn= 975695.
if (BORNcity='INpunb')	BORNpopn= 217389.
if (BORNcity='INpunc')	BORNpopn= 126646.
if (BORNcity='INpund')	BORNpopn= 701223.
if (BORNcity='INpune')	BORNpopn= 1395053.
if (BORNcity='INpunf')	BORNpopn= 302870.
if (BORNcity='INpung')	BORNpopn= 159559.
if (BORNcity='INraoa')	BORNpopn= 485197.
if (BORNcity='INraob')	BORNpopn= 260245.
if (BORNcity='INraoc')	BORNpopn= 204456.
if (BORNcity='INraod')	BORNpopn= 280185.
if (BORNcity='INraoe')	BORNpopn= 529007.
if (BORNcity='INraof')	BORNpopn= 210788.
if (BORNcity='INraog')	BORNpopn= 2324319.
if (BORNcity='INraoh')	BORNpopn= 846408.
if (BORNcity='INraoi')	BORNpopn= 695899.
if (BORNcity='INraoj')	BORNpopn= 184904.
if (BORNcity='INraok')	BORNpopn= 389317.
if (BORNcity='INtnpa')	BORNpopn= 230913.
if (BORNcity='INtnpb')	BORNpopn= 302492.
if (BORNcity='INtnpc')	BORNpopn= 923085.
if (BORNcity='INtnpd')	BORNpopn= 158569.
if (BORNcity='INtnpe')	BORNpopn= 196619.
if (BORNcity='INtnpf')	BORNpopn= 151184.
if (BORNcity='INtnpg')	BORNpopn= 152984.
if (BORNcity='INtnph')	BORNpopn= 140021.
if (BORNcity='INtnpi')	BORNpopn= 4216268.
if (BORNcity='INtnpj')	BORNpopn= 922913.
if (BORNcity='INtnpk')	BORNpopn= 208149.
if (BORNcity='INtnpl')	BORNpopn= 121982.
if (BORNcity='INtnpm')	BORNpopn= 693236.
if (BORNcity='INtnpn')	BORNpopn= 211768.
if (BORNcity='INtnpo')	BORNpopn= 746062.
if (BORNcity='INtnpp')	BORNpopn= 411298.
if (BORNcity='INtnpq')	BORNpopn= 216058.
if (BORNcity='INtnpr')	BORNpopn= 346551.
if (BORNcity='INtnps')	BORNpopn= 215725.
if (BORNcity='INtnpu')	BORNpopn= 177413.
if (BORNcity='INupra')	BORNpopn= 1259979.
if (BORNcity='INuprc')	BORNpopn= 667732.
if (BORNcity='INuprd')	BORNpopn= 164890.
if (BORNcity='INupre')	BORNpopn= 699839.
if (BORNcity='INuprf')	BORNpopn= 176256.
if (BORNcity='INuprg')	BORNpopn= 447808.
if (BORNcity='INuprh')	BORNpopn= 211460.
if (BORNcity='INupri')	BORNpopn= 278801.
if (BORNcity='INuprj')	BORNpopn= 227876.
if (BORNcity='INuprk')	BORNpopn= 144924.
if (BORNcity='INuprl')	BORNpopn= 624570.
if (BORNcity='INuprm')	BORNpopn= 968521.
if (BORNcity='INuprn')	BORNpopn= 175010.
if (BORNcity='INupro')	BORNpopn= 211987.
if (BORNcity='INuprp')	BORNpopn= 383248.
if (BORNcity='INuprq')	BORNpopn= 159996.
if (BORNcity='INuprr')	BORNpopn= 2532138.
if (BORNcity='INuprs')	BORNpopn= 2207340.
if (BORNcity='INuprt')	BORNpopn= 298827.
if (BORNcity='INupru')	BORNpopn= 1074229.
if (BORNcity='INuprv')	BORNpopn= 205264.
if (BORNcity='INuprw')	BORNpopn= 641240.
if (BORNcity='INuprx')	BORNpopn= 316452.
if (BORNcity='INupry')	BORNpopn= 281549.
if (BORNcity='INuprz')	BORNpopn= 452925.
if (BORNcity='INupsa')	BORNpopn= 297932.
if (BORNcity='INupsb')	BORNpopn= 182930.
if (BORNcity='INupsc')	BORNpopn= 151827.
if (BORNcity='INupsd')	BORNpopn= 1100748.
if (BORNcity='INwbta')	BORNpopn= 486304.
if (BORNcity='INwbtb')	BORNpopn= 261575.
if (BORNcity='INwbtc')	BORNpopn= 135516.
if (BORNcity='INwbtd')	BORNpopn= 250615.
if (BORNcity='INwbte')	BORNpopn= 285871.
if (BORNcity='INwbtf')	BORNpopn= 144331.
if (BORNcity='INwbtg')	BORNpopn= 441956.
if (BORNcity='INwbth')	BORNpopn= 4580544.
if (BORNcity='INwbti')	BORNpopn= 162166.
if (BORNcity='INwbtj')	BORNpopn= 492996.
if (BORNcity='INwbtl')	BORNpopn= 1008704.
if (BORNcity='INwbtm')	BORNpopn= 170201.
if (BORNcity='INwbto')	BORNpopn= 314334.
if (BORNcity='INwbtp')	BORNpopn= 207984.
if (BORNcity='INwbtq')	BORNpopn= 115036.
if (BORNcity='INwbtr')	BORNpopn= 215432.
if (BORNcity='INwbts')	BORNpopn= 348379.
if (BORNcity='INwbtt')	BORNpopn= 197955.
if (BORNcity='INwbtu')	BORNpopn= 470275.
if (BORNcity='KE 3 8') 	BORNpopn= 167016.	
if (BORNcity='KE 524')	BORNpopn= 322734.	
if (BORNcity='KE 418')	BORNpopn= 126427.	
if (BORNcity='KE 735')	BORNpopn= 665018.	
if (BORNcity='KE 1 1') 	BORNpopn= 2143254.	
if (BORNcity='KE 310')	BORNpopn= 219366.	
if (BORNcity='NG 1 1')	BORNpopn= 5195247.
if (BORNcity='NG 2 3')	BORNpopn= 352735.
if (BORNcity='NG 3 4')	BORNpopn= 239124.
if (BORNcity='NG 322')	BORNpopn= 156122.
if (BORNcity='NG 4 5')	BORNpopn= 250951.
if (BORNcity='NG 5 6')	BORNpopn= 762719.
if (BORNcity='NG 7 9')	BORNpopn= 532089.
if (BORNcity='NG 717')	BORNpopn= 189191.
if (BORNcity='NG 8 2')	BORNpopn= 1835300.
if (BORNcity='NG11 7')	BORNpopn= 407756.
if (BORNcity='NG1111')	BORNpopn= 104682.
if (BORNcity='NG1210')	BORNpopn= 310839.
if (BORNcity='NG1524')	BORNpopn= 119711.
if (BORNcity='NG1532')	BORNpopn= 500183.
if (BORNcity='NG16 8')	BORNpopn= 703421.
if (BORNcity='NG1912')	BORNpopn= 993642.
if (BORNcity='NG2013')	BORNpopn= 2166554.
if (BORNcity='NG2121')	BORNpopn= 259315.
if (BORNcity='NG2515')	BORNpopn= 329639.
if (BORNcity='NG2534')	BORNpopn= 132393.
if (BORNcity='NG2723')	BORNpopn= 107069.
if (BORNcity='NG2920')	BORNpopn= 206537.
if (BORNcity='NG3019')	BORNpopn= 151515.
if (BORNcity='NG3116')	BORNpopn= 618278.
if (BORNcity='NG3131')	BORNpopn= 141897.
if (BORNcity='NG3314')	BORNpopn= 510300.
if (BORNcity='NG3726')	BORNpopn= 163604.
if (BORNcity='SPspbd')	BORNpopn= 323397.
if (BORNcity='SPspbe')	BORNpopn= 249046.
if (BORNcity='ZAecpe')	BORNpopn= 775255.
if (BORNcity='ZAfsbi')	BORNpopn= 350504.
if (BORNcity='ZAgajo')	BORNpopn= 752349.
if (BORNcity='ZAgapr')	BORNpopn= 692348.
if (BORNcity='ZAkndu')	BORNpopn= 669242.
if (BORNcity='ZAknpi')	BORNpopn= 405385.
if (BORNcity='ZAwcct')	BORNpopn= 987007.
*.
if (LIVEcity='BRacaa')	LIVEpopn= 253059.
if (LIVEcity='BRalaa')	LIVEpopn= 186466.
if (LIVEcity='BRalab')	LIVEpopn= 461534.
if (LIVEcity='BRalac')	LIVEpopn= 797759.
if (LIVEcity='BRamaa')	LIVEpopn= 1405835.
if (LIVEcity='BRamab')	LIVEpopn= 122751.
if (LIVEcity='BRapaa')	LIVEpopn= 283308.
if (LIVEcity='BRbaaa')	LIVEpopn= 174567.
if (LIVEcity='BRbaab')	LIVEpopn= 130095.
if (LIVEcity='BRbaad')	LIVEpopn= 196675.
if (LIVEcity='BRbaae')	LIVEpopn= 262494.
if (LIVEcity='BRbaaf')	LIVEpopn= 222127.
if (LIVEcity='BRbaag')	LIVEpopn= 480949.
if (LIVEcity='BRbaah')	LIVEpopn= 218538.
if (LIVEcity='BRbaai')	LIVEpopn= 2443107.
if (LIVEcity='BRbaaj')	LIVEpopn= 147202.
if (LIVEcity='BRbaak')	LIVEpopn= 161727.
if (LIVEcity='BRceaa')	LIVEpopn= 2141402.
if (LIVEcity='BRceab')	LIVEpopn= 250479.
if (LIVEcity='BRceac')	LIVEpopn= 245369.
if (LIVEcity='BRcead')	LIVEpopn= 155276.
if (LIVEcity='BRdfaa')	LIVEpopn= 2051146.
if (LIVEcity='BResaa')	LIVEpopn= 345965.
if (LIVEcity='BResab')	LIVEpopn= 321181.
if (LIVEcity='BResac')	LIVEpopn= 112617.
if (LIVEcity='BResad')	LIVEpopn= 292304.
if (LIVEcity='BResae')	LIVEpopn= 324285.
if (LIVEcity='BResaf')	LIVEpopn= 174879.
if (LIVEcity='BResag')	LIVEpopn= 112711.
if (LIVEcity='BRgoaa')	LIVEpopn= 1093007.
if (LIVEcity='BRgoab')	LIVEpopn= 288085.
if (LIVEcity='BRgoac')	LIVEpopn= 116552.
if (LIVEcity='BRgoad')	LIVEpopn= 141082.
if (LIVEcity='BRjrao')	LIVEpopn= 891119.
if (LIVEcity='BRmaaa')	LIVEpopn= 129692.
if (LIVEcity='BRmaac')	LIVEpopn= 132282.
if (LIVEcity='BRmaae')	LIVEpopn= 870028.
if (LIVEcity='BRmaaf')	LIVEpopn= 111146.
if (LIVEcity='BRmaag')	LIVEpopn= 230566.
if (LIVEcity='BRmaah')	LIVEpopn= 393569.
if (LIVEcity='BRmaai')	LIVEpopn= 139756.
if (LIVEcity='BRmgaa')	LIVEpopn= 212496.
if (LIVEcity='BRmgab')	LIVEpopn= 114126.
if (LIVEcity='BRmgac')	LIVEpopn= 129424.
if (LIVEcity='BRmgad')	LIVEpopn= 101974.
if (LIVEcity='BRmgae')	LIVEpopn= 501214.
if (LIVEcity='BRmgaf')	LIVEpopn= 184871.
if (LIVEcity='BRmgag')	LIVEpopn= 456796.
if (LIVEcity='BRmgah')	LIVEpopn= 123881.
if (LIVEcity='BRmgal')	LIVEpopn= 247131.
if (LIVEcity='BRmgam')	LIVEpopn= 252051.
if (LIVEcity='BRmgan')	LIVEpopn= 306947.
if (LIVEcity='BRmgao')	LIVEpopn= 183962.
if (LIVEcity='BRmgap')	LIVEpopn= 246846.
if (LIVEcity='BRmgaq')	LIVEpopn= 2238526.
if (LIVEcity='BRmgar')	LIVEpopn= 306675.
if (LIVEcity='BRmsaa')	LIVEpopn= 663621.
if (LIVEcity='BRmsab')	LIVEpopn= 164949.
if (LIVEcity='BRmtab')	LIVEpopn= 150227.
if (LIVEcity='BRmtac')	LIVEpopn= 483346.
if (LIVEcity='BRpaaa')	LIVEpopn= 168020.
if (LIVEcity='BRpaab')	LIVEpopn= 179732.
if (LIVEcity='BRpaae')	LIVEpopn= 262538.
if (LIVEcity='BRpaag')	LIVEpopn= 134496.
if (LIVEcity='BRpaah')	LIVEpopn= 1280614.
if (LIVEcity='BRpbaa')	LIVEpopn= 212133.
if (LIVEcity='BRpbab')	LIVEpopn= 184903.
if (LIVEcity='BRpbac')	LIVEpopn= 597934.
if (LIVEcity='BRpbad')	LIVEpopn= 355331.
if (LIVEcity='BRpeaa')	LIVEpopn= 117609.
if (LIVEcity='BRpeab')	LIVEpopn= 1422905.
if (LIVEcity='BRpeac')	LIVEpopn= 253634.
if (LIVEcity='BRpeae')	LIVEpopn= 262237.
if (LIVEcity='BRpeaf')	LIVEpopn= 128702.
if (LIVEcity='BRpeag')	LIVEpopn= 581556.
if (LIVEcity='BRpeah')	LIVEpopn= 367902.
if (LIVEcity='BRpeai')	LIVEpopn= 117749.
if (LIVEcity='BRpiaa')	LIVEpopn= 715360.
if (LIVEcity='BRpiab')	LIVEpopn= 215298.
if (LIVEcity='BRpraa')	LIVEpopn= 204316.
if (LIVEcity='BRprab')	LIVEpopn= 273616.
if (LIVEcity='BRprac')	LIVEpopn= 127339.
if (LIVEcity='BRprad')	LIVEpopn= 288653.
if (LIVEcity='BRprae')	LIVEpopn= 258543.
if (LIVEcity='BRpraf')	LIVEpopn= 107827.
if (LIVEcity='BRprag')	LIVEpopn= 447065.
if (LIVEcity='BRprah')	LIVEpopn= 155161.
if (LIVEcity='BRrjaa')	LIVEpopn= 205830.
if (LIVEcity='BRrjab')	LIVEpopn= 406989.
if (LIVEcity='BRrjac')	LIVEpopn= 173418.
if (LIVEcity='BRrjad')	LIVEpopn= 242063.
if (LIVEcity='BRrjaf')	LIVEpopn= 187479.
if (LIVEcity='BRrjag')	LIVEpopn= 170753.
if (LIVEcity='BRrjah')	LIVEpopn= 920599.
if (LIVEcity='BRrjai')	LIVEpopn= 775456.
if (LIVEcity='BRrjaj')	LIVEpopn= 286537.
if (LIVEcity='BRrjak')	LIVEpopn= 107632.
if (LIVEcity='BRrjal')	LIVEpopn= 459451.
if (LIVEcity='BRrjam')	LIVEpopn= 153712.
if (LIVEcity='BRrjan')	LIVEpopn= 5857904.
if (LIVEcity='BRrjap')	LIVEpopn= 104549.
if (LIVEcity='BRrjaq')	LIVEpopn= 138081.
if (LIVEcity='BRrjar')	LIVEpopn= 449476.
if (LIVEcity='BRrnaa')	LIVEpopn= 712317.
if (LIVEcity='BRrnab')	LIVEpopn= 213841.
if (LIVEcity='BRroaa')	LIVEpopn= 334661.
if (LIVEcity='BRrsaa')	LIVEpopn= 306093.
if (LIVEcity='BRrsab')	LIVEpopn= 168458.
if (LIVEcity='BRrsac')	LIVEpopn= 227429.
if (LIVEcity='BRrsad')	LIVEpopn= 360419.
if (LIVEcity='BRrsae')	LIVEpopn= 193547.
if (LIVEcity='BRrsaf')	LIVEpopn= 236193.
if (LIVEcity='BRrsag')	LIVEpopn= 232629.
if (LIVEcity='BRrsah')	LIVEpopn= 243611.
if (LIVEcity='BRrsai')	LIVEpopn= 186544.
if (LIVEcity='BRrsaj')	LIVEpopn= 1360590.
if (LIVEcity='BRrsak')	LIVEpopn= 118767.
if (LIVEcity='BRrsal')	LIVEpopn= 323158.
if (LIVEcity='BRscaa')	LIVEpopn= 426604.
if (LIVEcity='BRscab')	LIVEpopn= 183968.
if (LIVEcity='BRscac')	LIVEpopn= 146967.
if (LIVEcity='BRscad')	LIVEpopn= 147494.
if (LIVEcity='BRscae')	LIVEpopn= 157682.
if (LIVEcity='BRscaf')	LIVEpopn= 170420.
if (LIVEcity='BRscag')	LIVEpopn= 261808.
if (LIVEcity='BRscah')	LIVEpopn= 173559.
if (LIVEcity='BRscai')	LIVEpopn= 342315.
if (LIVEcity='BRscaj')	LIVEpopn= 1587315.
if (LIVEcity='BRspaa')	LIVEpopn= 504923.
if (LIVEcity='BRspab')	LIVEpopn= 264812.
if (LIVEcity='BRspac')	LIVEpopn= 1072717.
if (LIVEcity='BRspad')	LIVEpopn= 104219.
if (LIVEcity='BRspae')	LIVEpopn= 125559.
if (LIVEcity='BRspaf')	LIVEpopn= 168218.
if (LIVEcity='BRspag')	LIVEpopn= 357064.
if (LIVEcity='BRspah')	LIVEpopn= 287737.
if (LIVEcity='BRspai')	LIVEpopn= 170078.
if (LIVEcity='BRspaj')	LIVEpopn= 207663.
if (LIVEcity='BRspak')	LIVEpopn= 126026.
if (LIVEcity='BRspal')	LIVEpopn= 135627.
if (LIVEcity='BRspam')	LIVEpopn= 329158.
if (LIVEcity='BRspan')	LIVEpopn= 192998.
if (LIVEcity='BRspao')	LIVEpopn= 417983.
if (LIVEcity='BRspap')	LIVEpopn= 703177.
if (LIVEcity='BRspaq')	LIVEpopn= 649331.
if (LIVEcity='BRspar')	LIVEpopn= 140159.
if (LIVEcity='BRspas')	LIVEpopn= 272942.
if (LIVEcity='BRspat')	LIVEpopn= 189186.
if (LIVEcity='BRspau')	LIVEpopn= 108309.
if (LIVEcity='BRspav')	LIVEpopn= 358523.
if (LIVEcity='BRspaw')	LIVEpopn= 539313.
if (LIVEcity='BRspax')	LIVEpopn= 191291.
if (LIVEcity='BRspay')	LIVEpopn= 135366.
if (LIVEcity='BRspaz')	LIVEpopn= 197644.
if (LIVEcity='BRspba')	LIVEpopn= 969396.
if (LIVEcity='BRspbb')	LIVEpopn= 652593.
if (LIVEcity='BRspbc')	LIVEpopn= 303551.
if (LIVEcity='BRspbf')	LIVEpopn= 344596.
if (LIVEcity='BRspbg')	LIVEpopn= 493468.
if (LIVEcity='BRspbh')	LIVEpopn= 228690.
if (LIVEcity='BRspbi')	LIVEpopn= 244165.
if (LIVEcity='BRspbj')	LIVEpopn= 10434252.
if (LIVEcity='BRspbk')	LIVEpopn= 196723.
if (LIVEcity='BRspbl')	LIVEpopn= 112104.
if (LIVEcity='BRspbm')	LIVEpopn= 182471.
if (LIVEcity='BRspbn')	LIVEpopn= 197342.
if (LIVEcity='BRspbo')	LIVEpopn= 208281.
if (LIVEcity='BRspbq')	LIVEpopn= 125031.
if (LIVEcity='BRspbr')	LIVEpopn= 316064.
if (LIVEcity='BRspbs')	LIVEpopn= 126936.
if (LIVEcity='BRspbt')	LIVEpopn= 169254.
if (LIVEcity='BRspbu')	LIVEpopn= 182593.
if (LIVEcity='BRspbv')	LIVEpopn= 124228.
if (LIVEcity='BRspbw')	LIVEpopn= 330241.
if (LIVEcity='BRspbx')	LIVEpopn= 363392.
if (LIVEcity='BRtoaa')	LIVEpopn= 113143.
if (LIVEcity='CM10 4')	LIVEpopn= 205620.
if (LIVEcity='CM 717')	LIVEpopn= 252083.
if (LIVEcity='CM 3 9')	LIVEpopn= 129067.
if (LIVEcity='CM 5 1')	LIVEpopn= 1382900.
if (LIVEcity='CM 616')	LIVEpopn= 293081.
if (LIVEcity='CM 413')	LIVEpopn= 225469.
if (LIVEcity='CM 112')	LIVEpopn= 156804.
if (LIVEcity='CM 2 6') 	LIVEpopn= 1293000.
if (LIVEcity='EG   2') 	LIVEpopn= 3339076.
if (LIVEcity='EG  25') 	LIVEpopn= 343662.
if (LIVEcity='EG  28') 	LIVEpopn= 219541.
if (LIVEcity='EG  22') 	LIVEpopn= 171734.
if (LIVEcity='EG   1') 	LIVEpopn= 6800992.
if (LIVEcity='EG  23') 	LIVEpopn= 260830.
if (LIVEcity='EG  21') 	LIVEpopn= 2221817.
if (LIVEcity='EG  19') 	LIVEpopn= 255134.
if (LIVEcity='EG  27') 	LIVEpopn= 155382.
if (LIVEcity='EG  24') 	LIVEpopn= 201440.
if (LIVEcity='EG   3') 	LIVEpopn= 472335.
if (LIVEcity='EG  26') 	LIVEpopn= 170417.
if (LIVEcity='EG   4') 	LIVEpopn= 417527.
if (LIVEcity='ID1671')	LIVEpopn= 1458664.
if (LIVEcity='ID31  ')	LIVEpopn= 8389443.
if (LIVEcity='ID3273')	LIVEpopn= 2138066.
if (LIVEcity='ID3578')	LIVEpopn= 2610477.
if (LIVEcity='IMuprb')	LIVEpopn= 990298.
if (LIVEcity='IN  tv')	LIVEpopn= 392150.
if (LIVEcity='IN  tx')	LIVEpopn= 124198.
if (LIVEcity='IN  ua')	LIVEpopn= 808796.
if (LIVEcity='INapaa')	LIVEpopn= 155969.
if (LIVEcity='INapab')	LIVEpopn= 220951.
if (LIVEcity='INapac')	LIVEpopn= 137327.
if (LIVEcity='INapad')	LIVEpopn= 125725.
if (LIVEcity='INapae')	LIVEpopn= 189772.
if (LIVEcity='INapaf')	LIVEpopn= 514707.
if (LIVEcity='INapag')	LIVEpopn= 3449878.
if (LIVEcity='INapah')	LIVEpopn= 289920.
if (LIVEcity='INapai')	LIVEpopn= 267739.
if (LIVEcity='INapaj')	LIVEpopn= 183370.
if (LIVEcity='INapak')	LIVEpopn= 378947.
if (LIVEcity='INapal')	LIVEpopn= 286956.
if (LIVEcity='INapam')	LIVEpopn= 164932.
if (LIVEcity='INapan')	LIVEpopn= 313347.
if (LIVEcity='INapao')	LIVEpopn= 204182.
if (LIVEcity='INapap')	LIVEpopn= 149839.
if (LIVEcity='INapaq')	LIVEpopn= 227657.
if (LIVEcity='INapar')	LIVEpopn= 969608.
if (LIVEcity='INapas')	LIVEpopn= 825436.
if (LIVEcity='INapat')	LIVEpopn= 174324.
if (LIVEcity='INapau')	LIVEpopn= 528570.
if (LIVEcity='INapci')	LIVEpopn= 966642.
if (LIVEcity='INbiba')	LIVEpopn= 203395.
if (LIVEcity='INbibb')	LIVEpopn= 231972.
if (LIVEcity='INbibc')	LIVEpopn= 340349.
if (LIVEcity='INbibd')	LIVEpopn= 394173.
if (LIVEcity='INbibe')	LIVEpopn= 178835.
if (LIVEcity='INbibf')	LIVEpopn= 198963.
if (LIVEcity='INbibg')	LIVEpopn= 266834.
if (LIVEcity='INbibh')	LIVEpopn= 383197.
if (LIVEcity='INbibi')	LIVEpopn= 570349.
if (LIVEcity='INbibj')	LIVEpopn= 175169.
if (LIVEcity='INbibk')	LIVEpopn= 305465.
if (LIVEcity='INbibl')	LIVEpopn= 187311.
if (LIVEcity='INbibm')	LIVEpopn= 1376950.
if (LIVEcity='INbibn')	LIVEpopn= 846454.
if (LIVEcity='INdeva')	LIVEpopn= 9817439.
if (LIVEcity='INdevb')	LIVEpopn= 294783.
if (LIVEcity='INguca')	LIVEpopn= 3515361.
if (LIVEcity='INgucb')	LIVEpopn= 148391.
if (LIVEcity='INgucc')	LIVEpopn= 510958.
if (LIVEcity='INgucd')	LIVEpopn= 447734.
if (LIVEcity='INguce')	LIVEpopn= 168686.
if (LIVEcity='INgucf')	LIVEpopn= 192799.
if (LIVEcity='INgucg')	LIVEpopn= 134009.
if (LIVEcity='INguch')	LIVEpopn= 133083.
if (LIVEcity='INgucj')	LIVEpopn= 2433787.
if (LIVEcity='INguck')	LIVEpopn= 1306035.
if (LIVEcity='INhada')	LIVEpopn= 139222.
if (LIVEcity='INhadb')	LIVEpopn= 169424.
if (LIVEcity='INhadc')	LIVEpopn= 1054981.
if (LIVEcity='INhadd')	LIVEpopn= 256810.
if (LIVEcity='INhade')	LIVEpopn= 210476.
if (LIVEcity='INhadf')	LIVEpopn= 261665.
if (LIVEcity='INhadg')	LIVEpopn= 286773.
if (LIVEcity='INhadh')	LIVEpopn= 216213.
if (LIVEcity='INhadi')	LIVEpopn= 189587.
if (LIVEcity='INkaea')	LIVEpopn= 378431.
if (LIVEcity='INkaeb')	LIVEpopn= 894940.
if (LIVEcity='INkafa')	LIVEpopn= 4292223.
if (LIVEcity='INkafb')	LIVEpopn= 399600.
if (LIVEcity='INkafc')	LIVEpopn= 317000.
if (LIVEcity='INkafd')	LIVEpopn= 245946.
if (LIVEcity='INkafe')	LIVEpopn= 363780.
if (LIVEcity='INkaff')	LIVEpopn= 154849.
if (LIVEcity='INkafg')	LIVEpopn= 427929.
if (LIVEcity='INkafh')	LIVEpopn= 786018.
if (LIVEcity='INkafj')	LIVEpopn= 398745.
if (LIVEcity='INkafk')	LIVEpopn= 742261.
if (LIVEcity='INkafl')	LIVEpopn= 205634.
if (LIVEcity='INkafm')	LIVEpopn= 274105.
if (LIVEcity='INkafn')	LIVEpopn= 248592.
if (LIVEcity='INkegb')	LIVEpopn= 436527.
if (LIVEcity='INkegc')	LIVEpopn= 596473.
if (LIVEcity='INkegf')	LIVEpopn= 744739.
if (LIVEcity='INmela')	LIVEpopn= 132876.
if (LIVEcity='INmhia')	LIVEpopn= 872667.
if (LIVEcity='INmhib')	LIVEpopn= 549370.
if (LIVEcity='INmhic')	LIVEpopn= 399978.
if (LIVEcity='INmhid')	LIVEpopn= 307455.
if (LIVEcity='INmhie')	LIVEpopn= 172366.
if (LIVEcity='INmhif')	LIVEpopn= 598703.
if (LIVEcity='INmhig')	LIVEpopn= 297612.
if (LIVEcity='INmhih')	LIVEpopn= 341473.
if (LIVEcity='INmhij')	LIVEpopn= 120878.
if (LIVEcity='INmhik')	LIVEpopn= 11914398.
if (LIVEcity='INmhil')	LIVEpopn= 257572.
if (LIVEcity='INmhim')	LIVEpopn= 368579.
if (LIVEcity='INmhin')	LIVEpopn= 235529.
if (LIVEcity='INmhio')	LIVEpopn= 1193266.
if (LIVEcity='INmhip')	LIVEpopn= 485183.
if (LIVEcity='INmhiq')	LIVEpopn= 299828.
if (LIVEcity='INmhis')	LIVEpopn= 409190.
if (LIVEcity='INmhit')	LIVEpopn= 2051320.
if (LIVEcity='INmhiu')	LIVEpopn= 1076967.
if (LIVEcity='INmhiv')	LIVEpopn= 430598.
if (LIVEcity='INmhiw')	LIVEpopn= 1006417.
if (LIVEcity='INmhix')	LIVEpopn= 2540069.
if (LIVEcity='INmhiy')	LIVEpopn= 259170.
if (LIVEcity='INmhja')	LIVEpopn= 873037.
if (LIVEcity='INmhjb')	LIVEpopn= 1261517.
if (LIVEcity='INmhjc')	LIVEpopn= 472943.
if (LIVEcity='INmnka')	LIVEpopn= 217275.
if (LIVEcity='INmpha')	LIVEpopn= 553837.
if (LIVEcity='INmphb')	LIVEpopn= 1433875.
if (LIVEcity='INmphc')	LIVEpopn= 265178.
if (LIVEcity='INmphd')	LIVEpopn= 194360.
if (LIVEcity='INmphe')	LIVEpopn= 231182.
if (LIVEcity='INmphf')	LIVEpopn= 826919.
if (LIVEcity='INmphg')	LIVEpopn= 1597441.
if (LIVEcity='INmphh')	LIVEpopn= 951469.
if (LIVEcity='INmphi')	LIVEpopn= 171976.
if (LIVEcity='INmphj')	LIVEpopn= 605131.
if (LIVEcity='INmphk')	LIVEpopn= 221267.
if (LIVEcity='INmphl')	LIVEpopn= 183232.
if (LIVEcity='INmphm')	LIVEpopn= 232321.
if (LIVEcity='INmphn')	LIVEpopn= 429933.
if (LIVEcity='INorma')	LIVEpopn= 647302.
if (LIVEcity='INormb')	LIVEpopn= 289724.
if (LIVEcity='INormc')	LIVEpopn= 535139.
if (LIVEcity='INormd')	LIVEpopn= 157610.
if (LIVEcity='INorme')	LIVEpopn= 224601.
if (LIVEcity='INormf')	LIVEpopn= 154164.
if (LIVEcity='INpowa')	LIVEpopn= 220749.
if (LIVEcity='INpuna')	LIVEpopn= 975695.
if (LIVEcity='INpunb')	LIVEpopn= 217389.
if (LIVEcity='INpunc')	LIVEpopn= 126646.
if (LIVEcity='INpund')	LIVEpopn= 701223.
if (LIVEcity='INpune')	LIVEpopn= 1395053.
if (LIVEcity='INpunf')	LIVEpopn= 302870.
if (LIVEcity='INpung')	LIVEpopn= 159559.
if (LIVEcity='INraoa')	LIVEpopn= 485197.
if (LIVEcity='INraob')	LIVEpopn= 260245.
if (LIVEcity='INraoc')	LIVEpopn= 204456.
if (LIVEcity='INraod')	LIVEpopn= 280185.
if (LIVEcity='INraoe')	LIVEpopn= 529007.
if (LIVEcity='INraof')	LIVEpopn= 210788.
if (LIVEcity='INraog')	LIVEpopn= 2324319.
if (LIVEcity='INraoh')	LIVEpopn= 846408.
if (LIVEcity='INraoi')	LIVEpopn= 695899.
if (LIVEcity='INraoj')	LIVEpopn= 184904.
if (LIVEcity='INraok')	LIVEpopn= 389317.
if (LIVEcity='INtnpa')	LIVEpopn= 230913.
if (LIVEcity='INtnpb')	LIVEpopn= 302492.
if (LIVEcity='INtnpc')	LIVEpopn= 923085.
if (LIVEcity='INtnpd')	LIVEpopn= 158569.
if (LIVEcity='INtnpe')	LIVEpopn= 196619.
if (LIVEcity='INtnpf')	LIVEpopn= 151184.
if (LIVEcity='INtnpg')	LIVEpopn= 152984.
if (LIVEcity='INtnph')	LIVEpopn= 140021.
if (LIVEcity='INtnpi')	LIVEpopn= 4216268.
if (LIVEcity='INtnpj')	LIVEpopn= 922913.
if (LIVEcity='INtnpk')	LIVEpopn= 208149.
if (LIVEcity='INtnpl')	LIVEpopn= 121982.
if (LIVEcity='INtnpm')	LIVEpopn= 693236.
if (LIVEcity='INtnpn')	LIVEpopn= 211768.
if (LIVEcity='INtnpo')	LIVEpopn= 746062.
if (LIVEcity='INtnpp')	LIVEpopn= 411298.
if (LIVEcity='INtnpq')	LIVEpopn= 216058.
if (LIVEcity='INtnpr')	LIVEpopn= 346551.
if (LIVEcity='INtnps')	LIVEpopn= 215725.
if (LIVEcity='INtnpu')	LIVEpopn= 177413.
if (LIVEcity='INupra')	LIVEpopn= 1259979.
if (LIVEcity='INuprc')	LIVEpopn= 667732.
if (LIVEcity='INuprd')	LIVEpopn= 164890.
if (LIVEcity='INupre')	LIVEpopn= 699839.
if (LIVEcity='INuprf')	LIVEpopn= 176256.
if (LIVEcity='INuprg')	LIVEpopn= 447808.
if (LIVEcity='INuprh')	LIVEpopn= 211460.
if (LIVEcity='INupri')	LIVEpopn= 278801.
if (LIVEcity='INuprj')	LIVEpopn= 227876.
if (LIVEcity='INuprk')	LIVEpopn= 144924.
if (LIVEcity='INuprl')	LIVEpopn= 624570.
if (LIVEcity='INuprm')	LIVEpopn= 968521.
if (LIVEcity='INuprn')	LIVEpopn= 175010.
if (LIVEcity='INupro')	LIVEpopn= 211987.
if (LIVEcity='INuprp')	LIVEpopn= 383248.
if (LIVEcity='INuprq')	LIVEpopn= 159996.
if (LIVEcity='INuprr')	LIVEpopn= 2532138.
if (LIVEcity='INuprs')	LIVEpopn= 2207340.
if (LIVEcity='INuprt')	LIVEpopn= 298827.
if (LIVEcity='INupru')	LIVEpopn= 1074229.
if (LIVEcity='INuprv')	LIVEpopn= 205264.
if (LIVEcity='INuprw')	LIVEpopn= 641240.
if (LIVEcity='INuprx')	LIVEpopn= 316452.
if (LIVEcity='INupry')	LIVEpopn= 281549.
if (LIVEcity='INuprz')	LIVEpopn= 452925.
if (LIVEcity='INupsa')	LIVEpopn= 297932.
if (LIVEcity='INupsb')	LIVEpopn= 182930.
if (LIVEcity='INupsc')	LIVEpopn= 151827.
if (LIVEcity='INupsd')	LIVEpopn= 1100748.
if (LIVEcity='INwbta')	LIVEpopn= 486304.
if (LIVEcity='INwbtb')	LIVEpopn= 261575.
if (LIVEcity='INwbtc')	LIVEpopn= 135516.
if (LIVEcity='INwbtd')	LIVEpopn= 250615.
if (LIVEcity='INwbte')	LIVEpopn= 285871.
if (LIVEcity='INwbtf')	LIVEpopn= 144331.
if (LIVEcity='INwbtg')	LIVEpopn= 441956.
if (LIVEcity='INwbth')	LIVEpopn= 4580544.
if (LIVEcity='INwbti')	LIVEpopn= 162166.
if (LIVEcity='INwbtj')	LIVEpopn= 492996.
if (LIVEcity='INwbtl')	LIVEpopn= 1008704.
if (LIVEcity='INwbtm')	LIVEpopn= 170201.
if (LIVEcity='INwbto')	LIVEpopn= 314334.
if (LIVEcity='INwbtp')	LIVEpopn= 207984.
if (LIVEcity='INwbtq')	LIVEpopn= 115036.
if (LIVEcity='INwbtr')	LIVEpopn= 215432.
if (LIVEcity='INwbts')	LIVEpopn= 348379.
if (LIVEcity='INwbtt')	LIVEpopn= 197955.
if (LIVEcity='INwbtu')	LIVEpopn= 470275.
if (LIVEcity='KE 3 8') 	LIVEpopn= 167016.	
if (LIVEcity='KE 524') 	LIVEpopn= 322734.	
if (LIVEcity='KE 418') 	LIVEpopn= 126427.	
if (LIVEcity='KE 735') 	LIVEpopn= 665018.	
if (LIVEcity='KE 1 1') 	LIVEpopn= 2143254.	
if (LIVEcity='KE 310') 	LIVEpopn= 219366.	
if (LIVEcity='NG 1 1')	LIVEpopn= 5195247.
if (LIVEcity='NG 2 3')	LIVEpopn= 352735.
if (LIVEcity='NG 3 4')	LIVEpopn= 239124.
if (LIVEcity='NG 322')	LIVEpopn= 156122.
if (LIVEcity='NG 4 5')	LIVEpopn= 250951.
if (LIVEcity='NG 5 6')	LIVEpopn= 762719.
if (LIVEcity='NG 7 9')	LIVEpopn= 532089.
if (LIVEcity='NG 717')	LIVEpopn= 189191.
if (LIVEcity='NG 8 2')	LIVEpopn= 1835300.
if (LIVEcity='NG11 7')	LIVEpopn= 407756.
if (LIVEcity='NG1111')	LIVEpopn= 104682.
if (LIVEcity='NG1210')	LIVEpopn= 310839.
if (LIVEcity='NG1524')	LIVEpopn= 119711.
if (LIVEcity='NG1532')	LIVEpopn= 500183.
if (LIVEcity='NG16 8')	LIVEpopn= 703421.
if (LIVEcity='NG1912')	LIVEpopn= 993642.
if (LIVEcity='NG2013')	LIVEpopn= 2166554.
if (LIVEcity='NG2121')	LIVEpopn= 259315.
if (LIVEcity='NG2515')	LIVEpopn= 329639.
if (LIVEcity='NG2534')	LIVEpopn= 132393.
if (LIVEcity='NG2723')	LIVEpopn= 107069.
if (LIVEcity='NG2920')	LIVEpopn= 206537.
if (LIVEcity='NG3019')	LIVEpopn= 151515.
if (LIVEcity='NG3116')	LIVEpopn= 618278.
if (LIVEcity='NG3131')	LIVEpopn= 141897.
if (LIVEcity='NG3314')	LIVEpopn= 510300.
if (LIVEcity='NG3726')	LIVEpopn= 163604.
if (LIVEcity='SPspbd')	LIVEpopn= 323397.
if (LIVEcity='SPspbe')	LIVEpopn= 249046.
if (LIVEcity='TD18 1') 	LIVEpopn= 530965.
if (LIVEcity='ZAecpe')	LIVEpopn= 775255.
if (LIVEcity='ZAfsbi')	LIVEpopn= 350504.
if (LIVEcity='ZAgajo')	LIVEpopn= 752349.
if (LIVEcity='ZAgapr')	LIVEpopn= 692348.
if (LIVEcity='ZAkndu')	LIVEpopn= 669242.
if (LIVEcity='ZAknpi')	LIVEpopn= 405385.
if (LIVEcity='ZAwcct')	LIVEpopn= 987007.
var label		BORNpopn	"Respondent's birthplace:  population".
var label		  LIVEpopn	"City/town respondent lives in:  population".
var label		BORNarea	"Respondent's birthplace:  area (Km2)".
var label		  LIVEarea	"City/town respondent lives in:  area (Km2)".

* Ratio of women to total popn.
if (BORNcity='BRacaa')	BORNrati=.513 .
if (BORNcity='BRalaa')	BORNrati=.522 .
if (BORNcity='BRalab')	BORNrati=.532 .
if (BORNcity='BRalac')	BORNrati=.528 .
if (BORNcity='BRamaa')	BORNrati=.512 .
if (BORNcity='BRamab')	BORNrati=.509 .
if (BORNcity='BRapaa')	BORNrati=.508 .
if (BORNcity='BRbaaa')	BORNrati=.505 .
if (BORNcity='BRbaab')	BORNrati=.523 .
if (BORNcity='BRbaad')	BORNrati=.520 .
if (BORNcity='BRbaae')	BORNrati=.514 .
if (BORNcity='BRbaaf')	BORNrati=.503 .
if (BORNcity='BRbaag')	BORNrati=.522 .
if (BORNcity='BRbaah')	BORNrati=.512 .
if (BORNcity='BRbaai')	BORNrati=.529 .
if (BORNcity='BRbaaj')	BORNrati=.512 .
if (BORNcity='BRbaak')	BORNrati=.499 .
if (BORNcity='BRceaa')	BORNrati=.532 .
if (BORNcity='BRceab')	BORNrati=.508 .
if (BORNcity='BRceac')	BORNrati=.512 .
if (BORNcity='BRcead')	BORNrati=.515 .
if (BORNcity='BRdfaa')	BORNrati=.522 .
if (BORNcity='BResaa')	BORNrati=.520 .
if (BORNcity='BResab')	BORNrati=.507 .
if (BORNcity='BResac')	BORNrati=.502 .
if (BORNcity='BResad')	BORNrati=.528 .
if (BORNcity='BResae')	BORNrati=.508 .
if (BORNcity='BResaf')	BORNrati=.510 .
if (BORNcity='BResag')	BORNrati=.510 .
if (BORNcity='BRgoaa')	BORNrati=.523 .
if (BORNcity='BRgoab')	BORNrati=.512 .
if (BORNcity='BRgoac')	BORNrati=.498 .
if (BORNcity='BRgoad')	BORNrati=.498 .
if (BORNcity='BRjrao')	BORNrati=.518 .
if (BORNcity='BRmaaa')	BORNrati=.514 .
if (BORNcity='BRmaac')	BORNrati=.525 .
if (BORNcity='BRmaae')	BORNrati=.533 .
if (BORNcity='BRmaaf')	BORNrati=.510 .
if (BORNcity='BRmaag')	BORNrati=.519 .
if (BORNcity='BRmaah')	BORNrati=.516 .
if (BORNcity='BRmaai')	BORNrati=.514 .
if (BORNcity='BRmgaa')	BORNrati=.510 .
if (BORNcity='BRmgab')	BORNrati=.521 .
if (BORNcity='BRmgac')	BORNrati=.520 .
if (BORNcity='BRmgad')	BORNrati=.502 .
if (BORNcity='BRmgae')	BORNrati=.510 .
if (BORNcity='BRmgaf')	BORNrati=.514 .
if (BORNcity='BRmgag')	BORNrati=.524 .
if (BORNcity='BRmgah')	BORNrati=.506 .
if (BORNcity='BRmgal')	BORNrati=.521 .
if (BORNcity='BRmgam')	BORNrati=.515 .
if (BORNcity='BRmgan')	BORNrati=.516 .
if (BORNcity='BRmgao')	BORNrati=.511 .
if (BORNcity='BRmgap')	BORNrati=.500 .
if (BORNcity='BRmgaq')	BORNrati=.528 .
if (BORNcity='BRmgar')	BORNrati=.501 .
if (BORNcity='BRmsaa')	BORNrati=.514 .
if (BORNcity='BRmsab')	BORNrati=.509 .
if (BORNcity='BRmtab')	BORNrati=.499 .
if (BORNcity='BRmtac')	BORNrati=.513 .
if (BORNcity='BRpaaa')	BORNrati=.496 .
if (BORNcity='BRpaab')	BORNrati=.508 .
if (BORNcity='BRpaae')	BORNrati=.503 .
if (BORNcity='BRpaag')	BORNrati=.510 .
if (BORNcity='BRpaah')	BORNrati=.525 .
if (BORNcity='BRpbaa')	BORNrati=.528 .
if (BORNcity='BRpbab')	BORNrati=.509 .
if (BORNcity='BRpbac')	BORNrati=.533 .
if (BORNcity='BRpbad')	BORNrati=.527 .
if (BORNcity='BRpeaa')	BORNrati=.516 .
if (BORNcity='BRpeab')	BORNrati=.535 .
if (BORNcity='BRpeac')	BORNrati=.526 .
if (BORNcity='BRpeae')	BORNrati=.523 .
if (BORNcity='BRpeaf')	BORNrati=.514 .
if (BORNcity='BRpeag')	BORNrati=.522 .
if (BORNcity='BRpeah')	BORNrati=.532 .
if (BORNcity='BRpeai')	BORNrati=.527 .
if (BORNcity='BRpiaa')	BORNrati=.531 .
if (BORNcity='BRpiab')	BORNrati=.500 .
if (BORNcity='BRpraa')	BORNrati=.499 .
if (BORNcity='BRprab')	BORNrati=.513 .
if (BORNcity='BRprac')	BORNrati=.502 .
if (BORNcity='BRprad')	BORNrati=.520 .
if (BORNcity='BRprae')	BORNrati=.506 .
if (BORNcity='BRpraf')	BORNrati=.510 .
if (BORNcity='BRprag')	BORNrati=.517 .
if (BORNcity='BRprah')	BORNrati=.509 .
if (BORNcity='BRrjaa')	BORNrati=.508 .
if (BORNcity='BRrjab')	BORNrati=.517 .
if (BORNcity='BRrjac')	BORNrati=.514 .
if (BORNcity='BRrjad')	BORNrati=.518 .
if (BORNcity='BRrjaf')	BORNrati=.506 .
if (BORNcity='BRrjag')	BORNrati=.513 .
if (BORNcity='BRrjah')	BORNrati=.516 .
if (BORNcity='BRrjai')	BORNrati=.515 .
if (BORNcity='BRrjaj')	BORNrati=.518 .
if (BORNcity='BRrjak')	BORNrati=.516 .
if (BORNcity='BRrjal')	BORNrati=.534 .
if (BORNcity='BRrjam')	BORNrati=.528 .
if (BORNcity='BRrjan')	BORNrati=.531 .
if (BORNcity='BRrjap')	BORNrati=.511 .
if (BORNcity='BRrjaq')	BORNrati=.514 .
if (BORNcity='BRrjar')	BORNrati=.519 .
if (BORNcity='BRrnaa')	BORNrati=.531 .
if (BORNcity='BRrnab')	BORNrati=.519 .
if (BORNcity='BRroaa')	BORNrati=.502 .
if (BORNcity='BRrsaa')	BORNrati=.514 .
if (BORNcity='BRrsab')	BORNrati=.521 .
if (BORNcity='BRrsac')	BORNrati=.509 .
if (BORNcity='BRrsad')	BORNrati=.509 .
if (BORNcity='BRrsae')	BORNrati=.511 .
if (BORNcity='BRrsaf')	BORNrati=.511 .
if (BORNcity='BRrsag')	BORNrati=.506 .
if (BORNcity='BRrsah')	BORNrati=.524 .
if (BORNcity='BRrsai')	BORNrati=.515 .
if (BORNcity='BRrsaj')	BORNrati=.533 .
if (BORNcity='BRrsak')	BORNrati=.520 .
if (BORNcity='BRrsal')	BORNrati=.525 .
if (BORNcity='BRscaa')	BORNrati=.499 .
if (BORNcity='BRscab')	BORNrati=.508 .
if (BORNcity='BRscac')	BORNrati=.506 .
if (BORNcity='BRscad')	BORNrati=.509 .
if (BORNcity='BRscae')	BORNrati=.514 .
if (BORNcity='BRscaf')	BORNrati=.507 .
if (BORNcity='BRscag')	BORNrati=.510 .
if (BORNcity='BRscah')	BORNrati=.513 .
if (BORNcity='BRscai')	BORNrati=.516 .
if (BORNcity='BRscaj')	BORNrati=.521 .
if (BORNcity='BRspaa')	BORNrati=.519 .
if (BORNcity='BRspab')	BORNrati=.506 .
if (BORNcity='BRspac')	BORNrati=.508 .
if (BORNcity='BRspad')	BORNrati=.512 .
if (BORNcity='BRspae')	BORNrati=.499 .
if (BORNcity='BRspaf')	BORNrati=.511 .
if (BORNcity='BRspag')	BORNrati=.510 .
if (BORNcity='BRspah')	BORNrati=.506 .
if (BORNcity='BRspai')	BORNrati=.501 .
if (BORNcity='BRspaj')	BORNrati=.508 .
if (BORNcity='BRspak')	BORNrati=.501 .
if (BORNcity='BRspal')	BORNrati=.512 .
if (BORNcity='BRspam')	BORNrati=.507 .
if (BORNcity='BRspan')	BORNrati=.505 .
if (BORNcity='BRspao')	BORNrati=.538 .
if (BORNcity='BRspap')	BORNrati=.513 .
if (BORNcity='BRspaq')	BORNrati=.517 .
if (BORNcity='BRspar')	BORNrati=.533 .
if (BORNcity='BRspas')	BORNrati=.501 .
if (BORNcity='BRspat')	BORNrati=.515 .
if (BORNcity='BRspau')	BORNrati=.497 .
if (BORNcity='BRspav')	BORNrati=.516 .
if (BORNcity='BRspaw')	BORNrati=.506 .
if (BORNcity='BRspax')	BORNrati=.505 .
if (BORNcity='BRspay')	BORNrati=.502 .
if (BORNcity='BRspaz')	BORNrati=.518 .
if (BORNcity='BRspba')	BORNrati=.513 .
if (BORNcity='BRspbb')	BORNrati=.513 .
if (BORNcity='BRspbc')	BORNrati=.515 .
if (BORNcity='BRspbf')	BORNrati=.510 .
if (BORNcity='BRspbg')	BORNrati=.508 .
if (BORNcity='BRspbh')	BORNrati=.505 .
if (BORNcity='BRspbi')	BORNrati=.507 .
if (BORNcity='BRspbj')	BORNrati=.523 .
if (BORNcity='BRspbk')	BORNrati=.498 .
if (BORNcity='BRspbl')	BORNrati=.506 .
if (BORNcity='BRspbm')	BORNrati=.514 .
if (BORNcity='BRspbn')	BORNrati=.511 .
if (BORNcity='BRspbo')	BORNrati=.506 .
if (BORNcity='BRspbq')	BORNrati=.505 .
if (BORNcity='BRspbr')	BORNrati=.511 .
if (BORNcity='BRspbs')	BORNrati=.506 .
if (BORNcity='BRspbt')	BORNrati=.516 .
if (BORNcity='BRspbu')	BORNrati=.505 .
if (BORNcity='BRspbv')	BORNrati=.498 .
if (BORNcity='BRspbw')	BORNrati=.508 .
if (BORNcity='BRspbx')	BORNrati=.508 .
if (BORNcity='BRtoaa')	BORNrati=.512 .
if (BORNcity='EG   2') 	BORNrati=.489 .
if (BORNcity='EG  25') 	BORNrati=.470 .
if (BORNcity='EG  28') 	BORNrati=.491 .
if (BORNcity='EG  22') 	BORNrati=.493 .
if (BORNcity='EG   1') 	BORNrati=.487 .
if (BORNcity='EG  23') 	BORNrati=.484 .
if (BORNcity='EG  21') 	BORNrati=.487 .
if (BORNcity='EG  19') 	BORNrati=.494 .
if (BORNcity='EG  27') 	BORNrati=.491 .
if (BORNcity='EG  24') 	BORNrati=.487 .
if (BORNcity='EG   3') 	BORNrati=.487 .
if (BORNcity='EG  26') 	BORNrati=.496 .
if (BORNcity='EG   4') 	BORNrati=.487 .
if (BORNcity='ID1671')	BORNrati=.504 .
if (BORNcity='ID31  ')	BORNrati=.494 .
if (BORNcity='ID3273')	BORNrati=.497 .
if (BORNcity='ID3578')	BORNrati=.503 .
if (BORNcity='IMuprb')	BORNrati=.445 .
if (BORNcity='IN  tv')	BORNrati=.490 .
if (BORNcity='IN  tx')	BORNrati=.431 .
if (BORNcity='IN  ua')	BORNrati=.442 .
if (BORNcity='INapaa')	BORNrati=.494 .
if (BORNcity='INapab')	BORNrati=.492 .
if (BORNcity='INapac')	BORNrati=.494 .
if (BORNcity='INapad')	BORNrati=.498 .
if (BORNcity='INapae')	BORNrati=.513 .
if (BORNcity='INapaf')	BORNrati=.499 .
if (BORNcity='INapag')	BORNrati=.486 .
if (BORNcity='INapah')	BORNrati=.504 .
if (BORNcity='INapai')	BORNrati=.493 .
if (BORNcity='INapaj')	BORNrati=.502 .
if (BORNcity='INapak')	BORNrati=.495 .
if (BORNcity='INapal')	BORNrati=.493 .
if (BORNcity='INapam')	BORNrati=.498 .
if (BORNcity='INapan')	BORNrati=.496 .
if (BORNcity='INapao')	BORNrati=.494 .
if (BORNcity='INapap')	BORNrati=.500 .
if (BORNcity='INapaq')	BORNrati=.483 .
if (BORNcity='INapar')	BORNrati=.496 .
if (BORNcity='INapas')	BORNrati=.471 .
if (BORNcity='INapat')	BORNrati=.506 .
if (BORNcity='INapau')	BORNrati=.493 .
if (BORNcity='INapci')	BORNrati=.476 .
if (BORNcity='INbiba')	BORNrati=.460 .
if (BORNcity='INbibb')	BORNrati=.475 .
if (BORNcity='INbibc')	BORNrati=.463 .
if (BORNcity='INbibd')	BORNrati=.460 .
if (BORNcity='INbibe')	BORNrati=.463 .
if (BORNcity='INbibf')	BORNrati=.455 .
if (BORNcity='INbibg')	BORNrati=.468 .
if (BORNcity='INbibh')	BORNrati=.470 .
if (BORNcity='INbibi')	BORNrati=.474 .
if (BORNcity='INbibj')	BORNrati=.466 .
if (BORNcity='INbibk')	BORNrati=.463 .
if (BORNcity='INbibl')	BORNrati=.464 .
if (BORNcity='INbibm')	BORNrati=.455 .
if (BORNcity='INbibn')	BORNrati=.468 .
if (BORNcity='INdeva')	BORNrati=.452 .
if (BORNcity='INdevb')	BORNrati=.452 .
if (BORNcity='INguca')	BORNrati=.470 .
if (BORNcity='INgucb')	BORNrati=.484 .
if (BORNcity='INgucc')	BORNrati=.477 .
if (BORNcity='INgucd')	BORNrati=.475 .
if (BORNcity='INguce')	BORNrati=.485 .
if (BORNcity='INgucf')	BORNrati=.479 .
if (BORNcity='INgucg')	BORNrati=.479 .
if (BORNcity='INguch')	BORNrati=.487 .
if (BORNcity='INgucj')	BORNrati=.436 .
if (BORNcity='INguck')	BORNrati=.476 .
if (BORNcity='INhada')	BORNrati=.469 .
if (BORNcity='INhadb')	BORNrati=.459 .
if (BORNcity='INhadc')	BORNrati=.450 .
if (BORNcity='INhadd')	BORNrati=.454 .
if (BORNcity='INhade')	BORNrati=.467 .
if (BORNcity='INhadf')	BORNrati=.451 .
if (BORNcity='INhadg')	BORNrati=.462 .
if (BORNcity='INhadh')	BORNrati=.456 .
if (BORNcity='INhadi')	BORNrati=.463 .
if (BORNcity='INkaea')	BORNrati=.455 .
if (BORNcity='INkaeb')	BORNrati=.462 .
if (BORNcity='INkafa')	BORNrati=.478 .
if (BORNcity='INkafb')	BORNrati=.487 .
if (BORNcity='INkafc')	BORNrati=.486 .
if (BORNcity='INkafd')	BORNrati=.485 .
if (BORNcity='INkafe')	BORNrati=.484 .
if (BORNcity='INkaff')	BORNrati=.492 .
if (BORNcity='INkafg')	BORNrati=.480 .
if (BORNcity='INkafh')	BORNrati=.487 .
if (BORNcity='INkafj')	BORNrati=.498 .
if (BORNcity='INkafk')	BORNrati=.492 .
if (BORNcity='INkafl')	BORNrati=.486 .
if (BORNcity='INkafm')	BORNrati=.489 .
if (BORNcity='INkafn')	BORNrati=.480 .
if (BORNcity='INkegb')	BORNrati=.515 .
if (BORNcity='INkegc')	BORNrati=.505 .
if (BORNcity='INkegf')	BORNrati=.509 .
if (BORNcity='INmela')	BORNrati=.502 .
if (BORNcity='INmhia')	BORNrati=.474 .
if (BORNcity='INmhib')	BORNrati=.483 .
if (BORNcity='INmhic')	BORNrati=.484 .
if (BORNcity='INmhid')	BORNrati=.482 .
if (BORNcity='INmhie')	BORNrati=.483 .
if (BORNcity='INmhif')	BORNrati=.386 .
if (BORNcity='INmhig')	BORNrati=.501 .
if (BORNcity='INmhih')	BORNrati=.480 .
if (BORNcity='INmhij')	BORNrati=.492 .
if (BORNcity='INmhik')	BORNrati=.448 .
if (BORNcity='INmhil')	BORNrati=.472 .
if (BORNcity='INmhim')	BORNrati=.475 .
if (BORNcity='INmhin')	BORNrati=.483 .
if (BORNcity='INmhio')	BORNrati=.469 .
if (BORNcity='INmhip')	BORNrati=.481 .
if (BORNcity='INmhiq')	BORNrati=.478 .
if (BORNcity='INmhis')	BORNrati=.490 .
if (BORNcity='INmhit')	BORNrati=.484 .
if (BORNcity='INmhiu')	BORNrati=.462 .
if (BORNcity='INmhiv')	BORNrati=.478 .
if (BORNcity='INmhiw')	BORNrati=.460 .
if (BORNcity='INmhix')	BORNrati=.478 .
if (BORNcity='INmhiy')	BORNrati=.483 .
if (BORNcity='INmhja')	BORNrati=.490 .
if (BORNcity='INmhjb')	BORNrati=.465 .
if (BORNcity='INmhjc')	BORNrati=.468 .
if (BORNcity='INmnka')	BORNrati=.505 .
if (BORNcity='INmpha')	BORNrati=.477 .
if (BORNcity='INmphb')	BORNrati=.473 .
if (BORNcity='INmphc')	BORNrati=.482 .
if (BORNcity='INmphd')	BORNrati=.485 .
if (BORNcity='INmphe')	BORNrati=.486 .
if (BORNcity='INmphf')	BORNrati=.465 .
if (BORNcity='INmphg')	BORNrati=.474 .
if (BORNcity='INmphh')	BORNrati=.478 .
if (BORNcity='INmphi')	BORNrati=.483 .
if (BORNcity='INmphj')	BORNrati=.480 .
if (BORNcity='INmphk')	BORNrati=.485 .
if (BORNcity='INmphl')	BORNrati=.463 .
if (BORNcity='INmphm')	BORNrati=.473 .
if (BORNcity='INmphn')	BORNrati=.480 .
if (BORNcity='INorma')	BORNrati=.443 .
if (BORNcity='INormb')	BORNrati=.482 .
if (BORNcity='INormc')	BORNrati=.465 .
if (BORNcity='INormd')	BORNrati=.478 .
if (BORNcity='INorme')	BORNrati=.461 .
if (BORNcity='INormf')	BORNrati=.482 .
if (BORNcity='INpowa')	BORNrati=.504 .
if (BORNcity='INpuna')	BORNrati=.463 .
if (BORNcity='INpunb')	BORNrati=.460 .
if (BORNcity='INpunc')	BORNrati=.471 .
if (BORNcity='INpund')	BORNrati=.462 .
if (BORNcity='INpune')	BORNrati=.434 .
if (BORNcity='INpunf')	BORNrati=.464 .
if (BORNcity='INpung')	BORNrati=.452 .
if (BORNcity='INraoa')	BORNrati=.477 .
if (BORNcity='INraob')	BORNrati=.465 .
if (BORNcity='INraoc')	BORNrati=.463 .
if (BORNcity='INraod')	BORNrati=.469 .
if (BORNcity='INraoe')	BORNrati=.466 .
if (BORNcity='INraof')	BORNrati=.452 .
if (BORNcity='INraog')	BORNrati=.467 .
if (BORNcity='INraoh')	BORNrati=.467 .
if (BORNcity='INraoi')	BORNrati=.468 .
if (BORNcity='INraoj')	BORNrati=.479 .
if (BORNcity='INraok')	BORNrati=.473 .
if (BORNcity='INtnpa')	BORNrati=.484 .
if (BORNcity='INtnpb')	BORNrati=.484 .
if (BORNcity='INtnpc')	BORNrati=.484 .
if (BORNcity='INtnpd')	BORNrati=.495 .
if (BORNcity='INtnpe')	BORNrati=.497 .
if (BORNcity='INtnpf')	BORNrati=.492 .
if (BORNcity='INtnpg')	BORNrati=.496 .
if (BORNcity='INtnph')	BORNrati=.503 .
if (BORNcity='INtnpi')	BORNrati=.487 .
if (BORNcity='INtnpj')	BORNrati=.494 .
if (BORNcity='INtnpk')	BORNrati=.505 .
if (BORNcity='INtnpl')	BORNrati=.499 .
if (BORNcity='INtnpm')	BORNrati=.491 .
if (BORNcity='INtnpn')	BORNrati=.486 .
if (BORNcity='INtnpo')	BORNrati=.499 .
if (BORNcity='INtnpp')	BORNrati=.506 .
if (BORNcity='INtnpq')	BORNrati=.501 .
if (BORNcity='INtnpr')	BORNrati=.479 .
if (BORNcity='INtnps')	BORNrati=.504 .
if (BORNcity='INtnpu')	BORNrati=.504 .
if (BORNcity='INupra')	BORNrati=.464 .
if (BORNcity='INuprc')	BORNrati=.465 .
if (BORNcity='INuprd')	BORNrati=.473 .
if (BORNcity='INupre')	BORNrati=.474 .
if (BORNcity='INuprf')	BORNrati=.472 .
if (BORNcity='INuprg')	BORNrati=.471 .
if (BORNcity='INuprh')	BORNrati=.466 .
if (BORNcity='INupri')	BORNrati=.469 .
if (BORNcity='INuprj')	BORNrati=.470 .
if (BORNcity='INuprk')	BORNrati=.475 .
if (BORNcity='INuprl')	BORNrati=.471 .
if (BORNcity='INuprm')	BORNrati=.462 .
if (BORNcity='INuprn')	BORNrati=.459 .
if (BORNcity='INupro')	BORNrati=.467 .
if (BORNcity='INuprp')	BORNrati=.470 .
if (BORNcity='INuprq')	BORNrati=.474 .
if (BORNcity='INuprr')	BORNrati=.465 .
if (BORNcity='INuprs')	BORNrati=.472 .
if (BORNcity='INuprt')	BORNrati=.467 .
if (BORNcity='INupru')	BORNrati=.468 .
if (BORNcity='INuprv')	BORNrati=.465 .
if (BORNcity='INuprw')	BORNrati=.469 .
if (BORNcity='INuprx')	BORNrati=.472 .
if (BORNcity='INupry')	BORNrati=.479 .
if (BORNcity='INuprz')	BORNrati=.471 .
if (BORNcity='INupsa')	BORNrati=.454 .
if (BORNcity='INupsb')	BORNrati=.468 .
if (BORNcity='INupsc')	BORNrati=.475 .
if (BORNcity='INupsd')	BORNrati=.469 .
if (BORNcity='INwbta')	BORNrati=.472 .
if (BORNcity='INwbtb')	BORNrati=.427 .
if (BORNcity='INwbtc')	BORNrati=.492 .
if (BORNcity='INwbtd')	BORNrati=.470 .
if (BORNcity='INwbte')	BORNrati=.479 .
if (BORNcity='INwbtf')	BORNrati=.472 .
if (BORNcity='INwbtg')	BORNrati=.450 .
if (BORNcity='INwbth')	BORNrati=.453 .
if (BORNcity='INwbti')	BORNrati=.481 .
if (BORNcity='INwbtj')	BORNrati=.466 .
if (BORNcity='INwbtl')	BORNrati=.457 .
if (BORNcity='INwbtm')	BORNrati=.490 .
if (BORNcity='INwbto')	BORNrati=.464 .
if (BORNcity='INwbtp')	BORNrati=.483 .
if (BORNcity='INwbtq')	BORNrati=.493 .
if (BORNcity='INwbtr')	BORNrati=.472 .
if (BORNcity='INwbts')	BORNrati=.483 .
if (BORNcity='INwbtt')	BORNrati=.466 .
if (BORNcity='INwbtu')	BORNrati=.469 .
if (BORNcity='SPspbd')	BORNrati=.510 .
if (BORNcity='SPspbe')	BORNrati=.504 .
if (BORNcity='ZAgapr')	BORNrati=.508 .
*.
if (LIVEcity='BRacaa')		LIVErati=.513 .
if (LIVEcity='BRalaa')		LIVErati=.522 .
if (LIVEcity='BRalab')		LIVErati=.532 .
if (LIVEcity='BRalac')		LIVErati=.528 .
if (LIVEcity='BRamaa')		LIVErati=.512 .
if (LIVEcity='BRamab')		LIVErati=.509 .
if (LIVEcity='BRapaa')		LIVErati=.508 .
if (LIVEcity='BRbaaa')		LIVErati=.505 .
if (LIVEcity='BRbaab')		LIVErati=.523 .
if (LIVEcity='BRbaad')		LIVErati=.520 .
if (LIVEcity='BRbaae')		LIVErati=.514 .
if (LIVEcity='BRbaaf')		LIVErati=.503 .
if (LIVEcity='BRbaag')		LIVErati=.522 .
if (LIVEcity='BRbaah')		LIVErati=.512 .
if (LIVEcity='BRbaai')		LIVErati=.529 .
if (LIVEcity='BRbaaj')		LIVErati=.512 .
if (LIVEcity='BRbaak')		LIVErati=.499 .
if (LIVEcity='BRceaa')		LIVErati=.532 .
if (LIVEcity='BRceab')		LIVErati=.508 .
if (LIVEcity='BRceac')		LIVErati=.512 .
if (LIVEcity='BRcead')		LIVErati=.515 .
if (LIVEcity='BRdfaa')		LIVErati=.522 .
if (LIVEcity='BResaa')		LIVErati=.520 .
if (LIVEcity='BResab')		LIVErati=.507 .
if (LIVEcity='BResac')		LIVErati=.502 .
if (LIVEcity='BResad')		LIVErati=.528 .
if (LIVEcity='BResae')		LIVErati=.508 .
if (LIVEcity='BResaf')		LIVErati=.510 .
if (LIVEcity='BResag')		LIVErati=.510 .
if (LIVEcity='BRgoaa')		LIVErati=.523 .
if (LIVEcity='BRgoab')		LIVErati=.512 .
if (LIVEcity='BRgoac')		LIVErati=.498 .
if (LIVEcity='BRgoad')		LIVErati=.498 .
if (LIVEcity='BRjrao')		LIVErati=.518 .
if (LIVEcity='BRmaaa')		LIVErati=.514 .
if (LIVEcity='BRmaac')		LIVErati=.525 .
if (LIVEcity='BRmaae')		LIVErati=.533 .
if (LIVEcity='BRmaaf')		LIVErati=.510 .
if (LIVEcity='BRmaag')		LIVErati=.519 .
if (LIVEcity='BRmaah')		LIVErati=.516 .
if (LIVEcity='BRmaai')		LIVErati=.514 .
if (LIVEcity='BRmgaa')		LIVErati=.510 .
if (LIVEcity='BRmgab')		LIVErati=.521 .
if (LIVEcity='BRmgac')		LIVErati=.520 .
if (LIVEcity='BRmgad')		LIVErati=.502 .
if (LIVEcity='BRmgae')		LIVErati=.510 .
if (LIVEcity='BRmgaf')		LIVErati=.514 .
if (LIVEcity='BRmgag')		LIVErati=.524 .
if (LIVEcity='BRmgah')		LIVErati=.506 .
if (LIVEcity='BRmgal')		LIVErati=.521 .
if (LIVEcity='BRmgam')		LIVErati=.515 .
if (LIVEcity='BRmgan')		LIVErati=.516 .
if (LIVEcity='BRmgao')		LIVErati=.511 .
if (LIVEcity='BRmgap')		LIVErati=.500 .
if (LIVEcity='BRmgaq')		LIVErati=.528 .
if (LIVEcity='BRmgar')		LIVErati=.501 .
if (LIVEcity='BRmsaa')		LIVErati=.514 .
if (LIVEcity='BRmsab')		LIVErati=.509 .
if (LIVEcity='BRmtab')		LIVErati=.499 .
if (LIVEcity='BRmtac')		LIVErati=.513 .
if (LIVEcity='BRpaaa')		LIVErati=.496 .
if (LIVEcity='BRpaab')		LIVErati=.508 .
if (LIVEcity='BRpaae')		LIVErati=.503 .
if (LIVEcity='BRpaag')		LIVErati=.510 .
if (LIVEcity='BRpaah')		LIVErati=.525 .
if (LIVEcity='BRpbaa')		LIVErati=.528 .
if (LIVEcity='BRpbab')		LIVErati=.509 .
if (LIVEcity='BRpbac')		LIVErati=.533 .
if (LIVEcity='BRpbad')		LIVErati=.527 .
if (LIVEcity='BRpeaa')		LIVErati=.516 .
if (LIVEcity='BRpeab')		LIVErati=.535 .
if (LIVEcity='BRpeac')		LIVErati=.526 .
if (LIVEcity='BRpeae')		LIVErati=.523 .
if (LIVEcity='BRpeaf')		LIVErati=.514 .
if (LIVEcity='BRpeag')		LIVErati=.522 .
if (LIVEcity='BRpeah')		LIVErati=.532 .
if (LIVEcity='BRpeai')		LIVErati=.527 .
if (LIVEcity='BRpiaa')		LIVErati=.531 .
if (LIVEcity='BRpiab')		LIVErati=.500 .
if (LIVEcity='BRpraa')		LIVErati=.499 .
if (LIVEcity='BRprab')		LIVErati=.513 .
if (LIVEcity='BRprac')		LIVErati=.502 .
if (LIVEcity='BRprad')		LIVErati=.520 .
if (LIVEcity='BRprae')		LIVErati=.506 .
if (LIVEcity='BRpraf')		LIVErati=.510 .
if (LIVEcity='BRprag')		LIVErati=.517 .
if (LIVEcity='BRprah')		LIVErati=.509 .
if (LIVEcity='BRrjaa')		LIVErati=.508 .
if (LIVEcity='BRrjab')		LIVErati=.517 .
if (LIVEcity='BRrjac')		LIVErati=.514 .
if (LIVEcity='BRrjad')		LIVErati=.518 .
if (LIVEcity='BRrjaf')		LIVErati=.506 .
if (LIVEcity='BRrjag')		LIVErati=.513 .
if (LIVEcity='BRrjah')		LIVErati=.516 .
if (LIVEcity='BRrjai')		LIVErati=.515 .
if (LIVEcity='BRrjaj')		LIVErati=.518 .
if (LIVEcity='BRrjak')		LIVErati=.516 .
if (LIVEcity='BRrjal')		LIVErati=.534 .
if (LIVEcity='BRrjam')		LIVErati=.528 .
if (LIVEcity='BRrjan')		LIVErati=.531 .
if (LIVEcity='BRrjap')		LIVErati=.511 .
if (LIVEcity='BRrjaq')		LIVErati=.514 .
if (LIVEcity='BRrjar')		LIVErati=.519 .
if (LIVEcity='BRrnaa')		LIVErati=.531 .
if (LIVEcity='BRrnab')		LIVErati=.519 .
if (LIVEcity='BRroaa')		LIVErati=.502 .
if (LIVEcity='BRrsaa')		LIVErati=.514 .
if (LIVEcity='BRrsab')		LIVErati=.521 .
if (LIVEcity='BRrsac')		LIVErati=.509 .
if (LIVEcity='BRrsad')		LIVErati=.509 .
if (LIVEcity='BRrsae')		LIVErati=.511 .
if (LIVEcity='BRrsaf')		LIVErati=.511 .
if (LIVEcity='BRrsag')		LIVErati=.506 .
if (LIVEcity='BRrsah')		LIVErati=.524 .
if (LIVEcity='BRrsai')		LIVErati=.515 .
if (LIVEcity='BRrsaj')		LIVErati=.533 .
if (LIVEcity='BRrsak')		LIVErati=.520 .
if (LIVEcity='BRrsal')		LIVErati=.525 .
if (LIVEcity='BRscaa')		LIVErati=.499 .
if (LIVEcity='BRscab')		LIVErati=.508 .
if (LIVEcity='BRscac')		LIVErati=.506 .
if (LIVEcity='BRscad')		LIVErati=.509 .
if (LIVEcity='BRscae')		LIVErati=.514 .
if (LIVEcity='BRscaf')		LIVErati=.507 .
if (LIVEcity='BRscag')		LIVErati=.510 .
if (LIVEcity='BRscah')		LIVErati=.513 .
if (LIVEcity='BRscai')		LIVErati=.516 .
if (LIVEcity='BRscaj')		LIVErati=.521 .
if (LIVEcity='BRspaa')		LIVErati=.519 .
if (LIVEcity='BRspab')		LIVErati=.506 .
if (LIVEcity='BRspac')		LIVErati=.508 .
if (LIVEcity='BRspad')		LIVErati=.512 .
if (LIVEcity='BRspae')		LIVErati=.499 .
if (LIVEcity='BRspaf')		LIVErati=.511 .
if (LIVEcity='BRspag')		LIVErati=.510 .
if (LIVEcity='BRspah')		LIVErati=.506 .
if (LIVEcity='BRspai')		LIVErati=.501 .
if (LIVEcity='BRspaj')		LIVErati=.508 .
if (LIVEcity='BRspak')		LIVErati=.501 .
if (LIVEcity='BRspal')		LIVErati=.512 .
if (LIVEcity='BRspam')		LIVErati=.507 .
if (LIVEcity='BRspan')		LIVErati=.505 .
if (LIVEcity='BRspao')		LIVErati=.538 .
if (LIVEcity='BRspap')		LIVErati=.513 .
if (LIVEcity='BRspaq')		LIVErati=.517 .
if (LIVEcity='BRspar')		LIVErati=.533 .
if (LIVEcity='BRspas')		LIVErati=.501 .
if (LIVEcity='BRspat')		LIVErati=.515 .
if (LIVEcity='BRspau')		LIVErati=.497 .
if (LIVEcity='BRspav')		LIVErati=.516 .
if (LIVEcity='BRspaw')		LIVErati=.506 .
if (LIVEcity='BRspax')		LIVErati=.505 .
if (LIVEcity='BRspay')		LIVErati=.502 .
if (LIVEcity='BRspaz')		LIVErati=.518 .
if (LIVEcity='BRspba')		LIVErati=.513 .
if (LIVEcity='BRspbb')		LIVErati=.513 .
if (LIVEcity='BRspbc')		LIVErati=.515 .
if (LIVEcity='BRspbf')		LIVErati=.510 .
if (LIVEcity='BRspbg')		LIVErati=.508 .
if (LIVEcity='BRspbh')		LIVErati=.505 .
if (LIVEcity='BRspbi')		LIVErati=.507 .
if (LIVEcity='BRspbj')		LIVErati=.523 .
if (LIVEcity='BRspbk')		LIVErati=.498 .
if (LIVEcity='BRspbl')		LIVErati=.506 .
if (LIVEcity='BRspbm')		LIVErati=.514 .
if (LIVEcity='BRspbn')		LIVErati=.511 .
if (LIVEcity='BRspbo')		LIVErati=.506 .
if (LIVEcity='BRspbq')		LIVErati=.505 .
if (LIVEcity='BRspbr')		LIVErati=.511 .
if (LIVEcity='BRspbs')		LIVErati=.506 .
if (LIVEcity='BRspbt')		LIVErati=.516 .
if (LIVEcity='BRspbu')		LIVErati=.505 .
if (LIVEcity='BRspbv')		LIVErati=.498 .
if (LIVEcity='BRspbw')		LIVErati=.508 .
if (LIVEcity='BRspbx')		LIVErati=.508 .
if (LIVEcity='BRtoaa')		LIVErati=.512 .
if (LIVEcity='EG   2') 		LIVErati=.489 .
if (LIVEcity='EG  25') 		LIVErati=.470 .
if (LIVEcity='EG  28') 		LIVErati=.491 .
if (LIVEcity='EG  22') 		LIVErati=.493 .
if (LIVEcity='EG   1') 		LIVErati=.487 .
if (LIVEcity='EG  23') 		LIVErati=.484 .
if (LIVEcity='EG  21') 		LIVErati=.487 .
if (LIVEcity='EG  19') 		LIVErati=.494 .
if (LIVEcity='EG  27') 		LIVErati=.491 .
if (LIVEcity='EG  24') 		LIVErati=.487 .
if (LIVEcity='EG   3') 		LIVErati=.487 .
if (LIVEcity='EG  26') 		LIVErati=.496 .
if (LIVEcity='EG   4') 		LIVErati=.487 .
if (LIVEcity='ID1671')		LIVErati=.504 .
if (LIVEcity='ID31  ')		LIVErati=.494 .
if (LIVEcity='ID3273')		LIVErati=.497 .
if (LIVEcity='ID3578')		LIVErati=.503 .
if (LIVEcity='IMuprb')		LIVErati=.445 .
if (LIVEcity='IN  tv')		LIVErati=.490 .
if (LIVEcity='IN  tx')		LIVErati=.431 .
if (LIVEcity='IN  ua')		LIVErati=.442 .
if (LIVEcity='INapaa')		LIVErati=.494 .
if (LIVEcity='INapab')		LIVErati=.492 .
if (LIVEcity='INapac')		LIVErati=.494 .
if (LIVEcity='INapad')		LIVErati=.498 .
if (LIVEcity='INapae')		LIVErati=.513 .
if (LIVEcity='INapaf')		LIVErati=.499 .
if (LIVEcity='INapag')		LIVErati=.486 .
if (LIVEcity='INapah')		LIVErati=.504 .
if (LIVEcity='INapai')		LIVErati=.493 .
if (LIVEcity='INapaj')		LIVErati=.502 .
if (LIVEcity='INapak')		LIVErati=.495 .
if (LIVEcity='INapal')		LIVErati=.493 .
if (LIVEcity='INapam')		LIVErati=.498 .
if (LIVEcity='INapan')		LIVErati=.496 .
if (LIVEcity='INapao')		LIVErati=.494 .
if (LIVEcity='INapap')		LIVErati=.500 .
if (LIVEcity='INapaq')		LIVErati=.483 .
if (LIVEcity='INapar')		LIVErati=.496 .
if (LIVEcity='INapas')		LIVErati=.471 .
if (LIVEcity='INapat')		LIVErati=.506 .
if (LIVEcity='INapau')		LIVErati=.493 .
if (LIVEcity='INapci')		LIVErati=.476 .
if (LIVEcity='INbiba')		LIVErati=.460 .
if (LIVEcity='INbibb')		LIVErati=.475 .
if (LIVEcity='INbibc')		LIVErati=.463 .
if (LIVEcity='INbibd')		LIVErati=.460 .
if (LIVEcity='INbibe')		LIVErati=.463 .
if (LIVEcity='INbibf')		LIVErati=.455 .
if (LIVEcity='INbibg')		LIVErati=.468 .
if (LIVEcity='INbibh')		LIVErati=.470 .
if (LIVEcity='INbibi')		LIVErati=.474 .
if (LIVEcity='INbibj')		LIVErati=.466 .
if (LIVEcity='INbibk')		LIVErati=.463 .
if (LIVEcity='INbibl')		LIVErati=.464 .
if (LIVEcity='INbibm')		LIVErati=.455 .
if (LIVEcity='INbibn')		LIVErati=.468 .
if (LIVEcity='INdeva')		LIVErati=.452 .
if (LIVEcity='INdevb')		LIVErati=.452 .
if (LIVEcity='INguca')		LIVErati=.470 .
if (LIVEcity='INgucb')		LIVErati=.484 .
if (LIVEcity='INgucc')		LIVErati=.477 .
if (LIVEcity='INgucd')		LIVErati=.475 .
if (LIVEcity='INguce')		LIVErati=.485 .
if (LIVEcity='INgucf')		LIVErati=.479 .
if (LIVEcity='INgucg')		LIVErati=.479 .
if (LIVEcity='INguch')		LIVErati=.487 .
if (LIVEcity='INgucj')		LIVErati=.436 .
if (LIVEcity='INguck')		LIVErati=.476 .
if (LIVEcity='INhada')		LIVErati=.469 .
if (LIVEcity='INhadb')		LIVErati=.459 .
if (LIVEcity='INhadc')		LIVErati=.450 .
if (LIVEcity='INhadd')		LIVErati=.454 .
if (LIVEcity='INhade')		LIVErati=.467 .
if (LIVEcity='INhadf')		LIVErati=.451 .
if (LIVEcity='INhadg')		LIVErati=.462 .
if (LIVEcity='INhadh')		LIVErati=.456 .
if (LIVEcity='INhadi')		LIVErati=.463 .
if (LIVEcity='INkaea')		LIVErati=.455 .
if (LIVEcity='INkaeb')		LIVErati=.462 .
if (LIVEcity='INkafa')		LIVErati=.478 .
if (LIVEcity='INkafb')		LIVErati=.487 .
if (LIVEcity='INkafc')		LIVErati=.486 .
if (LIVEcity='INkafd')		LIVErati=.485 .
if (LIVEcity='INkafe')		LIVErati=.484 .
if (LIVEcity='INkaff')		LIVErati=.492 .
if (LIVEcity='INkafg')		LIVErati=.480 .
if (LIVEcity='INkafh')		LIVErati=.487 .
if (LIVEcity='INkafj')		LIVErati=.498 .
if (LIVEcity='INkafk')		LIVErati=.492 .
if (LIVEcity='INkafl')		LIVErati=.486 .
if (LIVEcity='INkafm')		LIVErati=.489 .
if (LIVEcity='INkafn')		LIVErati=.480 .
if (LIVEcity='INkegb')		LIVErati=.515 .
if (LIVEcity='INkegc')		LIVErati=.505 .
if (LIVEcity='INkegf')		LIVErati=.509 .
if (LIVEcity='INmela')		LIVErati=.502 .
if (LIVEcity='INmhia')		LIVErati=.474 .
if (LIVEcity='INmhib')		LIVErati=.483 .
if (LIVEcity='INmhic')		LIVErati=.484 .
if (LIVEcity='INmhid')		LIVErati=.482 .
if (LIVEcity='INmhie')		LIVErati=.483 .
if (LIVEcity='INmhif')		LIVErati=.386 .
if (LIVEcity='INmhig')		LIVErati=.501 .
if (LIVEcity='INmhih')		LIVErati=.480 .
if (LIVEcity='INmhij')		LIVErati=.492 .
if (LIVEcity='INmhik')		LIVErati=.448 .
if (LIVEcity='INmhil')		LIVErati=.472 .
if (LIVEcity='INmhim')		LIVErati=.475 .
if (LIVEcity='INmhin')		LIVErati=.483 .
if (LIVEcity='INmhio')		LIVErati=.469 .
if (LIVEcity='INmhip')		LIVErati=.481 .
if (LIVEcity='INmhiq')		LIVErati=.478 .
if (LIVEcity='INmhis')		LIVErati=.490 .
if (LIVEcity='INmhit')		LIVErati=.484 .
if (LIVEcity='INmhiu')		LIVErati=.462 .
if (LIVEcity='INmhiv')		LIVErati=.478 .
if (LIVEcity='INmhiw')		LIVErati=.460 .
if (LIVEcity='INmhix')		LIVErati=.478 .
if (LIVEcity='INmhiy')		LIVErati=.483 .
if (LIVEcity='INmhja')		LIVErati=.490 .
if (LIVEcity='INmhjb')		LIVErati=.465 .
if (LIVEcity='INmhjc')		LIVErati=.468 .
if (LIVEcity='INmnka')		LIVErati=.505 .
if (LIVEcity='INmpha')		LIVErati=.477 .
if (LIVEcity='INmphb')		LIVErati=.473 .
if (LIVEcity='INmphc')		LIVErati=.482 .
if (LIVEcity='INmphd')		LIVErati=.485 .
if (LIVEcity='INmphe')		LIVErati=.486 .
if (LIVEcity='INmphf')		LIVErati=.465 .
if (LIVEcity='INmphg')		LIVErati=.474 .
if (LIVEcity='INmphh')		LIVErati=.478 .
if (LIVEcity='INmphi')		LIVErati=.483 .
if (LIVEcity='INmphj')		LIVErati=.480 .
if (LIVEcity='INmphk')		LIVErati=.485 .
if (LIVEcity='INmphl')		LIVErati=.463 .
if (LIVEcity='INmphm')		LIVErati=.473 .
if (LIVEcity='INmphn')		LIVErati=.480 .
if (LIVEcity='INorma')		LIVErati=.443 .
if (LIVEcity='INormb')		LIVErati=.482 .
if (LIVEcity='INormc')		LIVErati=.465 .
if (LIVEcity='INormd')		LIVErati=.478 .
if (LIVEcity='INorme')		LIVErati=.461 .
if (LIVEcity='INormf')		LIVErati=.482 .
if (LIVEcity='INpowa')		LIVErati=.504 .
if (LIVEcity='INpuna')		LIVErati=.463 .
if (LIVEcity='INpunb')		LIVErati=.460 .
if (LIVEcity='INpunc')		LIVErati=.471 .
if (LIVEcity='INpund')		LIVErati=.462 .
if (LIVEcity='INpune')		LIVErati=.434 .
if (LIVEcity='INpunf')		LIVErati=.464 .
if (LIVEcity='INpung')		LIVErati=.452 .
if (LIVEcity='INraoa')		LIVErati=.477 .
if (LIVEcity='INraob')		LIVErati=.465 .
if (LIVEcity='INraoc')		LIVErati=.463 .
if (LIVEcity='INraod')		LIVErati=.469 .
if (LIVEcity='INraoe')		LIVErati=.466 .
if (LIVEcity='INraof')		LIVErati=.452 .
if (LIVEcity='INraog')		LIVErati=.467 .
if (LIVEcity='INraoh')		LIVErati=.467 .
if (LIVEcity='INraoi')		LIVErati=.468 .
if (LIVEcity='INraoj')		LIVErati=.479 .
if (LIVEcity='INraok')		LIVErati=.473 .
if (LIVEcity='INtnpa')		LIVErati=.484 .
if (LIVEcity='INtnpb')		LIVErati=.484 .
if (LIVEcity='INtnpc')		LIVErati=.484 .
if (LIVEcity='INtnpd')		LIVErati=.495 .
if (LIVEcity='INtnpe')		LIVErati=.497 .
if (LIVEcity='INtnpf')		LIVErati=.492 .
if (LIVEcity='INtnpg')		LIVErati=.496 .
if (LIVEcity='INtnph')		LIVErati=.503 .
if (LIVEcity='INtnpi')		LIVErati=.487 .
if (LIVEcity='INtnpj')		LIVErati=.494 .
if (LIVEcity='INtnpk')		LIVErati=.505 .
if (LIVEcity='INtnpl')		LIVErati=.499 .
if (LIVEcity='INtnpm')		LIVErati=.491 .
if (LIVEcity='INtnpn')		LIVErati=.486 .
if (LIVEcity='INtnpo')		LIVErati=.499 .
if (LIVEcity='INtnpp')		LIVErati=.506 .
if (LIVEcity='INtnpq')		LIVErati=.501 .
if (LIVEcity='INtnpr')		LIVErati=.479 .
if (LIVEcity='INtnps')		LIVErati=.504 .
if (LIVEcity='INtnpu')		LIVErati=.504 .
if (LIVEcity='INupra')		LIVErati=.464 .
if (LIVEcity='INuprc')		LIVErati=.465 .
if (LIVEcity='INuprd')		LIVErati=.473 .
if (LIVEcity='INupre')		LIVErati=.474 .
if (LIVEcity='INuprf')		LIVErati=.472 .
if (LIVEcity='INuprg')		LIVErati=.471 .
if (LIVEcity='INuprh')		LIVErati=.466 .
if (LIVEcity='INupri')		LIVErati=.469 .
if (LIVEcity='INuprj')		LIVErati=.470 .
if (LIVEcity='INuprk')		LIVErati=.475 .
if (LIVEcity='INuprl')		LIVErati=.471 .
if (LIVEcity='INuprm')		LIVErati=.462 .
if (LIVEcity='INuprn')		LIVErati=.459 .
if (LIVEcity='INupro')		LIVErati=.467 .
if (LIVEcity='INuprp')		LIVErati=.470 .
if (LIVEcity='INuprq')		LIVErati=.474 .
if (LIVEcity='INuprr')		LIVErati=.465 .
if (LIVEcity='INuprs')		LIVErati=.472 .
if (LIVEcity='INuprt')		LIVErati=.467 .
if (LIVEcity='INupru')		LIVErati=.468 .
if (LIVEcity='INuprv')		LIVErati=.465 .
if (LIVEcity='INuprw')		LIVErati=.469 .
if (LIVEcity='INuprx')		LIVErati=.472 .
if (LIVEcity='INupry')		LIVErati=.479 .
if (LIVEcity='INuprz')		LIVErati=.471 .
if (LIVEcity='INupsa')		LIVErati=.454 .
if (LIVEcity='INupsb')		LIVErati=.468 .
if (LIVEcity='INupsc')		LIVErati=.475 .
if (LIVEcity='INupsd')		LIVErati=.469 .
if (LIVEcity='INwbta')		LIVErati=.472 .
if (LIVEcity='INwbtb')		LIVErati=.427 .
if (LIVEcity='INwbtc')		LIVErati=.492 .
if (LIVEcity='INwbtd')		LIVErati=.470 .
if (LIVEcity='INwbte')		LIVErati=.479 .
if (LIVEcity='INwbtf')		LIVErati=.472 .
if (LIVEcity='INwbtg')		LIVErati=.450 .
if (LIVEcity='INwbth')		LIVErati=.453 .
if (LIVEcity='INwbti')		LIVErati=.481 .
if (LIVEcity='INwbtj')		LIVErati=.466 .
if (LIVEcity='INwbtl')		LIVErati=.457 .
if (LIVEcity='INwbtm')		LIVErati=.490 .
if (LIVEcity='INwbto')		LIVErati=.464 .
if (LIVEcity='INwbtp')		LIVErati=.483 .
if (LIVEcity='INwbtq')		LIVErati=.493 .
if (LIVEcity='INwbtr')		LIVErati=.472 .
if (LIVEcity='INwbts')		LIVErati=.483 .
if (LIVEcity='INwbtt')		LIVErati=.466 .
if (LIVEcity='INwbtu')		LIVErati=.469 .
if (LIVEcity='SPspbd')		LIVErati=.510 .
if (LIVEcity='SPspbe')		LIVErati=.504 .
if (LIVEcity='ZAgapr')		LIVErati=.508 .
var label			BORNrati	"Respondent's birthplace:  female fraction of population".
var label			LIVErati		  "City of interview:  female fraction of population".

if (BORNpopn >0 & 	BORNarea >0)		BORNdnst	=   BORNpopn	  / 	BORNarea.
if (  LIVEpopn >0 & 	 LIVEarea  >0)		  LIVEdnst	=     LIVEpopn	  / 	  LIVEarea.
var label					BORNdnst	        "Birthplace:  population density (people/Km2)".
var label					  LIVEdnst	"City of interview: population density (people/Km2)".

compute										BORNtemp	         =	BORNpopn.
compute											      LIVEtemp =	  LIVEpopn.
recode											BORNtemp, LIVEtemp	      (            0			= 5)
														      (      1000	thru      10000	= 4)
														      (    10000	thru    100000	= 3)
														      (  100000	thru  1000000	= 2)
														      (1000000	thru    highest	= 1)(else= -9).
* Above line defines population of 100,000+ as city; 10,000+ as large town (this definition is arbitrary).
if  (INT_year<>2000  & 	INT_year<2003)							    LIVEtemp=1.
if  (INT_year = 2004  &	  LIVEtemp< 0)	  						    LIVEtemp=4. /*KE should include rural; but they're town/city if(LIVEpopn>0).
*if (			  LIVEtemp>-1)						LIVEurbn=LIVEtemp.
if  (not(LIVEctry='ZA' or LIVEctry='NG' or LIVEctry='TD' or LIVEctry='EG' or LIVEctry='CM')) 	LIVEurbn=LIVEtemp.
if  (			BORNtemp>-1)				BORNurbn		=BORNtemp.
var label			    				BORNurbn			'birthplace of respondent: urban or rural'.
var label									LIVEurbn		      'home of respondent: urban or rural'.
val label						    		BORNurbn, 	LIVEurbn
									1"city: popn over a million" 2"city" 3"large town or peri-urban" 4"small town" 5"village" 6"rural".
*cros										LIVEurbn by survey.

if (LIVEurbn>4)	LIVEcity =  '     0'.									/* If respondent lives in a rural area, reset LIVEcity.
*cros		LIVEcity  by survey.


compute						MIGRANT = -9.
if (BORNctry <>'  '	&  BORNctry  =	LIVEctry)	MIGRANT =  2.
if (BORNcnty<>'  '	&  BORNcnty =	LIVEcnty)	MIGRANT =  1.
if (BORNcity <>'  '	&  BORNcity  =	LIVEcity )	MIGRANT =  0.
if (BORNcity <>'  '	&  BORNcity <>	LIVEcity )	MIGRANT =  3.
if (BORNcnty<>'  '	&  BORNcnty<>	LIVEcnty)	MIGRANT =  4.
if (BORNctry <>'  '	&  BORNctry <>	LIVEctry )	MIGRANT =  5.
var label 						MIGRANT "Was respondent born in this city/country?".
val label 						MIGRANT 0"lives in city of birth" 
	1"in birth state,city unknown"	2"in birth country,state unknown"
	3"lives outside city of birth"	4"lives outside state of birth" 5"lives outside birth country".
*cros							MIGRANT by survey.


* BORNzone divides India into linguistic regions: the list of 14 `Principal languages' is from Stern (1993),
* 'Changing India', p.19.  I simplify the 14 groups into 5, using the scheme in Khanna & Varghese (1978),
* 'Indian Women Today', p.6.  You may prefer to develop your own system (e.g. divide India into North & South).
* Group 6 is the areas in which there is no `Principal language',  according to Stern (1993).
* For Brazil, I use a division of Brazil into five areas from Marplan Brazil; this is also used in `The Statesman's 
* Yearbook 1992-93' (MacMillan: London, 1992, page 229).  Brazilians speak of a north-south division in Brazil: 
* northern Brazil is poor, like India, southern Brazil (centred on the Rio/Sao Paulo axis) rich like Switzerland
* (see 'Introduction', in Brazil: the rough guide',Harrap Columbus:London, 1990, eds Jules Brown & John Fisher).
*For S.Africa & Kenya, I classify African languages by map p.219, vol 1, Encyclopedia Britannica 1983(15th ed).
*Could use the map for Nigeria (north & south);  or map p.590 vol 8 Encyclopedia Britannica has Hausa in north.
* I forget where I saw division of Nigeria in parts: maybe www.waado.org/NigerDelta/Maps/Nigeria_States.html.
* Some Nigerians suggested other ways to split Nigeria in zones.
if (any(BORNcnty,'INwb','INtr','INbi','INas','INar','INor'))					BORNzone =1.
if (any(BORNcnty,'INmh','INgu','INgo'))							BORNzone =2.
if (any(BORNcnty,'INke','INla','INtn','INpo','INka','INap'))					BORNzone =3.
if (any(BORNcnty,'INpu','INha','INch','INde','INjk','INra','INhp'))				BORNzone =4.
if (any(BORNcnty,'INup','INmp'))								BORNzone =5.
if (any(BORNcnty,'INan','INdn','INme','INmi','INmn','INna','INsi'))				BORNzone =6.
if (any(BORNcnty,'BRro','BRac','BRam','BRrr','BRpa','BRap','BRto'))			BORNzone =11.
if (any(BORNcnty,'BRma','BRpi','BRce','BRrn','BRpb','BRpe','BRal','BRse','BRba'))		BORNzone =12.
if (any(BORNcnty,'BRmg','BRsp','BRes','BRrj'))						BORNzone =13.
if (any(BORNcnty,'BRpr','BRsc','BRrs'))							BORNzone =14.
if (any(BORNcnty,'BRms','BRmt','BRgo','BRdf'))						BORNzone =15.
if (any(BORNcnty,'ID31','ID32','ID35'))							BORNzone =31.
if (any(BORNcnty,'ID16'))								BORNzone =32.
if (any(BORNcnty,'ID51'))								BORNzone =33.
if (any(BORNcnty,'KE 2','KE 3','KE 5','KE 6'))						BORNzone = 51.
if (any(BORNcnty,'KE 4','KE 8'))								BORNzone = 52.
if (any(BORNcnty,'KE 1','KE 7'))								BORNzone = 53.

* Note: we don't know birthplace for South Africa.
if (any(LIVEcnty,'INwb','INtr','INbi','INas','INar','INor','INjh','INct'))				LIVEzone = 1.			/* Use the codes used in WAS surveys.
if (any(LIVEcnty,'INmh','INgu','INgo'))							LIVEzone = 2.
if (any(LIVEcnty,'INke','INla','INtn','INpo','INka','INap'))					LIVEzone = 3.
if (any(LIVEcnty,'INpu','INha','INch','INde','INjk','INra','INhp','INut'))				LIVEzone = 4.
if (any(LIVEcnty,'INup','INmp'))								LIVEzone = 5.
if (any(LIVEcnty,'INan','INdn','INme','INmi','INmn','INna','INsi'))				LIVEzone = 6.
if (any(LIVEcnty,'BRro','BRac','BRam','BRrr','BRpa','BRap','BRto'))				LIVEzone = 11.
if (any(LIVEcnty,'BRma','BRpi','BRce','BRrn','BRpb','BRpe','BRal','BRse','BRba'))		LIVEzone = 12.
if (any(LIVEcnty,'BRmg','BRsp','BRes','BRrj'))						LIVEzone = 13.
if (any(LIVEcnty,'BRpr','BRsc','BRrs'))							LIVEzone = 14.
if (any(LIVEcnty,'BRms','BRmt','BRgo','BRdf'))						LIVEzone = 15.
if (any(LIVEcnty,'ZAwc'))								LIVEzone = 21.
if (any(LIVEcnty,'ZAnc'))								LIVEzone = 22.
if (any(LIVEcnty,'ZAnw','ZAfs','ZAec','ZAkn','ZAmp','ZAnp','ZAga'))				LIVEzone = 23.
if (any(LIVEcnty,'ID31','ID32','ID35'))							LIVEzone = 31.
if (any(LIVEcnty,'ID16'))									LIVEzone = 32.
if (any(LIVEcnty,'ID51'))									LIVEzone = 33.
if (any(LIVEcnty,'NG 1', 'NG 2', 'NG 3', 'NG 4', 'NG 5', 'NG 6', 'NG 7','NG 8'))		LIVEzone = 41.
if (any(LIVEcnty,'NG 9', 'NG10','NG11','NG12','NG13','NG14','NG15','NG16','NG17','NG18'))	LIVEzone = 42.
if (any(LIVEcnty,'NG19','NG20','NG21','NG22','NG23','NG24','NG25','NG26','NG27'))	LIVEzone = 43.
if (any(LIVEcnty,'NG28','NG29','NG30','NG31','NG32','NG33','NG34','NG35','NG36','NG37'))	LIVEzone = 44.
if (any(LIVEcnty,'KE 2','KE 3','KE 5','KE 6'))						LIVEzone = 51.
if (any(LIVEcnty,'KE 4','KE 8'))								LIVEzone = 52.
if (any(LIVEcnty,'KE 1','KE 7'))								LIVEzone = 53.
*if (any(LIVE_cit,  702,  703,  711,  712,  713,  714,  715,  716,  717,  718,  719,  733))	LIVEzone = 61.	    /* lower Egypt.
*if (any(LIVE_cit,  701,  721							    ))	LIVEzone = 62.	    /* Giza is in greater Cairo.
*if (any(LIVE_cit,  722,  723,  724,  725						    ))	LIVEzone = 63.	    /* middle Egypt.
*if (any(LIVE_cit,  726,  727,  731,  732						    ))	LIVEzone = 64.	    /* upper Egypt.
*if (any(LIVE_cit,  734,  735							    ))	LIVEzone = 65.	    /* Sinai.
* encyclopedia.jrank.org/ECG_EMS/EGYPT.html claims middle Egypt goes to Assiut.  Could put Sinai with middle Egypt?  To avoid doubts, use DHS system for Egypt: .
if (any(LIVEcnty,'EG 1','EG 2','EG 3','EG 4'))						LIVEzone = 61.
if (any(LIVEcnty,'EG11','EG12','EG13','EG14','EG15','EG16','EG17','EG18','EG19'))	LIVEzone = 62.
if (any(LIVEcnty,'EG21','EG22','EG23','EG24','EG25','EG26','EG27','EG28','EG29'))	LIVEzone = 63.
if (any(LIVEcnty,'EG30','EG31','EG32','EG33','EG34','EG35'))				LIVEzone = 64.
if 	(LIVEcnty = 'TD18')								LIVEzone = 71.
if 	(LIVEcnty = 'TD 8')								LIVEzone = 77.
if 	(LIVEcnty = 'TD 4')								LIVEzone = 73.
if 	(LIVEcnty = 'TD 7')								LIVEzone = 72.
* "Most people in the English-speaking Northwest and Southwest provinces speak Cameroonian Pidgin English as a lingua franca.
* Fulfulde serves the same function in the north, and Ewondo in much of the Center, South, and East provinces."
* http://en.wikipedia.org/wiki/Languages_of_Cameroon downloaded 18th August 2009.  I use this to divide Cameroon into 3 zones.
*cros	INT_lang   by	LIVEcnty.						/* In the above quote, "the north" seems to include 'extreme north'. 
if (LIVEctry='CM')                                                                       	LIVEzone = 81.	/* Use the above 8 zones in Cameroon (start at 81, as 71 etc are in WAS Chad).
if (LIVEcnty='CM 7' or LIVEcnty='CM 9')	                             LIVEzone = 82.
if (LIVEcnty='CM 6' or LIVEcnty='CM 4')                             	LIVEzone = 83.
if (LIVEcnty='CM 2' or LIVEcnty='CM 8' or LIVEcnty='CM 3')	LIVEzone = 84.
*cros	INT_lang   by	LIVEzone.						/* Not a perfect match, but fairly persuasive.

var lab	BORNzone 	'Birthplace of resp, based on language groups'.
var lab	LIVEzone   	'Place of residence of resp, based on language groups'.
val lab	LIVEzone, BORNzone	  1 'eastern India'		  2 'western India'			      	  3 'southern India'
				  4 'northern India'		  5 'central India'			      	  6 'other India'
				11 'north Brazil'			12 'north east Brazil'				13 'south east Brazil'
				14 'south Brazil'			15 'middle west Brazil'
				21 "S. Africa SW (Indo-European languages area)"				22 "S. Africa NW (Khoisan languages area)"
				23 "S. Africa East (Niger-Congo languages area)"
				31 "island of Java"		32 "island of Sumatra"		 	  	33 "island of Bali"
				41 "Nigeria West" 		42 "Nigeria East"		43 "Nigeria North-West"	44 "Nigeria North-East"
				51 'Kenya West (Nilo-Saharan languages area)'		52 'Kenya NE (Hamito-Semitic languages area)'
				53 'Kenya SE (Niger-Congo languages area)'
				61 'Egypt urban governorates'	62 'lower Egypt'		63'upper Egypt' 		64 'frontier governorates'
				71 "N'Djamna"			72 "B.E.T., Kanem & Lac"		73 "Batha, Gura & Salamat"
				74 "Ouadda & Wadi Fira"	75 "Hadjer Lamis & Chari Baguimi"	76 "Mayo Kebbi Est & Mayo Kebbi Ouest"
				77 "Logone Occidental, Logone Oriental & Tandjil"			78 "Mandoul & Moyen Chari"
				81 'French-speaking Cameroon'   82 'English-speaking Cameroon'
    83 'Fulfulde-speaking Cameroon'  84 'Ewondo-speaking Cameroon'.

missing values   	BORNcnty, LIVEcnty,  BORN_hus,BORN_wif ('    ').
missing values				BORNcity,  LIVEcity ('      ').
missing values				BORNdist,  LIVEdist ('      ').
missing values  		BORNctry,  LIVEctry, 	born_pa_  born_ma_ bornmagf bornmagm bornpagf bornpagm ('  ').

* E-mail from Parnika S. Mehta (IMRB), 28th Nov 07: "The regional classification needs to be changed: Lucknow is definitely part of North India and not central India".
recode	LIVEzone (5=4).			/* This makes sense for WAS 2007: there are only 204 cases in central India.  But many DHS cases in central India...
cros	      LIVEzone by survey.

* LIVElo_X & _Y & _D:  not calculated since bm92;  it can be done using city maps using a ruler, if district known.

